<?php
class Facturas extends CI_Controller {

	public function __construct() {		
		parent::__construct();
		$_SESSION['cami'] = 'pdfs/';
		if ($this->uri->segment(1) == 'ca') $_SESSION['idioma'] = 'catalan';
		if ($this->uri->segment(1) == 'es') $_SESSION['idioma'] = 'spanish';
		if ($this->uri->segment(1) == 'en') $_SESSION['idioma'] = 'english';
	}

	/**
	 * 
	 * Enter description here ...
	 * @param varchar $action
	 * @param varchar $model
	 * @param date $day
	 * @param time $hour
	 */
	public function log_actions($action, $model){
		  $date = new DateTime();		
		  $day = $date->format('Y/m/d');		  		  				  
		  $hour = $date->format('H:m:s');		  		  				  		  
  		  $this->log_model->insert_row($action, $model, $day, $hour, $this->session->userdata['username']);		
	}
	
	/**
	 * 
	 * Acces a l'aplicacio
	 */
	protected function _user_is_logged_in()
	{
		if($this->session->userdata('logged_in')) {
			$data = $this->five_model->get_user($this->session->userdata('username'),$this->session->userdata('password'));
			if (empty($data)) {
				redirect(auth);
				return FALSE;				
			}
			else  {
				  $date = new DateTime();		
				  $_SESSION['nif_id'] = $data['codi'];
				  $_SESSION['perfil'] = $data['perfil'];				  
				  $_SESSION['data_id'] = $date->format('d/m/Y');				  				 
				  return TRUE;
			}
		}else{
			redirect(auth);
			return FALSE;
		}
	}
	
	/**
	 * 
	 * Desconexió
	 */
    function logout() {
        if($this->session->userdata('logged_in')) {
            $data['name'] = $this->session->userdata('cn');
            $data['username'] = $this->session->userdata('username');
            $data['logged_in'] = TRUE;
        } else {
            $data['logged_in'] = FALSE;
        }
            redirect('/');
    }
	    
	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function facturacio_emitir()	
	{
		$di = $this->uri->segment(3);		
		$df = $this->uri->segment(4);		
		$id = $_SESSION['id_intern'];
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->factura_model->new_factura();
			//
			$this->load->view('five/plantillas/header');
			$this->load->view('five/facturacio_emitir',$data);				
		}
	}
	
	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function factura_albaraFIVE() 
	{
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$emi = $this->uri->segment(3);
			$fec = explode("-",$emi);
			$d = $fec[0];
			$m = $fec[1];
			$y = $fec[2];
			$emi = $y . '-' . $m . '-' . $d;
			
			$cl1 = $this->uri->segment(4);
			$cl2 = $this->uri->segment(5);
			
			$client = $this->factura_model->lista_factura_client($cl1,$cl2);
			$coma = '';
			$clients = '';
			foreach ($client as $key => $value) {
				$id = $value['albara_client'];								
				$dades = $this->five_model->get_albarans_five($id);
				$client = $this->client_model->get_client($id);
				$pago = $this->pagos_model->get_pagos($client['client_pago'],0);
				$any = date("Y");
				$di = $this->five_model->get_comptador($any);
				$numero = '';
				if (isset($di['numero'])) $numero = $di['numero'];
				// 	Facturo
				$numero = $this->factura_model->facturar_albaran($id,$dades,$client,$pago,$numero,$emi);
				$clients .= $coma .$numero;
				$coma = ',';												
			}									
			$this->log_actions("FACTURACIO", $emi.' '.$cl1.' '.$cl2);
			// Mostro
			$data['empresa'] = $this->five_model->get_empresa();	
			$data['lista'] = $this->factura_model->get_emissio($clients);
			$linies = $this->factura_model->get_emissio_linies($clients);			
			$result = array();
			foreach ($linies as $key => $value) {
				$clau = $value['numero'];
				$id = $value['id'];
				$result[$clau][$id][0] = $value['concepte'];
				$result[$clau][$id][1] = $value['unitats'];
				$result[$clau][$id][2] = $value['preu'];
				$result[$clau][$id][3] = $value['dto'];
				$result[$clau][$id][4] = $value['total'];
			}
			$data['lista_linies'] = $result;							
			
			
			$this->load->view('five/plantillas/header');
			$this->load->view('five/facturacio_mostrar',$data);							
		}					
	}
	
	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function facturacio_repetir()	
	{
		$di = $this->uri->segment(3);		
		$df = $this->uri->segment(4);		
		$id = $_SESSION['id_intern'];
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['empresa'] = $this->five_model->get_empresa();
			$data['five'] = $this->factura_model->new_repetir();
			if (isset($di))	{
				$data['lista'] = $this->factura_model->get_repetir($di,$df);
				$linies = $this->factura_model->get_repetir_linies($di,$df);
				$result = array();
				foreach ($linies as $key => $value) {
					$clau = $value['numero'];
					$id = $value['id'];
					$result[$clau][$id][0] = $value['concepte'];
					$result[$clau][$id][1] = $value['unitats'];
					$result[$clau][$id][2] = $value['preu'];
					$result[$clau][$id][3] = $value['dto'];
					$result[$clau][$id][4] = $value['total'];
				}
				$data['lista_linies'] = $result;							
			}
			//
           	$rules = $this->form_validation;
			$rules->set_rules('factura_inicial', lang('five.error_validacio_numero1'), 'required');
			$rules->set_rules('factura_final', lang('five.error_validacio_numero2'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/facturacio_repetir',$data);				
			}
			else {
				$this->log_actions("REPETIR", "Repeticio", $id);			
				$di = $this->input->post('factura_inicial');
				$df = $this->input->post('factura_final');
				redirect('facturas/facturacio_repetir/'.$di.'/'.$df);
			}
		}
	}

	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function facturacio_esborrar()	
	{
		$nu = $this->uri->segment(3);		
		$id = $_SESSION['id_intern'];
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->factura_model->new_esborrar();
			//
			$this->load->view('five/plantillas/header');
			$this->load->view('five/facturacio_esborrar',$data);				
		}
	}

	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function factura_delete() 
	{
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$num = $this->uri->segment(3);
			$data['five'] = $this->factura_model->new_esborrar();
			$this->log_actions("FACTURACIO DELETE", $num);
			redirect('facturas/facturacio_esborrar');
		}					
	}

	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function factura_erase() 
	{
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$num = $this->uri->segment(3);
			$this->factura_model->erase_factura($num);
			$this->log_actions("FACTURACIO DELETE", $num);
			redirect('facturas/facturacio_esborrar');
		}					
	}
	
	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function facturacio_llistats_resum()	
	{
		$di = $this->uri->segment(3);		
		$df = $this->uri->segment(4);		
		$ci = $this->uri->segment(5);		
		$cf = $this->uri->segment(6);		
		$id = $_SESSION['id_intern'];
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->factura_model->new_lista1();
			if (isset($di))	$data['lista'] = $this->factura_model->get_lista1($di,$df,$ci,$cf);
			//
           	$rules = $this->form_validation;
			$rules->set_rules('data_inicial', lang('five.error_validacio_data1'), 'required');
			$rules->set_rules('data_final', lang('five.error_validacio_data2'), 'required');
			$rules->set_rules('client_inicial', lang('five.error_validacio_client1'), 'required');
			$rules->set_rules('client_final', lang('five.error_validacio_client2'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/facturacio_resum',$data);				
			}
			else {
				$this->log_actions("INSERT", "Lista_facturas", $id);			
				$di = $this->input->post('data_inicial');
				$df = $this->input->post('data_final');
				$ci = $this->input->post('client_inicial');
				$cf = $this->input->post('client_final');
				redirect('facturas/facturacio_llistats_resum/'.$di.'/'.$df.'/'.$ci.'/'.$cf);
			}
		}
	}

	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function facturacio_llistats_iva()	
	{
		$di = $this->uri->segment(3);		
		$df = $this->uri->segment(4);		
		$ci = $this->uri->segment(5);		
		$cf = $this->uri->segment(6);		
		$id = $_SESSION['id_intern'];
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->factura_model->new_lista2();
			if (isset($di))	$data['lista'] = $this->factura_model->get_lista2($di,$df,$ci,$cf);
			//
           	$rules = $this->form_validation;
			$rules->set_rules('data_inicial', lang('five.error_validacio_data1'), 'required');
			$rules->set_rules('data_final', lang('five.error_validacio_data2'), 'required');
			$rules->set_rules('factura_inicial', lang('five.error_validacio_numero1'), 'required');
			$rules->set_rules('factura_final', lang('five.error_validacio_numero2'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/facturacio_iva',$data);				
			}
			else {
				$this->log_actions("INSERT", "Lista_iva", $id);			
				$di = $this->input->post('data_inicial');
				$df = $this->input->post('data_final');
				$ci = $this->input->post('factura_inicial');
				$cf = $this->input->post('factura_final');
				redirect('facturas/facturacio_llistats_iva/'.$di.'/'.$df.'/'.$ci.'/'.$cf);
			}
		}
	}
	
}