<?php
class Fitxers extends CI_Controller {

	public function __construct() {
		parent::__construct();
		$_SESSION['cami'] = 'pdfs/';
		if ($this->uri->segment(1) == 'ca') $_SESSION['idioma'] = 'catalan';
		if ($this->uri->segment(1) == 'es') $_SESSION['idioma'] = 'spanish';
		if ($this->uri->segment(1) == 'en') $_SESSION['idioma'] = 'english';
		
	}

	/**
	 * 
	 * Enter description here ...
	 * @param varchar $action
	 * @param varchar $model
	 * @param date $day
	 * @param time $hour
	 */
	public function log_actions($action, $model){
		  $date = new DateTime();		
		  $day = $date->format('Y/m/d');		  		  				  
		  $hour = $date->format('H:m:s');		  		  				  		  
  		  $this->log_model->insert_row($action, $model, $day, $hour, $this->session->userdata['username']);		
	}
	
	/**
	 * 
	 * Acces a l'aplicacio
	 */
	protected function _user_is_logged_in()
	{
		if($this->session->userdata('logged_in')) {
			$data = $this->five_model->get_user($this->session->userdata('username'),$this->session->userdata('password'));
			if (empty($data)) {
				redirect(auth);
				return FALSE;				
			}
			else  {
				  $date = new DateTime();		
				  $_SESSION['nif_id'] = $data['codi'];
				  $_SESSION['perfil'] = $data['perfil'];				  
				  $_SESSION['data_id'] = $date->format('d/m/Y');				  				 
				  return TRUE;
			}
		}else{
			redirect(auth);
			return FALSE;
		}
	}
	
	/**
	 * 
	 * Esborrar un registres
	 */
	public function delete()
	{
		$id = $this->uri->segment(3);
		$nom_fitxer = $this->uri->segment(4);
		if($this->_user_is_logged_in())	{
   			$this->log_actions("DELETE", $nom_fitxer);			   
			if ($nom_fitxer == 'comunitat') {
			   $pais = $this->comunitat_model->delete($id);	
			   redirect('fitxers/asignar_comunitat/1/'.$pais);
			}
			if ($nom_fitxer == 'provincia') {
			   $dades = $this->provincia_model->delete($id);
			   $pais = $dades['provincia_pais'];	
			   $ccaa = $dades['provincia_ccaa'];	
			   redirect('fitxers/asignar_provincia/1/'.$pais.'/'.$ccaa);
			}
			if ($nom_fitxer == 'poblacio') {
			   $dades = $this->poblacio_model->delete($id);
			   $pais = $dades['poblacio_pais'];	
			   $ccaa = $dades['poblacio_ccaa'];	
			   $prov = $dades['poblacio_provincia'];	
			   redirect('fitxers/asignar_poblacio/1/'.$pais.'/'.$ccaa.'/'.$prov);
			}
			if ($nom_fitxer == 'recollides') {
			   $client = $this->recollides_model->delete($id);
			   $client = $client;
			   redirect('fitxers/asignar_recollides/1/'.$client);
			}
			if ($nom_fitxer == 'distribuidor') {
			   $client = $this->distribuidor_model->delete($id);
			   $client = $client;	
			   redirect('fitxers/asignar_distribuidor/1/'.$client);
			}
		}
	}	
	
	/**
	 * 
	 * Desconexió
	 */
    function logout() {
        if($this->session->userdata('logged_in')) {
            $data['name'] = $this->session->userdata('cn');
            $data['username'] = $this->session->userdata('username');
            $data['logged_in'] = TRUE;
        } else {
            $data['logged_in'] = FALSE;
        }
            redirect('/');
    }
    
	/**
	 * New o Edit d'un pais
	 */
	public function ver_poblacio()
	{
		$this->lang->load('five', $_SESSION['idioma']);		
		$alta = $this->input->post('alta');
		$id = $this->input->post('poblacio_codi');
		// New
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->poblacio_model->get_new_poblacio();
			if (isset($alta)) {
				$data['five_list'] = $this->poblacio_model->get_ver_poblacio($id);				
				$data['five']['poblacio_codi'] = $id;	
				$data['five']['alta'] = '1';	
			}
			//
           	$rules = $this->form_validation;
			$rules->set_rules('poblacio_codi', lang('five.error_poblacio_codi'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$data['titul'] = lang('five.titol_ver_poblacio'); 
				$this->load->view('five/ver_poblacio',$data);
			}
			else {
				$this->load->view('five/plantillas/header');
				$data['titul'] = lang('five.titol_ver_poblacio'); 
				$this->load->view('five/ver_poblacio',$data);				
			}
		}
	}	
    
	/**
	 * New una comunitat
	 */
	public function asignar_comunitat()
	{
		$alta = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->comunitat_model->get_new_comunitat();
			$data['titul'] = lang('five.titol_comunitat');
			$data['list_pais'] = $this->pais_model->get_pais();			
			if ($alta == '1') {
				$data['five'] = $this->comunitat_model->get_new_comunitat();
				$data['five']['comunitat_pais'] = $this->uri->segment(4);		
				$data['five_list'] = $this->comunitat_model->get_fitxer($this->uri->segment(4));
				$data['five']['alta'] = '1'; 						
			}			
            $rules = $this->form_validation;
			$rules->set_rules('comunitat_pais', lang('five.error_comunitat_pais'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_comunitat',$data);
			}
			else {
				$data['list_pais'] = $this->pais_model->get_pais();	
				$data['five']['comunitat_pais'] = $this->input->post('comunitat_pais');		
				$data['five_list'] = $this->comunitat_model->get_fitxer($this->input->post('comunitat_pais'));
				$data['five']['alta'] = '1'; 		
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_comunitat',$data);				
			}
		}
	}	

	/**
	 * New una comunitat
	 */
	public function new_edit_comunitat()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->comunitat_model->get_new_comunitat();
			if ($id == 0) $data['five']['comunitat_pais'] = $this->uri->segment(4);
			if ($id <> 0) $data['five'] = $this->comunitat_model->get_comunitat($id,'','');			
			$data['list_pais'] = $this->pais_model->get_pais();	
			$data['titul'] = lang('five.titol_crear_comunitat');			
            $rules = $this->form_validation;
			$rules->set_rules('comunitat_codi', lang('five.error_comunitat_codi'), 'required');
			$rules->set_rules('comunitat_nom', lang('five.error_comunitat_nom'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/new_edit_comunitat',$data);
			}
			else {
				$id = $this->input->post('id');
				$client = $this->input->post('comunitat_pais');
				if ($id == 0) {
				   $this->log_actions("INSERT", "Comunitat", $id);
				   $this->comunitat_model->set_comunitat(0);								
				}
				if ($id <> 0) {
				   $this->log_actions("UPDATE", "Comunitat", $id);
				   $this->comunitat_model->set_comunitat($id);								
				}
				redirect('fitxers/asignar_comunitat/1/'.$client);
			}
		}
	}	

	/**
	 * New una provincia
	 */
	public function asignar_provincia()
	{
		$alta = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->provincia_model->get_new_provincia();
			$data['titul'] = lang('five.titol_provincia');
			$data['list_pais'] = $this->pais_model->get_pais();	
			$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($data['list_pais'][0]['pais_codi']);			
			if ($alta == '1') {
				$data['five'] = $this->provincia_model->get_new_provincia();
				$data['five']['provincia_pais'] = $this->uri->segment(4);		
				$data['five']['provincia_ccaa'] = $this->uri->segment(5);
				$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($this->uri->segment(4));		
				$data['five_list'] = $this->provincia_model->get_fitxer($this->uri->segment(4),$this->uri->segment(5));
				$data['five']['alta'] = '1'; 						
			}			
            $rules = $this->form_validation;
			$rules->set_rules('provincia_pais', lang('five.error_provincia_pais'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_provincia',$data);
			}
			else {
				$data['five']['provincia_pais'] = $this->input->post('provincia_pais');		
				$data['five']['provincia_ccaa'] = $this->input->post('provincia_ccaa');		
				$data['list_pais'] = $this->pais_model->get_pais();	
				$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($this->input->post('provincia_pais'));	
				$data['five_list'] = $this->provincia_model->get_fitxer($this->input->post('provincia_pais'),$this->input->post('provincia_ccaa'));
				$data['five']['alta'] = '1'; 		
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_provincia',$data);				
			}
		}
	}	

	/**
	 * New una provincia
	 */
	public function new_edit_provincia()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->provincia_model->get_new_provincia();
			if ($id == 0) {
				$data['five']['provincia_pais'] = $this->uri->segment(4);	
				$data['five']['provincia_ccaa'] = $this->uri->segment(5);	
			}
			if ($id <> 0) $data['five'] = $this->provincia_model->get_provincia($id,'','','','');
			$data['list_pais'] = $this->pais_model->get_pais();	
			$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($data['five']['provincia_pais']);						
			$data['list_pais'] = $this->pais_model->get_pais();	
			$data['titul'] = lang('five.titol_crear_provincia');			
            $rules = $this->form_validation;
			$rules->set_rules('provincia_codi', lang('five.error_provincia_codi'), 'required');
			$rules->set_rules('provincia_nom', lang('five.error_provincia_nom'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/new_edit_provincia',$data);
			}
			else {
				$id = $this->input->post('id');
				$client = $this->input->post('provincia_pais');
				$client1 = $this->input->post('provincia_ccaa');
				if ($id == 0) {
				   $this->log_actions("INSERT", "provincia", $id);
				   $this->provincia_model->set_provincia(0);								
				}
				if ($id <> 0) {
				   $this->log_actions("UPDATE", "provincia", $id);
				   $this->provincia_model->set_provincia($id);								
				}
				redirect('fitxers/asignar_provincia/1/'.$client.'/'.$client1);
			}
		}
	}	
	
	/**
	 * 
	 * Carregar tipos de tarifes per transportista
	 */
	public function buscar_comunitat()
	{
		if ($this->input->is_ajax_request()) {
			$tr = $this->input->post('pais');		
			$dades = $this->comunitat_model->get_comunitat_pais($tr);
			$num_regs = count($dades);
			foreach ($dades as $key => $valors) {
				if (!($valors == "")) echo "<option value='".$valors['comunitat_codi']."'>".$valors['comunitat_nom']."</option>";			
			}	
		}				
	}

	/**
	 * 
	 * Carregar tipos de tarifes per transportista
	 */
	public function buscar_comunitat_fraccionada()
	{
		if ($this->input->is_ajax_request()) {
			$tr = $this->input->post('pais');		
			$no = $this->input->post('posi').'[]';		
			$id = $this->input->post('posi');		
			$dades = $this->comunitat_model->get_comunitat_pais($tr);
			$valors = array(
              	'id'          => $id,
				'class'       => 'checkbox-inline',
				'style'       => 'margin:1px',
				'name'		  => $no,			
				'onClick' 	  => 'buscar_provincia(this)' 
              	);		 
              	             			             	
			$num_regs = count($dades);
			for ($reg=0; $reg<$num_regs; $reg++) {
				$valors['value'] = $dades[$reg]["comunitat_codi"];				
				$de = substr($dades[$reg]["comunitat_nom"],0,18);
				echo form_checkbox($valors).$de.'<br>';
			}
		}				
	}
	
	/**
	 * New una poblacio
	 */
	public function asignar_poblacio()
	{
		$alta = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->poblacio_model->get_new_poblacio();
			$data['titul'] = lang('five.titol_poblacio');
			$data['list_pais'] = $this->pais_model->get_pais();	
			$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($data['list_pais'][0]['pais_codi']);			
			$data['list_provincia'] = $this->provincia_model->get_provincia_comunitat($data['list_pais'][0]['pais_codi'],$data['list_ccaa'][0]['comunitat_codi']);			
			if ($alta == '1') {
				$data['five'] = $this->poblacio_model->get_new_poblacio();
				$data['five']['poblacio_pais'] = $this->uri->segment(4);		
				$data['five']['poblacio_ccaa'] = $this->uri->segment(5);
				$data['five']['poblacio_provincia'] = $this->uri->segment(6);
				$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($this->uri->segment(4));		
				$data['list_provincia'] = $this->provincia_model->get_provincia_comunitat($this->uri->segment(4),$this->uri->segment(5));		
				$data['five_list'] = $this->poblacio_model->get_fitxer($this->uri->segment(4),$this->uri->segment(5),$this->uri->segment(6));
				$data['five']['alta'] = '1'; 						
			}			
            $rules = $this->form_validation;
			$rules->set_rules('poblacio_pais', lang('five.error_poblacio_pais'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_poblacio',$data);
			}
			else {
				$data['five']['poblacio_pais'] = $this->input->post('poblacio_pais');		
				$data['five']['poblacio_ccaa'] = $this->input->post('poblacio_ccaa');		
				$data['five']['poblacio_provincia'] = $this->input->post('poblacio_provincia');		
				$data['list_pais'] = $this->pais_model->get_pais();	
				$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($this->input->post('poblacio_pais'));	
				$data['list_provincia'] = $this->provincia_model->get_provincia_comunitat($this->input->post('poblacio_pais'),$this->input->post('poblacio_ccaa'));
				$data['five_list'] = $this->poblacio_model->get_fitxer($this->input->post('poblacio_pais'),$this->input->post('poblacio_ccaa'),$this->input->post('poblacio_provincia'));
				$data['five']['alta'] = '1'; 		
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_poblacio',$data);				
			}
		}
	}	

	/**
	 * New una poblacio
	 */
	public function new_edit_poblacio()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->poblacio_model->get_new_poblacio();
			if ($id == 0) {
				$data['five']['poblacio_pais'] = $this->uri->segment(4);	
				$data['five']['poblacio_ccaa'] = $this->uri->segment(5);	
				$data['five']['poblacio_provincia'] = $this->uri->segment(6);	
			}
			if ($id <> 0) $data['five'] = $this->poblacio_model->get_poblacio($id,'','','','','');
			$data['list_pais'] = $this->pais_model->get_pais();	
			$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($data['five']['poblacio_pais']);						
			$data['list_provincia'] = $this->provincia_model->get_provincia_comunitat($data['five']['poblacio_pais'],$data['five']['poblacio_ccaa']);						
			$data['list_pais'] = $this->pais_model->get_pais();	
			$data['titul'] = lang('five.titol_crear_poblacio');			
            $rules = $this->form_validation;
			$rules->set_rules('poblacio_codi', lang('five.error_poblacio_codi'), 'required');
			$rules->set_rules('poblacio_nom', lang('five.error_poblacio_nom'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/new_edit_poblacio',$data);
			}
			else {
				$id = $this->input->post('id');
				$client = $this->input->post('poblacio_pais');
				$client1 = $this->input->post('poblacio_ccaa');
				$client2 = $this->input->post('poblacio_provincia');
				if ($id == 0) {
				   $this->log_actions("INSERT", "poblacio", $id);
				   $this->poblacio_model->set_poblacio(0);								
				}
				if ($id <> 0) {
				   $this->log_actions("UPDATE", "poblacio", $id);
				   $this->poblacio_model->set_poblacio($id);								
				}
				redirect('fitxers/asignar_poblacio/1/'.$client.'/'.$client1.'/'.$client2);
			}
		}
	}	

	/**
	 * 
	 * Carregar tipos de tarifes per transportista
	 */
	public function buscar_provincia()
	{
		if ($this->input->is_ajax_request()) {
			$tr = $this->input->post('pais');		
			$ca = $this->input->post('ccaa');
			$dades = $this->provincia_model->get_provincia_comunitat($tr,$ca);
			$num_regs = count($dades);
			foreach ($dades as $key => $valors) {
				if (!($valors == "")) echo "<option value='".$valors['provincia_codi']."'>".$valors['provincia_nom']."</option>";			
			}	
		}				
	}

	/**
	 * 
	 * Carregar tipos de tarifes per transportista
	 */
	public function buscar_provincia_fraccionada()
	{
		if ($this->input->is_ajax_request()) {
			$tr = $this->input->post('pais');		
			$ca = $this->input->post('ccaa');			
			$no = $this->input->post('posi').'[]';		
			$id = $this->input->post('posi');		
			$dades = $this->provincia_model->get_provincia_comunitat_fraccionada($tr,$ca);

			$valors = array(
				'id'          => $id,
				'name'        => $no,
				'class'       => 'checkbox-inline',
				'style'       => 'margin:1px',
				'onClick' 	  => 'buscar_poblacio(this)' 			
			);		              			             	
			$num_regs = count($dades);
			for ($reg=0; $reg<$num_regs; $reg++) {
				$valors['value'] = $dades[$reg]["provincia_codi"];				
				$de = substr($dades[$reg]["provincia_nom"],0,18);
				echo form_checkbox($valors).$de.'<br>';
			}
		}				
	}
	
	/**
	 * 
	 * Carregar tipos de tarifes per transportista
	 */
	public function buscar_poblacio()
	{
		if ($this->input->is_ajax_request()) {
			$tr = $this->input->post('pais');		
			$ca = $this->input->post('ccaa');
			$pr = $this->input->post('prov');
			$dades = $this->poblacio_model->get_poblacio_provincia($tr,$ca,$pr);	
			
			$valors = array(
				'id'          => 'tarifa_origen_poblacio',
				'name'        => 'tarifa_origen_poblacio[]',
				'class'       => 'checkbox-inline',
				'style'       => 'margin:1px'
			);		              			             	
			$num_regs = count($dades);
			for ($reg=0; $reg<$num_regs; $reg++) {
				$valors['value'] = $dades[$reg]["poblacio_codi"];				
				$de = substr($dades[$reg]["poblacio_nom"],0,18);
				echo form_checkbox($valors).$de.'<br>';
			}
		}				
	}

	/**
	 * 
	 * Carregar tipos de tarifes per transportista
	 */
	public function buscar_poblacio_fraccionada()
	{
		if ($this->input->is_ajax_request()) {
			$tr = $this->input->post('pais');		
			$ca = $this->input->post('ccaa');
			$pr = $this->input->post('prov');
			$no = $this->input->post('posi').'[]';		
			$id = $this->input->post('posi');		
			$dades = $this->poblacio_model->get_poblacio_provincia_fraccionda($tr,$ca,$pr);	
			$valors = array(
              	'id'          => $id,
              	'name'        => $no,
				'class'       => 'checkbox-inline',
				'style'       => 'margin:1px'
              	);		              			             	
            $num_regs = count($dades);
			for ($reg=0; $reg<$num_regs; $reg++) {
				$valors['value'] = $dades[$reg]["poblacio_codi"];				
				$de = substr($dades[$reg]["poblacio_nom"],0,18);
				echo form_checkbox($valors).$de.'<br>';
			}
			
		}				
	}
	
	/**
	 * 
	 * Carregar tipos de tarifes per transportista
	 */
	public function buscar_poblacio_completa()
	{
		if ($this->input->is_ajax_request()) {
			$tr = $this->input->post('pais');		
			$ca = $this->input->post('ccaa');
			$pr = $this->input->post('prov');
			$no = $this->input->post('posi');
			$list_poblacio = $this->poblacio_model->get_poblacio_provincia($tr,$ca,$pr);			
			$valors = array(
              	'id'          => 'tarifa_'.$no,
              	'name'        => 'tarifa_'.$no,
				'class'       => 'checkbox-inline',
				'style'       => 'margin:1px',
				'onclick'     => 'pon_poblacio(this)'														
              	);		              			             	
			$num_regs = count($list_poblacio);
			for ($reg=0; $reg<$num_regs; $reg++) {
				$valors['value'] = $list_poblacio[$reg]["poblacio_codi"];
				$valors['id'] = $list_poblacio[$reg]["poblacio_nom"];
				$de = substr($list_poblacio[$reg]["poblacio_nom"],0,18);
				echo form_radio($valors);
				echo $de.'<br>';
			}
		}				
	}
	
	/**
	 * New una recollides
	 */
	public function asignar_recollides()
	{
		$alta = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->recollides_model->get_new_recollides();
			$data['titul'] = lang('five.titol_recollides');
			$data['list_client'] = $this->client_model->get_client();			
			if ($alta == '1') {
				$data['five'] = $this->recollides_model->get_new_recollides();
				$data['five']['recollides_client'] = $this->uri->segment(4);		
				$data['five_list'] = $this->recollides_model->get_fitxer($this->uri->segment(4));
				$data['five']['alta'] = '1'; 						
			}			
            $rules = $this->form_validation;
			$rules->set_rules('recollides_client', lang('five.error_recollides_client'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_recollides',$data);
			}
			else {
				$data['list_client'] = $this->client_model->get_client();	
				$data['five']['recollides_client'] = $this->input->post('recollides_client');		
				$data['five_list'] = $this->recollides_model->get_fitxer($this->input->post('recollides_client'));
				$data['five']['alta'] = '1'; 		
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_recollides',$data);				
			}
		}
	}	

	/**
	 * New una recollides
	 */
	public function new_edit_recollides()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->recollides_model->get_new_recollides();
			if ($id == 0) $data['five']['recollides_client'] = $this->uri->segment(4);
			if ($id <> 0) $data['five'] = $this->recollides_model->get_recollides($id,'','');			
			$data['list_client'] = $this->client_model->get_client();	
			$data['titul'] = lang('five.titol_crear_recollides');			
			$data['list_pais'] = $this->pais_model->get_pais();	
			$rules = $this->form_validation;
			$rules->set_rules('recollides_codi', lang('five.error_recollides_codi'), 'required');
			$rules->set_rules('recollides_nom', lang('five.error_recollides_nom'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/new_edit_recollides',$data);
			}
			else {
				$id = $this->input->post('id');
				$client = $this->input->post('recollides_client');
				if ($id == 0) {
				   $this->log_actions("INSERT", "recollides", $id);
				   $this->recollides_model->set_recollides(0);								
				}
				if ($id <> 0) {
				   $this->log_actions("UPDATE", "recollides", $id);
				   $this->recollides_model->set_recollides($id);								
				}
				redirect('fitxers/asignar_recollides/1/'.$client);
			}
		}
	}	

	/**
	 * New una distribuidor
	 */
	public function asignar_distribuidor()
	{
		$alta = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->distribuidor_model->get_new_distribuidor();
			$data['titul'] = lang('five.titol_distribuidor');
			$data['list_client'] = $this->client_model->get_client();
			if ($alta == '1') {
				$data['five'] = $this->distribuidor_model->get_new_distribuidor();
				$data['five']['distribuidor_client'] = $this->uri->segment(4);		
				$data['five_list'] = $this->distribuidor_model->get_fitxer($this->uri->segment(4));
				$data['five']['alta'] = '1'; 						
			}			
            $rules = $this->form_validation;
			$rules->set_rules('distribuidor_client', lang('five.error_distribuidor_client'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_distribuidor',$data);
			}
			else {
				$data['list_client'] = $this->client_model->get_client();	
				$data['five']['distribuidor_client'] = $this->input->post('distribuidor_client');		
				$data['five_list'] = $this->distribuidor_model->get_fitxer($this->input->post('distribuidor_client'));
				$data['five']['alta'] = '1'; 		
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_distribuidor',$data);				
			}
		}
	}	

	/**
	 * New una distribuidor
	 */
	public function new_edit_distribuidor()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->distribuidor_model->get_new_distribuidor();
			$tr = '';		
			$data['flota'] = $this->transport_model->get_flota($tr);																			
			if ($id == 0) $data['five']['distribuidor_client'] = $this->uri->segment(4);
			if ($id <> 0) $data['five'] = $this->distribuidor_model->get_distribuidor($id,'','');			
			$data['list_client'] = $this->client_model->get_client();	
			$data['titul'] = lang('five.titol_crear_distribuidor');			
			$data['list_pais'] = $this->pais_model->get_pais();	
			$rules = $this->form_validation;
			$rules->set_rules('distribuidor_codi', lang('five.error_distribuidor_codi'), 'required');
			$rules->set_rules('distribuidor_nom', lang('five.error_distribuidor_nom'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/new_edit_distribuidor',$data);
			}
			else {
				$id = $this->input->post('id');
				$client = $this->input->post('distribuidor_client');
				if ($id == 0) {
				   $this->log_actions("INSERT", "distribuidor", $id);
				   $this->distribuidor_model->set_distribuidor(0);								
				}
				if ($id <> 0) {
				   $this->log_actions("UPDATE", "distribuidor", $id);
				   $this->distribuidor_model->set_distribuidor($id);								
				}
				redirect('fitxers/asignar_distribuidor/1/'.$client);
			}
		}
	}	
	
}