<?php
class Five extends CI_Controller {

	public function __construct() {
		parent::__construct();
		$_SESSION['cami'] = 'pdfs/';
		if ($this->uri->segment(1) == 'ca') $_SESSION['idioma'] = 'catalan';
		if ($this->uri->segment(1) == 'es') $_SESSION['idioma'] = 'spanish';
		if ($this->uri->segment(1) == 'en') $_SESSION['idioma'] = 'english';
		
	}

	/**
	 * 
	 * Enter description here ...
	 * @param varchar $action
	 * @param varchar $model
	 * @param date $day
	 * @param time $hour
	 */
	public function log_actions($action, $model){
		  $date = new DateTime();		
		  $day = $date->format('Y/m/d');		  		  				  
		  $hour = $date->format('H:m:s');		  		  				  		  
  		  $this->log_model->insert_row($action, $model, $day, $hour, $this->session->userdata['username']);		
	}
	
	/**
	 * 
	 * Acces a l'aplicacio
	 */
	protected function _user_is_logged_in()
	{
		if($this->session->userdata('logged_in')) {
			$data = $this->five_model->get_user($this->session->userdata('username'),$this->session->userdata('password'));
			if (empty($data)) {
				redirect(auth);
				return FALSE;				
			}
			else  {
				  $date = new DateTime();		
				  $_SESSION['nif_id'] = $data['codi'];
				  $_SESSION['perfil'] = $data['perfil'];				  
				  $_SESSION['data_id'] = $date->format('d/m/Y');				  				 
				  return TRUE;
			}
		}else{
			redirect(auth);
			return FALSE;
		}
	}
	
	/**
	 * 
	 * Desconexió
	 */
    function logout() {
        if($this->session->userdata('logged_in')) {
            $data['name'] = $this->session->userdata('cn');
            $data['username'] = $this->session->userdata('username');
            $data['logged_in'] = TRUE;
        } else {
            $data['logged_in'] = FALSE;
        }
            redirect('/');
    }
	    
    /**
     * 
     * Pantalla principal
     */
	public function menu() {
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['usuari'] = $_SESSION['nif_id'];
			$data['data'] = $_SESSION['data_id'];
			$this->load->view('five/plantillas/header');
			$this->load->view('five/five_view',$data);
		}	
	}

    /**
     * 
     * Pantalla principal facturació
     */
	public function facturas_view() {
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['usuari'] = $_SESSION['nif_id'];
			$data['data'] = $_SESSION['data_id'];
			$this->load->view('five/plantillas/header');
			$this->load->view('five/facturas_view',$data);
		}	
	}
	
	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function view()	
	{
		$fitxer = $this->uri->segment(3);
		if($this->_user_is_logged_in())	{
			$this->lang->load('five', $_SESSION['idioma']);					
			$data['five'] = $this->five_model->get_fitxer($fitxer);		
			$this->load->view('five/plantillas/header');
			$this->load->view('five/view_'.$fitxer, $data);
		}	
	}

	/**
	 * 
	 * Esborrar un registres
	 */
	public function delete()
	{
		$nom_fitxer = $this->uri->segment(4);
		$torna = $this->uri->segment(5);
		$fitxer = '_t_'.$nom_fitxer;
		if($this->_user_is_logged_in())	{
			$id = $this->uri->segment(3);
			$this->db->delete($fitxer, array('id' => $id));
			$this->log_actions("DELETE", $nom_fitxer);
			if ($torna == 'yes') {
				if ($nom_fitxer == 'recollides') redirect('five/client_recollides');
				if ($nom_fitxer == 'distribuidor') redirect('five/client_distribuidor');
				if ($nom_fitxer == 'flota') redirect('five/client_flota');
			}
			else redirect('five/view/'.$nom_fitxer);
		}
	}	

	/**
	 * 
	 * Esborrar un registre de zones
	 */
	public function delete_zona()
	{
		$nom_fitxer = $this->uri->segment(4);
		$fitxer = '_t_'.$nom_fitxer;
		if($this->_user_is_logged_in())	{
			$id = $this->uri->segment(3);
			$this->db->delete($fitxer, array('zonas_codi' => $id));
			$this->log_actions("DELETE", $nom_fitxer);
			redirect('five/view/'.$nom_fitxer);
		}
	}	

	/**
	 * 
	 * Esborrar un registre de tarifes
	 */
	public function delete_tarifa()
	{
		$nom_fitxer = 'tarifa';
		$fitxer = '_t_'.$nom_fitxer;
		if($this->_user_is_logged_in())	{
			$id1 = $this->uri->segment(3);
			$id2 = $this->uri->segment(4);
			// Capcelera
			$nom_fitxer = $this->uri->segment(5);
			$this->db->delete($fitxer, array('tarifa_codi' => $id1, 'tarifa_transport' => $id2));
			$this->log_actions("DELETE", $nom_fitxer);
			// Linies
			$fitxer = '_t_tarifa_escalat';
			$this->db->delete($fitxer, array('tarifa_codi' => $id1, 'tarifa_transport' => $id2));
			$this->log_actions("DELETE", $nom_fitxer);
			// Tornem
			$torna = $this->uri->segment(5);
			if ($torna == 'yes') {
				redirect('five/client_tarifa');
			}
			else  redirect('five/view/'.$nom_fitxer);
		}
	}	

	/**
	 * 
	 * Esborrar un registre de tarifes
	 */
	public function delete_asignar_tarifa()
	{
		if($this->_user_is_logged_in())	{
			$id1 = $this->uri->segment(3);
			$id2 = $this->uri->segment(4);
			$id3 = $this->uri->segment(5);
			// Capcelera
			$nom_fitxer = 'tarifa_client';
			$fitxer = '_t_'.$nom_fitxer;			
			$this->db->delete($fitxer, array('tarifa_codi' => $id1, 'tarifa_client' => $id2, 'tarifa_transport' => $id3));
			$this->log_actions("DELETE", $nom_fitxer);
			// Linies
			$fitxer = '_t_tarifa_client_escalat';
			$this->db->delete($fitxer, array('tarifa_codi' => $id1, 'tarifa_client' => $id2, 'tarifa_transport' => $id3));
			$this->log_actions("DELETE", $nom_fitxer);
			// Tornem
			$torna = $this->uri->segment(5);
			redirect('five/asignar_tarifa/'.$id2.'/1');
		}
	}	
	
	/**
	 * New o Edit d'un pais
	 */
	public function new_edit_pais()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id == 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->pais_model->get_new_pais();
				//
            	$rules = $this->form_validation;
				$rules->set_rules('pais_codi', lang('five.error_pais_codi'), 'required');
				$rules->set_rules('pais_nom', lang('five.error_pais_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_pais'); 
					$this->load->view('five/new_edit_pais',$data);
				}
				else {
					$this->log_actions("INSERT", "Pais", $id);
					$this->pais_model->set_pais(0,$rules->set_value('pais_codi'));			
					redirect('five/view/pais');
				}
			}
		}
		if ($id <> 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->pais_model->get_pais($id);
				$codi = $data['five']['pais_codi'];
				//	
				$this->form_validation->set_rules('pais_nom', lang('five.error_pais_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_pais');
					$this->load->view('five/new_edit_pais',$data);
				}
				else {
					$this->log_actions("UPDATE", "Pais", $id);
					$this->pais_model->set_pais($id,$codi);			
					redirect('five/view/pais');
				}
			}
		}
	}	
	
	/**
	 * 
	 * Buscar dades d'una comunitat
	 */
	public function buscar_comunitat()
	{
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');			
			$dades = $this->comunitat_model->get_comunitat_provincia($id);
			$id2 = $dades['pais_nom'];			
			echo $id2;
		}				
	}

	/**
	 * 
	 * Buscar dades d'una comunitat
	 */
	public function buscar_provincia_pais()
	{
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');	
			$dades = $this->provincia_model->get_provincia($id,1); 
			$cl = '';
			if (isset($dades['provincia_comunitat'])) $cl = $dades['provincia_comunitat']; 
			$dades = $this->comunitat_model->get_comunitat($cl,1);
			$com = '?';
			if (isset($dades['comunitat_nom'])) $com = $dades['comunitat_nom'];
			$cl = '';
			if (isset($dades['comunitat_pais'])) $cl = $dades['comunitat_pais'];
			$dades = $this->pais_model->get_pais($cl,1);				
			$pas = '?';
			if (isset($dades['pais_nom'])) $pas = $dades['pais_nom'];
			echo $com.'_'.$pas;
		}				
	}
	
	/**
	 * New o Edit d'una zona
	 */
	public function new_edit_zona()
	{
		$id = $this->uri->segment(3);
		if ($id == null) $id = '0';
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
			if($this->_user_is_logged_in())	{
				$data['list_provincia1'] = $this->provincia_model->get_provincia_todas(0);
				$data['list_provincia2'] = $this->provincia_model->get_provincia_zonas($id);
				if ($id == '0')	$data['five'] = $this->zona_model->get_new_zona();
				if ($id <> '0')	$data['five'] = $this->zona_model->get_Llegeix_zona($id, $data['list_provincia2']);	
				//
            	$rules = $this->form_validation;
            	if ($id == '0')	$rules->set_rules('zonas_codi', lang('five.error_zona_codi'), 'required');
				$rules->set_rules('zonas_nom', lang('five.error_zona_nom'), 'required');
            	$rules->set_rules('zonas_tria', lang('five.error_zona_provincia'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_zona');
					$this->load->view('five/new_edit_zona',$data);
				}
				else {
					if ($id == '0')	$id = $rules->set_value('zonas_codi');				
					$this->log_actions("INSERT/UPDATE", "Zona", $id);
					$this->zona_model->set_zona($id);
					redirect('five/view/zonas');
				}
			}
	}	
	
	/**
	 * 
	 * Buscar les provincies o poblacions 
	 */
	public function buscar_provincia() {
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('fica');
			$dades = $this->provincia_model->get_provincia_todas($id);
			$num_regs = count($dades);
			foreach ($dades as $name) {
				echo sprintf("<option value=%s>%s</option>",$name['id'],$name['provincia_codi'].' '.$name['provincia_nom']);
			}			
		}
	}	
	
	/**
	 * New o Edit d'un complement
	 */
	public function new_edit_complement()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id == 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->complement_model->get_new_complement();
				$data['list_tipus'] = $this->five_model->get_tipus();
				//
            	$rules = $this->form_validation;
				$rules->set_rules('complement_codi', lang('five.error_complement_codi'), 'required');
				$rules->set_rules('complement_nom', lang('five.error_complement_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_complement');
					$this->load->view('five/new_edit_complement',$data);
				}
				else {
					$this->log_actions("INSERT", "Complement", $id);
					$this->complement_model->set_complement(0,$rules->set_value('complement_codi'));			
					redirect('five/view/complement');
				}
			}
		}
		if ($id <> 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->complement_model->get_complement($id);
				$codi = $data['five']['complement_codi'];
				$data['list_tipus'] = $this->five_model->get_tipus();
				//	
				$this->form_validation->set_rules('complement_nom', lang('five.error_complement_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->lang->load('five', $_SESSION['idioma']);			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_complement');
					$this->load->view('five/new_edit_complement',$data);
				}
				else {
					$this->log_actions("UPDATE", "Complement", $id);
					$this->complement_model->set_complement($id,$codi);			
					redirect('five/view/complement');
				}
			}
		}
	}	
	
	/**
	 * New o Edit d'un pagament
	 */
	public function new_edit_pagos()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id == 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->pagos_model->get_new_pagos();
				//
            	$rules = $this->form_validation;
				$rules->set_rules('pagos_codi', lang('five.error_formes_codi'), 'required');
				$rules->set_rules('pagos_nom', lang('five.error_formes_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_formes');
					$this->load->view('five/new_edit_pagos',$data);
				}
				else {
					$this->log_actions("INSERT", "Pagos", $id);
					$this->pagos_model->set_pagos(0,$rules->set_value('pagos_codi'));			
					redirect('five/view/pagos');
				}
			}
		}
		if ($id <> 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->pagos_model->get_pagos($id);
				$codi = $data['five']['pagos_codi'];
				//	
				$this->form_validation->set_rules('pagos_nom', lang('five.error_formes_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->lang->load('five', $_SESSION['idioma']);			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_formes');
					$this->load->view('five/new_edit_pagos',$data);
				}
				else {
					$this->log_actions("UPDATE", "Pagos", $id);
					$this->pagos_model->set_pagos($id,$codi);			
					redirect('five/view/pagos');
				}
			}
		}
	}

	/**
	 * New o Edit d'un pagament
	 */
	public function new_edit_concepte()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id == 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->concepte_model->get_new_concepte();
				//
            	$rules = $this->form_validation;
				$rules->set_rules('concepte_codi', lang('five.error_concepte_codi'), 'required');
				$rules->set_rules('concepte_nom', lang('five.error_concepte_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_concepte');
					$this->load->view('five/new_edit_concepte',$data);
				}
				else {
					$this->log_actions("INSERT", "concepte", $id);
					$this->concepte_model->set_concepte(0,$rules->set_value('concepte_codi'));			
					redirect('five/view/concepte');
				}
			}
		}
		if ($id <> 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->concepte_model->get_concepte($id);
				$codi = $data['five']['concepte_codi'];
				//	
				$this->form_validation->set_rules('concepte_nom', lang('five.error_concepte_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->lang->load('five', $_SESSION['idioma']);			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_concepte');
					$this->load->view('five/new_edit_concepte',$data);
				}
				else {
					$this->log_actions("UPDATE", "concepte", $id);
					$this->concepte_model->set_concepte($id,$codi);			
					redirect('five/view/concepte');
				}
			}
		}
	}	
	

	/**
	 * New o Edit tipus flota
	 */
	public function new_edit_tipus_flota()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id == 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->tipus_flota_model->get_new_tipus_flota();
				//
            	$rules = $this->form_validation;
				$rules->set_rules('tipus_flota_codi', lang('five.error_tipus_flota_codi'), 'required');
				$rules->set_rules('tipus_flota_nom', lang('five.error_tipus_flota_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_tipus_flota');
					$this->load->view('five/new_edit_tipus_flota',$data);
				}
				else {
					$this->log_actions("INSERT", "tipus vehicle", $id);
					$this->tipus_flota_model->set_tipus_flota(0,$rules->set_value('tipus_flota_codi'));			
					redirect('five/view/tipus_flota');
				}
			}
		}
		if ($id <> 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->tipus_flota_model->get_tipus_flota($id);
				$codi = $data['five']['tipus_flota_codi'];
				//	
				$this->form_validation->set_rules('tipus_flota_nom', lang('five.error_tipus_flota_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->lang->load('five', $_SESSION['idioma']);			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_tipus_flota');
					$this->load->view('five/new_edit_tipus_flota',$data);
				}
				else {
					$this->log_actions("UPDATE", "tipus vehicle", $id);
					$this->tipus_flota_model->set_tipus_flota($id,$codi);			
					redirect('five/view/tipus_flota');
				}
			}
		}
	}	
	
	/**
	 * New o Edit d'un transport
	 */
	public function new_edit_transport()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id == 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->transport_model->get_new_transport();
				$tr = '';
				if (isset($data['five'][0]['transprot_codi'])) $tr = $data['five'][0]['transprot_codi'];
				$data['flota'] = $this->transport_model->get_flota($tr);
				//
            	$rules = $this->form_validation;
				$rules->set_rules('transport_codi', lang('five.error_transport_codi'), 'required');
				$rules->set_rules('transport_nom', lang('five.error_transport_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_transport');
					$this->load->view('five/new_edit_transport',$data);
				}
				else {
					$this->log_actions("INSERT", "Transport", $id);
					$this->transport_model->set_transport(0,$rules->set_value('transport_codi'));			
					redirect('five/view/transport');
				}
			}
		}
		if ($id <> 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->transport_model->get_transport($id);
				$codi = $data['five']['transport_codi'];
				$data['flota'] = $this->transport_model->get_flota($codi);
				//	
				$this->form_validation->set_rules('transport_nom', lang('five.error_transport_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_transport');
					$this->load->view('five/new_edit_transport',$data);
				}
				else {
					$this->log_actions("UPDATE", "Transport", $id);
					$this->transport_model->set_transport($id,$codi);			
					redirect('five/view/transport');
				}
			}
		}
	}	
	
	/**
	 * New o Edit flota
	 */
	public function new_edit_flota()
	{
		$id = $this->uri->segment(3);		
		$tr = $this->uri->segment(4);
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id == 0) {
			if($this->_user_is_logged_in())	{
				$data['transport'] = $tr;
				$data['list_tipus'] = $this->tipus_flota_model->get_tipus_flota();
				$data['list_transport'] = $this->transport_model->get_transport();
				$data['five'] = $this->flota_model->get_new_flota();
				//
            	$rules = $this->form_validation;
				$rules->set_rules('flota_matricula', lang('five.error_flota_matricula'), 'required');
				$rules->set_rules('flota_nom', lang('five.error_flota_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_flota');
					$this->load->view('five/new_edit_flota',$data);
				}
				else {
					$this->log_actions("INSERT", "vehicle", $id);
					$this->flota_model->set_flota(0,$rules->set_value('flota_matricula'));			
					redirect('five/view/flota');
				}
			}
		}
		if ($id <> 0) {
			if($this->_user_is_logged_in())	{
				$data['transport'] = $tr;
				$data['list_tipus'] = $this->tipus_flota_model->get_tipus_flota();
				$data['list_transport'] = $this->transport_model->get_transport();
				$data['five'] = $this->flota_model->get_flota($id);
				$codi = $data['five']['flota_matricula'];
				$fec = $data['five']['flota_compra'];
				$d2 = substr($fec, 8,2);
				$m2 = substr($fec, 5,2);
				$y2 = substr($fec, 0,4);
				$data['five']['flota_compra'] = $d2.'-'.$m2.'-'.$y2;				
				//	
				$this->form_validation->set_rules('flota_nom', lang('five.error_flota_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->lang->load('five', $_SESSION['idioma']);			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_flota');
					$this->load->view('five/new_edit_flota',$data);
				}
				else {
					$this->log_actions("UPDATE", "vehicle", $id);
					$this->flota_model->set_flota($id,$codi);
					redirect('five/view/flota');
				}
			}
		}
	}	
	
	/**
	 * New o Edit d'un client
	 */
	public function transport_client()
	{
		$id = $_SESSION['id_intern'];
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['visual'] = '1';
			$data['five'] = $this->transport_model->get_transport($id);								
			$codi = $data['five']['transport_codi'];
			//
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$data['titul'] = lang('five.titol_ver_transport');
				$this->load->view('five/new_edit_transport',$data);
			}
			else {
//				$this->log_actions("UPDATE", "Client", $id);
//				$this->client_model->set_client($id,$codi);			
				redirect('five/menu');
			}
		}
	}	
	
	/**
	 * Assignar clients transportista
	 */
	public function transport_clients()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);	
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->five_model->new_assing($id);			
			//	
            $rules = $this->form_validation;
			$rules->set_rules('id_transport', lang('five.error_assignar_transport'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/assignar_transport',$data);
			}
			else {
				$id = $this->input->post('id_transport');
				$id = substr('00000' . $id,-5);						
				$data['five'] = $this->five_model->new_assing($id);
				$data['transport'] = $this->transport_model->get_transport($id,1);
				$data['client1'] = $this->client_model->get_client_transport($id);				
				$data['client2'] = $this->transport_model->get_transport_client($id);				
				$this->load->view('five/plantillas/header');
				$this->load->view('five/assignar_transport',$data);				
			}
		}		
	}
		
	/**
	 * Grabar clients transportista
	 */
	public function grabar_transport_clients()
	{
		$cl = $this->input->post('text');
		$id = $this->input->post('id');		
		if($this->_user_is_logged_in())	{		
			$this->log_actions("INSERT", "Transport_client", $id);
			$this->transport_model->grabar_clients_transport($cl,$id);			
		}
	}
	
	/**
	 * Assignar escalat
	 */
	public function new_edit_escalat()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);	
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->five_model->new_escalat($id);			
			//			$data['five'] = $this->transport_clients->get_transport($id);
			//	
            $rules = $this->form_validation;
			$rules->set_rules('id_escalat', lang('five.error_escalat'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/new_edit_escalat',$data);
			}
			else {
				if ($id <> '') {
					$id = substr('00000' . $id,-4);		
					$this->five_model->grabar_escalat($id);
					redirect('five/new_edit_escalat');					
				}
				$id = $this->input->post('id_escalat');				
				$id = substr('00000' . $id,-4);		
				$data['five'] = $this->five_model->new_escalat($id);			
				$data['linies'] = $this->five_model->get_escalat($id);
				$this->load->view('five/plantillas/header');
				$this->load->view('five/new_edit_escalat',$data);				
			}
		}		
	}

	/**
	 * Grabar escalat
	 */
	public function grabar_escalat()
	{
		$id = $this->uri->segment(3);
		if($this->_user_is_logged_in())	{
			$this->log_actions("INSERT", "Escalat", $id);
			//$data = $this->input->post('listbox_tria');
			//$this->transport_model->grabar_escalat($data);			
			redirect('five/menu');
		}
	}
	

	/**
	 * New una tarifa
	 */
	public function new_edit_tarifa()
	{
		$id1 = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id1 == '0') {
			if($this->_user_is_logged_in())	{
				$data['insert'] = $id1;
				$data['five'] = $this->tarifa_model->get_new_tarifa('','',0);	
				// Assignar combos.
				$data['list_pais'] = $this->pais_model->get_pais();	
				$data['list_ccaa'] = array(); 
				$data['list_provincia'] = array();						
				$data['list_poblacio'] = array();				
				//
				$icol = 10;
				for ($i=0; $i<$icol; $i++) {
					$data['list_ccaa'.$i] = $data['list_ccaa'];
					$data['list_provincia'.$i] = $data['list_provincia'];
					$data['list_poblacio'.$i] = $data['list_poblacio'];
				}					
				//
	           	$rules = $this->form_validation;
				$rules->set_rules('tarifa_codi', lang('five.error_tarifa_codi'), 'required');
	           	$rules->set_rules('tarifa_transport', lang('five.error_tarifa_transport'), 'required');	           	
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_tarifa');
					$this->load->view('five/new_edit_tarifa',$data);
				}
				else {
					$alta = $this->input->post('alta');
					// New
					if ($alta == 1) {					
						$transport = $this->input->post('tarifa_transport');		
						$codi = $this->input->post('tarifa_codi');
						// Busco Tarifa	
						$data['five'] = $this->tarifa_model->get_tarifa($codi,$transport,1,'_t_tarifa');
						if (isset($data['five']['id'])) {
							$data['titul'] = lang('five.titol_modificar_tarifa');
							// Carrego Combos
							// Destins
							$icol = 10;
							for ($i=0; $i<$icol; $i++) {
								$pa = $data['five']['tarifa_desti_pais_'.$i];
								$ca = $data['five']['tarifa_desti_ccaa_'.$i];
								$pr = $data['five']['tarifa_desti_provincia_'.$i];					
								// CCAA
								$data['list_ccaa'.$i] = $this->comunitat_model->get_comunitat_pais($pa);
								if ($data['five']['tarifa_desti_ccaa_'.$i]!=null) {
									$data['list_provincia'.$i] = $this->provincia_model->get_provincia_comunitat($pa,$ca);
									if ($data['five']['tarifa_desti_provincia_'.$i]!=null) {
										$data['list_poblacio'.$i] = $this->poblacio_model->get_poblacio_provincia($pa,$ca,$pr);
									}
								}
							}
							// Origen
							$pa = '';
							if (isset($data['five']['tarifa_origen_pais'])) $pa = $data['five']['tarifa_origen_pais'];
							// CCAA
							$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($pa);				
							if ($data['five']['tarifa_origen_ccaa']!=null) {
								$ca = $data['five']['tarifa_origen_ccaa']; 
								$data['list_provincia'] = $this->provincia_model->get_provincia_comunitat($pa,$ca);
								if ($data['five']['tarifa_origen_provincia']!=null) {
									$pr = $data['five']['tarifa_origen_provincia'];
									$data['list_poblacio'] = $this->poblacio_model->get_poblacio_provincia($pa,$ca,$pr);						
								}					
							}
							//				
							$data['five']['alta'] = 3;													
						}
						if (!(isset($data['five']['id']))) {
							$data['titul'] = lang('five.titol_crear_tarifa');
							$data['five'] = $this->tarifa_model->get_new_tarifa($transport,$codi,2);
							$dades = $this->transport_model->get_tarifa_transport($transport);
							$data['five']['transport_nom'] = $dades['transport_nom'];
							$data['five']['id'] = 0;
						}
						$this->load->view('five/plantillas/header');
						$this->load->view('five/new_edit_tarifa',$data);						
					}
					if ($alta == 2) {		
						$this->log_actions("INSERT", "Tarifa", $id1);
						$this->tarifa_model->set_tarifa(0,$rules->set_value('tarifa_codi'),$rules->set_value('tarifa_transport'));
						redirect('five/tarifa_lineas/'.$rules->set_value('tarifa_codi').'/'.$rules->set_value('tarifa_transport'));					
					}
					if ($alta == 3) {	
						$transport = $this->input->post('tarifa_transport');		
						$codi = $this->input->post('tarifa_codi');
						$this->log_actions("UPDATE", "Tarifa", $codi.' '.$transport);
						$this->tarifa_model->set_tarifa($id1,$codi,$transport);
						redirect('five/tarifa_lineas/'.$codi.'/'.$transport);
					}
				}				
			}
		}
		if ($id1 <> '0') {
			if($this->_user_is_logged_in())	{
				$cl = $this->uri->segment(4);		
				$tr = $this->uri->segment(5);
				if (isset($tr)) {
					$data['five'] = $this->tarifa_model->get_tarifa($cl,$tr,1,'_t_tarifa');					
					$data['insert'] = $id1;
				}
				else {								
				$data['insert'] = $id1;
				$data['five'] = $this->tarifa_model->get_tarifa($id1,'',0,'_t_tarifa');
				}
				// Assignar combos.
				$data['list_pais'] = $this->pais_model->get_pais();	
				$data['list_ccaa'] = array(); 
				$data['list_provincia'] = array();						
				$data['list_poblacio'] = array();				
				//
				$icol = 10;
				for ($i=0; $i<$icol; $i++) {
					$data['list_ccaa'.$i] = $data['list_ccaa'];
					$data['list_provincia'.$i] = $data['list_provincia'];
					$data['list_poblacio'.$i] = $data['list_poblacio'];
				}					
				$icol = 10;
				for ($i=0; $i<$icol; $i++) {
					$pa = $data['five']['tarifa_desti_pais_'.$i];
					$ca = $data['five']['tarifa_desti_ccaa_'.$i];
					$pr = $data['five']['tarifa_desti_provincia_'.$i];					
					// CCAA
					$data['list_ccaa'.$i] = $this->comunitat_model->get_comunitat_pais($pa);
					if ($data['five']['tarifa_desti_ccaa_'.$i]!=null) {
						$data['list_provincia'.$i] = $this->provincia_model->get_provincia_comunitat($pa,$ca);
						if ($data['five']['tarifa_desti_provincia_'.$i]!=null) {
							$data['list_poblacio'.$i] = $this->poblacio_model->get_poblacio_provincia($pa,$ca,$pr);
						}
					}
				}
				$data['five']['alta'] = 3;
				//
				$pa = '';
				if (isset($data['five']['tarifa_origen_pais'])) $pa = $data['five']['tarifa_origen_pais'];
				// CCAA
				$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($pa);				
				if ($data['five']['tarifa_origen_ccaa']!=null) {
					$ca = $data['five']['tarifa_origen_ccaa']; 
					$data['list_provincia'] = $this->provincia_model->get_provincia_comunitat($pa,$ca);
					if ($data['five']['tarifa_origen_provincia']!=null) {
						$pr = $data['five']['tarifa_origen_provincia'];
						$data['list_poblacio'] = $this->poblacio_model->get_poblacio_provincia($pa,$ca,$pr);						
					}					
				}
				//				
				$codi1 = $data['five']['tarifa_codi'];
				$codi2 = $data['five']['tarifa_transport'];
				//	
	           	$rules = $this->form_validation;
				$this->form_validation->set_rules('tarifa_nom', lang('five.error_tarifa_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_tarifa');
					$this->load->view('five/new_edit_tarifa',$data);
				}
				else {
					$transport = $this->input->post('tarifa_transport');		
					$codi = $this->input->post('tarifa_codi');
					$this->log_actions("UPDATE", "Tarifa", $codi.' '.$transport);
					$this->tarifa_model->set_tarifa($id1,$codi,$transport);
					redirect('five/tarifa_lineas/'.$codi.'/'.$transport);
				}
			}			
		}
	}	
	
	/**
	 * 
	 * Enter linies de tarifa
	 */
	public function tarifa_lineas()
	{
		if ($_SESSION['perfil'] == 'transport') $data['only_client'] = '1'; 
		$id1 = $this->uri->segment(3);		
		$id2 = $this->uri->segment(4);
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
            $data['five'] = $this->tarifa_model->get_tarifa_escalat($id1,$id2);			
			$rules = $this->form_validation;
	        $this->form_validation->set_rules('row_0_id', 'five.error_tarifa', 'required');
            if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/edit_lineas',$data);
			}
			else {
				$this->log_actions("UPDATE", "Lineas Tarifa", $id1.' '.$id2);
				$this->tarifa_model->graba_tarifa_escalat();	
				if ($_SESSION['perfil'] == 'transport') redirect('five/client_tarifa');
				else redirect('five/view/tarifa');			
			}						
		}		
	}
	
	/**
	 * 
	 * Buscar dades transportista
	 */
	public function buscar_transport()
	{
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');			
			$dades = $this->transport_model->get_tarifa_transport($id);
			$id2 = $dades['transport_nom'];			
			echo $id2;
		}				
	}

	/**
	 * 
	 * Buscar dades zona
	 */
	public function buscar_zona()
	{
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');			
			$dades = $this->zona_model->get_tarifa_zonas($id);
			$id2 = $dades['zonas_nom'];			
			echo $id2;
		}				
	}

	/**
	 * 
	 * Buscar dades complement
	 */
	public function buscar_complement()
	{
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');			
			$dades = $this->complement_model->get_complement($id);
			$id2 = $dades['complement_nom'].'_'.$dades['complement_preu'];			
			echo $id2;
		}				
	}
	
	/**
	 * New o Edit d'un client
	 */
	public function new_edit_client()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id == 0) {
			if($this->_user_is_logged_in())	{
				$pago = $this->pagos_model->get_pagos('01',0);
				$nom = '';
				if (isset($pago["pagos_nom"])) $nom = $pago["pagos_nom"];				
				$data['five'] = $this->client_model->get_new_client($nom);
				$data['tarifes'] = $this->client_model->get_client_tarifa_fitxa('');								
				$data['recollides'] = $this->recollides_model->get_client_recollides('');								
				$data['distribuidor'] = $this->distribuidor_model->get_client_distribuidor('');											
				$data['transport'] = $this->transport_model->get_transport();
				$data['tarifa'] = $this->tarifa_model->get_tarifa_all_transport();
				$data['list_pais'] = $this->pais_model->get_pais();					
				//
            	$rules = $this->form_validation;
				$rules->set_rules('client_codi', lang('five.error_client_codi'), 'required');
				$rules->set_rules('client_nom', lang('five.error_client_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_client');
					$this->load->view('five/new_edit_client',$data);
				}
				else {
					$this->log_actions("INSERT", "Client", $id);
					$this->client_model->set_client(0,$rules->set_value('client_codi'));			
					redirect('five/view/client');
				}
			}
		}
		if ($id <> 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->client_model->get_client($id);								
				$codi = $data['five']['client_codi'];
				$data['tarifes'] = $this->client_model->get_client_tarifa_fitxa($codi);								
				$data['recollides'] = $this->recollides_model->get_client_recollides($codi);								
				$data['distribuidor'] = $this->distribuidor_model->get_client_distribuidor($codi);								
				$data['transport'] = $this->transport_model->get_transport();
				$data['tarifa'] = $this->tarifa_model->get_tarifa_all_transport();			
				$data['list_pais'] = $this->pais_model->get_pais();	
				//
				$fec = $data['five']['client_alta'];
				$d2 = substr($fec, 8,2);
				$m2 = substr($fec, 5,2);
				$y2 = substr($fec, 0,4);
				$data['five']['client_alta'] = $d2.'-'.$m2.'-'.$y2;				
				//	
				$this->form_validation->set_rules('client_nom', lang('five.error_client_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_client');
					$this->load->view('five/new_edit_client',$data);
				}
				else {
					$this->log_actions("UPDATE", "Client", $id);
					$this->client_model->set_client($id,$codi);			
					redirect('five/view/client');
				}
			}
		}
	}

	/**
	 * New o Edit d'un client
	 */
	public function client_client()
	{
		$id = $_SESSION['id_intern'];
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->client_model->get_client($id);								
			$codi = $data['five']['client_codi'];
			$data['visual'] = '1';
			$data['tarifes'] = $this->client_model->get_client_tarifa_fitxa($codi);								
			$data['transport'] = $this->transport_model->get_transport();
			$data['tarifa'] = $this->tarifa_model->get_tarifa_all_transport();			
			$data['list_pais'] = $this->pais_model->get_pais();					
			//
			$fec = $data['five']['client_alta'];
			$d2 = substr($fec, 8,2);
			$m2 = substr($fec, 5,2);
			$y2 = substr($fec, 0,4);
			$data['five']['client_alta'] = $d2.'-'.$m2.'-'.$y2;				
			//	
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$data['titul'] = lang('five.titol_ver_client');
				$this->load->view('five/new_edit_client',$data);
			}
			else {
				redirect('five/menu');
			}
		}
	}	
	
	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function client_recollides()	
	{
		if($this->_user_is_logged_in())	{
			$this->lang->load('five', $_SESSION['idioma']);					
			$data['five'] = $this->five_model->get_fitxer_client('recollides');		
			$this->load->view('five/plantillas/header');
			$this->load->view('five/view_recollides_client', $data);
		}	
	}
	
	/**
	 * New o Edit d'un recollides
	 */
	public function edit_client_recollides()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id == 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->recollides_model->get_new_recollides();
				//
            	$rules = $this->form_validation;
				$rules->set_rules('recollides_codi', lang('five.error_recollides_codi'), 'required');
				$rules->set_rules('recollides_nom', lang('five.error_recollides_nom'), 'required');
				$data['list_pais'] = $this->pais_model->get_pais();					
				
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_recollides');
					$this->load->view('five/edit_client_recollides',$data);
				}
				else {
					$this->log_actions("INSERT", "Recollides Client", $id);
					$this->recollides_model->set_recollides_client(0,$rules->set_value('recollides_codi'));			
					redirect('five/client_recollides');
				}
			}
		}
		if ($id <> 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->recollides_model->get_recollides($id,'','');
				$codi = $data['five']['recollides_codi'];
				$data['list_pais'] = $this->pais_model->get_pais();					
				//	
				$this->form_validation->set_rules('recollides_nom', lang('five.error_recollides_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_recollides');
					$this->load->view('five/edit_client_recollides',$data);
				}
				else {
					$this->log_actions("UPDATE", "recollides client", $id);
					$this->recollides_model->set_recollides_client($id,$codi);			
					redirect('five/client_recollides');
				}
			}
		}
	}	
	
	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function client_distribuidor()	
	{
		if($this->_user_is_logged_in())	{
			$this->lang->load('five', $_SESSION['idioma']);					
			$data['five'] = $this->five_model->get_fitxer_client('distribuidor');		
			$this->load->view('five/plantillas/header');
			$this->load->view('five/view_distribuidor_client', $data);
		}	
	}
	
	/**
	 * New o Edit d'un recollides
	 */
	public function edit_client_distribuidor()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id == 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->distribuidor_model->get_new_distribuidor();
				$tr = '';
				$data['flota'] = $this->transport_model->get_flota($tr);												
				$data['list_pais'] = $this->pais_model->get_pais();					
				//
            	$rules = $this->form_validation;
				$rules->set_rules('distribuidor_codi', lang('five.error_distribuidor_codi'), 'required');
				$rules->set_rules('distribuidor_nom', lang('five.error_distribuidor_nom'), 'required');
				
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_distribuidor');
					$this->load->view('five/edit_client_distribuidor',$data);
				}
				else {
					$this->log_actions("INSERT", "Distribuidor Client", $id);
					$this->distribuidor_model->set_distribuidor_client(0,$rules->set_value('distribuidor_codi'));			
					redirect('five/client_distribuidor');
				}
			}
		}
		if ($id <> 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->distribuidor_model->get_distribuidor($id,'','');
				$tr = '';
				if (isset($data['five']['distribuidor_transport'])) $tr = $data['five']['distribuidor_transport'];
				$data['flota'] = $this->transport_model->get_flota($tr);												
				$codi = $data['five']['distribuidor_codi'];
				$data['list_pais'] = $this->pais_model->get_pais();					
				//	
				$this->form_validation->set_rules('distribuidor_nom', lang('five.error_distribuidor_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_distribuidor');
					$this->load->view('five/edit_client_distribuidor',$data);
				}
				else {
					$this->log_actions("UPDATE", "Ristribuidor client", $id);
					$this->distribuidor_model->set_distribuidor_client($id,$codi);			
					redirect('five/client_distribuidor');
				}
			}
		}
	}	
	
	/**
	 * 
	 * Buscar dades formes de pagament
	 */
	public function buscar_forma()
	{
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');			
			$dades = $this->pagos_model->get_pagos($id);
			$id2 = $dades['pagos_nom'];			
			echo $id2;
		}				
	}	
	
	/**
	 * 
	 * Buscar dades client
	 */
	public function buscar_client()
	{
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');			
			$dades = $this->client_model->get_client_distribuidor($id);
			$id2 = $dades['client_nom'];			
			echo $id2;
		}				
	}
		
	/**
	 * 
	 * Buscar dades matricula
	 */
	public function buscar_matricula()
	{
		if ($this->input->is_ajax_request()) {
			$tr = $this->input->post('transport');		
			$dades = $this->transport_model->get_flota($tr);
			$num_regs = count($dades);
		    echo "<option value='".'#'."'>".lang('five.label_distribuidor_sense_assignar')."</option>";
			foreach ($dades as $key => $valors) {
				if (!($valors == "")) echo "<option value='".$valors['flota_matricula']."'>".$valors['flota_matricula']."</option>";			
			}	
		}				
	}
	
	/**
	 * Carrega fitxers del client
	 */
	public function carrega_client()
	{
		if($this->_user_is_logged_in())
		{
			$config['upload_path'] = 'uploads/clients/';
			$config['allowed_types'] = 'xml|txt';
			$config['max_size']	= '1000000';
			$config['max_width']  = '1024';
			$config['max_height']  = '768';
			$this->load->library('upload', $config);
			if ( ! $this->upload->do_upload())
			{
				$data['five'] = array();
				$error = array('error' => $this->upload->display_errors());
				$this->lang->load('five', $_SESSION['idioma']);			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/five_upload_client', $data);
			}
			else
			{
				$data['upload_data'] = $this->upload->data();
				$dades = $this->client_model->get_client($_SESSION['id_intern'],1);			
				$email = $dades['client_email'];
				$this->notify_changes($data,'CLIENT',$email);
				$this->lang->load('five', $_SESSION['idioma']);			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/five_success_client',$data);
			}						
		}
	}

	
	/**
	 * Assignar clients transportista
	 */
	public function albaransFIVE()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);	
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->five_model->new_albara($id);			
			//	
            $rules = $this->form_validation;
			$rules->set_rules('id_client', lang('five.error_albara_client'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/albarans_five',$data);
			}
			else {
				if ($id <> '') {
					$id = substr('00000' . $id,-5);		
					$this->five_model->grabar_albarans_five($id);
					redirect('five/albaransFIVE');					
				}				
				$id = $this->input->post('id_client');				
				$id = substr('00000' . $id,-5);						
				$data['five'] = $this->five_model->new_albara($id);
				$data['albara'] = $this->client_model->get_client($id,1);
				$data['linies'] = $this->five_model->get_albarans_five($id);				
				$this->load->view('five/plantillas/header');
				$this->load->view('five/albarans_five',$data);
			}
		}		
	}
	
	/**
	 * Assignar clients transportista
	 */
	public function albaransFacturar()
	{
		$this->lang->load('five', $_SESSION['idioma']);	
		if($this->_user_is_logged_in())	{
			$id = $this->uri->segment(3);			
			$id = substr('00000' . $id,-5);
			$dades = $this->five_model->get_albarans_five($id);
			$client = $this->client_model->get_client($id);
			$pago = $this->pagos_model->get_pagos($client['client_pago'],0);
			$any = date("Y");
			$di = $this->five_model->get_comptador($any);
			$numero = '';
			if (isset($di['numero'])) $numero = $di['numero'];
			// Facturo
			$emi = date("Y-m-d");			
			$numero = $this->factura_model->facturar_albaran($id,$dades,$client,$pago,$numero,$emi);
			// Carrego factura			
			$data['five'] = $this->five_model->new_albara($id);
			$data['empresa'] = $this->five_model->get_empresa();
			$data['lista'] = $this->factura_model->get_repetir($numero,$numero);
				$linies = $this->factura_model->get_repetir_linies($numero,$numero);
				$result = array();
				foreach ($linies as $key => $value) {
					$clau = $value['numero'];
					$id = $value['id'];
					$result[$clau][$id][0] = $value['concepte'];
					$result[$clau][$id][1] = $value['unitats'];
					$result[$clau][$id][2] = $value['preu'];
					$result[$clau][$id][3] = $value['dto'];
					$result[$clau][$id][4] = $value['total'];
				}
			$data['lista_linies'] = $result;							
			// Mostro
			$this->load->view('five/plantillas/header');
			$this->load->view('five/albarans_factura',$data);							
		}		
	}

	/**
	 * Assignar clients transportista
	 */
	public function delete_albaraFIVE() {
		$fitxer = '_t_albarans_five';
		if($this->_user_is_logged_in())	{
			$id = $this->uri->segment(3);			
			$this->db->delete($fitxer, array('albara_client' => $id));
			$this->log_actions("DELETE", $nom_fitxer);
			redirect('five/albaransFIVE');		
		}	
	}
	
	/**
	 * 
	 * Buscar dades de conceptes
	 */
	public function buscar_conceptes()
	{
		if ($this->input->is_ajax_request()) {
			$co = $this->input->post('concepte');		
			$dades = $this->concepte_model->get_concepte($co,1);
			$nom = $dades['concepte_nom'];
			$imp = number_format($dades['concepte_preu'],2,'.','');			
			echo $nom.'_'.$imp;
		}				
	}
	
	
	/**
	 * Envia un email notificando que han pujat un arxiu
	 */
	public function notify_changes($data,$tipus,$email){
		if($this->_user_is_logged_in())
		{
			// Obrim Fitxer;			
			if ($data['file_ext'] = 'TXT') {				
				$fp= fopen($data['upload_data']['full_path'],'r');
				while(!feof($fp)) {
					$linea = fgets($fp);
					$dades = explode(";",$linea);
					$result = $this->five_model->graba_linea_carrega($dades);
					//echo $result;					
				}
			}
			
			$this->load->library('email');
			$fitxer = $data['upload_data']['full_path'];
			
			$config['protocol'] = 'smtp';
			$config['smtp_host'] = 'smtp.infonegocio.com';
			$config['smtp_port'] = '25';
			$config['smtp_user'] = 'ceinvde@infonegocio.com';
			$config['smtp_pass'] = '92782Rat';
			$config['mailtype'] = 'html';		
			$config['charset'] = 'iso-8859-1';
			$config['wordwrap'] = TRUE;
			$this->email->initialize($config);
						
			$this->email->from('ceinvde@infonegocio.com', 'Robert Artesona');
			$this->email->to($email);
			$this->email->subject('Entrada de carga '.$tipus);
			$this->email->message('Cargado Fichero : '.$fitxer);
			$this->email->send();
			echo $this->email->print_debugger();			
		}
	}

	/**
	 * 
	 * Esborrar un albara
	 */
	public function delete_albara() {
		$fitxer = '_t_albarans';
		if($this->_user_is_logged_in())	{
			$id = $this->uri->segment(3);			
			$fec = $this->uri->segment(4);			
			$this->db->delete($fitxer, array('id' => $id));
			$this->log_actions("DELETE", $nom_fitxer);
			redirect('five/carrega_manual/1/'.$fec);		
		}		
	}
	
	
	/**
	 * 
	 * Pantalla principal d'entrades especials
	 */
	public function carrega_manual()	
	{		
		$alta = $this->uri->segment(3);		
		$id = $this->uri->segment(4);		
		$this->lang->load('five', $_SESSION['idioma']);	
		$client = $this->uri->segment(5);
        if ($_SESSION['perfil'] != 'administrador') $client = $_SESSION['id_intern'];		
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->five_model->new_manual($id);
			$dades = $this->client_model->get_client($client,1);
			$data['five']['id_client'] = $client;							
			$data['five']['client_nom'] = $dades['client_nom'];								
			if ($alta == '1') {
				if (isset($_POST['data_albara'])) {
					$id = $this->input->post('data_albara');	
					$client = $this->input->post('id_client');	
        			if ($_SESSION['perfil'] != 'administrador') $client = $_SESSION['id_intern'];		
				}	
				$data['five'] = $this->five_model->new_manual($id);
				$dades = $this->client_model->get_client($client,1);
				$data['five']['id_client'] = $client;								
				$data['five']['client_nom'] = $dades['client_nom'];								
				$data['five']['data_albara'] = $id;
				$data['five']['alta'] = '1';
				$data['linies'] = $this->transport_model->get_data_albara($id,$client);				
			}			
			if ($alta == 2) {
				if (isset($_POST['data_albara'])) {
					$id = $this->input->post('data_albara');	
					$client = $this->input->post('id_client');	
        			if ($_SESSION['perfil'] == 'administrador') $client = $_SESSION['id_intern'];		
				}	
				// Grabo albara			
				$this->transport_model->get_graba_manual_albara($id,$client);					
				$data['five'] = $this->five_model->new_manual($alta);
				$dades = $this->client_model->get_client($client,1);
				$data['five']['id_client'] = $client;							
				$data['five']['client_nom'] = $dades['client_nom'];												
				$data['five']['data_albara'] = $id;
				$data['five']['alta'] = '1';
				$data['linies'] = $this->transport_model->get_data_albara($id,$client);				
			}					
			//	
            $rules = $this->form_validation;
			$rules->set_rules('data_albara', lang('five.error_especial_data'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/carrega_manual',$data);
			}
			else {
				$alta = $this->input->post('alta');
				if ($alta == 1) {	
					$date = $this->input->post('data_albara');		
					$client = $this->input->post('id_client');	
        			if ($_SESSION['perfil'] != 'administrador') $client = $_SESSION['id_intern'];		
					$data['five'] = $this->five_model->new_manual($alta);
					$dades = $this->client_model->get_client($client,1);
					$data['five']['id_client'] = $client;								
					$data['five']['client_nom'] = $dades['client_nom'];													
					$data['five']['data_albara'] = $date;
					$data['linies'] = $this->transport_model->get_data_albara($date,$client);					
				}
				$this->load->view('five/plantillas/header');
				$this->load->view('five/carrega_manual',$data);				
			}
		}		
	}

	/**
	 * 
	 * Pantalla principal d'entrades especials
	 */
	public function entrada_manual()	
	{		
		$id = $this->uri->segment(3);		
		$fec = $this->uri->segment(4);			
		$client = $this->uri->segment(5);
		$this->lang->load('five', $_SESSION['idioma']);	
		if($this->_user_is_logged_in())	{
			$dades = $this->client_model->get_client($client,1);
			$cl = $dades['client_remitent'];					
			$dades = $this->recollides_model->get_recollides_fitxer($client,$cl);
			$no = $dades['recollides_nom'];								
			$ad = $dades['recollides_adreca'];								
			$po = $dades['recollides_postal'];								
			$pa = $dades['recollides_pais'];								
			$data['five'] = $this->five_model->new_manual($fec);
			$data['five']['data_albara'] = $fec;
			$data['five']['id_client'] = $client;
			$data['five']['remitent_id'] = $cl;
			$data['five']['remitent_nom'] = $no;
			$data['five']['remitent_adreca'] = $ad;
			$data['five']['remitent_postal'] = $po;
			$data['five']['remitent_pais'] = $pa;	
			$data['list_pais'] = $this->pais_model->get_pais();								
			if ($id <> '0') {
				$data['five'] = $this->client_model->get_busca_albara_id($id);
			}
			//	
			$rules = $this->form_validation;
			$rules->set_rules('data_albara', lang('five.error_especial_data'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/entrada_manual',$data);
			}
			else {				
				redirect('five/carrega_manual/1/'.$fec);						
			}			
		}		
	}
	
	/**
	 * 
	 * Pantalla principal d'entrades especials
	 */
	public function carrega_especial()	
	{		
		if($this->_user_is_logged_in())	{
			//$data['km'] = $this->five_model->get_km();
			$data['desti'] = $this->distribuidor_model->get_client_distribuidor($_SESSION['id_intern']);						
			$data['tarifa'] = $this->client_model->get_client_tarifa_all($_SESSION['id_intern'],"'COMPLETA'");
			$pre = 0;
			//if (isset($data['tarifa'][0]['tarifa_facturable'])) $pre = $data['tarifa'][0]['tarifa_facturable'];
			$data['albarans'] = $this->transport_model->get_client_albara($_SESSION['id_intern']);
			//$dades = $this->client_model->get_client($_SESSION['id_intern'], 1);		
			//
			$data['five'] = $this->five_model->new_especial($pre);
			//
			$this->lang->load('five', $_SESSION['idioma']);			
			$this->form_validation->set_rules('id_transport_1', lang('five.error_especial_albara'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/carrega_especial',$data);
			}
			else {
				$numero['lista'] = $this->transport_model->set_full_ruta();
				$numero['empresa'] = $this->five_model->get_empresa();
				$numero['client'] = $this->client_model->get_client($_SESSION['id_intern']);
				$linies = $this->transport_model->get_repetir_linies_full($numero['lista']);
				$result = array();
				$id = 0;
				$clau = '';
				foreach ($linies as $key => $value) {
					if ($clau <> $value['numero_ruta']) $id = 0;
					$clau = $value['numero_ruta'];
					$id += 1;
					$result[$clau][$id]['remitent_nom'] = $value['remitent_nom'];
					$result[$clau][$id]['remitent_adreca'] = $value['remitent_adreca'];
					$result[$clau][$id]['remitent_postal'] = $value['remitent_postal'];
					$result[$clau][$id]['remitent_pais'] = $value['remitent_pais'];
					$result[$clau][$id]['destinatari_nom'] = $value['destinatari_nom'];
					$result[$clau][$id]['destinatari_adreca'] = $value['destinatari_adreca'];
					$result[$clau][$id]['destinatari_postal'] = $value['destinatari_postal'];
					$result[$clau][$id]['destinatari_pais'] = $value['destinatari_pais'];
					$result[$clau][$id]['unitats'] = $value['unitats'];
					$result[$clau][$id]['kg'] = $value['kg'];
					$result[$clau][$id]['palets'] = $value['palets'];
					$result[$clau][$id]['numero_albara'] = $value['numero_albara'];
					$result[$clau][$id]['data_albara'] = $value['data_albara'];
					$result[$clau][$id]['ports'] = $value['ports'];
					$result[$clau][$id]['reembols'] = $value['reembols'];
					$result[$clau][$id]['transportista_matricula'] = $value['transportista_matricula'];
					$result[$clau][$id]['numero_ruta'] = $value['numero_ruta'];
					$result[$clau][$id]['data_ruta'] = $value['data_ruta'];
					$result[$clau][$id]['hora_ruta'] = $value['hora_ruta'];
					$result[$clau][$id]['unitats_viatge'] = $value['unitats_viatge'];
					$result[$clau][$id]['valor_viatge'] = $value['valor_viatge'];
					$result[$clau][$id]['transport_nom'] = $value['transport_nom'];
					$result[$clau][$id]['transport_adreca'] = $value['transport_adreca'];
					$result[$clau][$id]['transport_telefon_principal'] = $value['transport_telefon_principal'];
					$result[$clau][$id]['provincia_remitent'] = $value['provincia_remitent'];
					$result[$clau][$id]['poblacio_remitent'] = $value['poblacio_remitent'];
					$result[$clau][$id]['provincia_destinatari'] = $value['provincia_destinatari'];
					$result[$clau][$id]['poblacio_destinatari'] = $value['poblacio_destinatari'];
				}
				$numero['lista_linies'] = $result;															
				$this->log_actions("INSERT", "Carrega Especial", $_SESSION['id_intern']);
				$this->load->view('five/plantillas/header');
				$this->load->view('five/mostrar_fulls',$numero);
				//redirect('five/carrega_especial');
			}			
		}	
	}

	/**
	 * 
	 * Carregar tipos de tarifes per transportista
	 */
	public function precio_tarifas()
	{
		if ($this->input->is_ajax_request()) {
			$ta = $this->input->post('tarifa');		
			$dades = $this->tarifa_model->get_tarifa($ta,NULL,1,'_t_tarifa');
			$pre = 0;
			if (isset($dades['tarifa_facturable']))  echo $dades['tarifa_facturable'];			
		}				
	}
	
	/**
	 * 
	 * Buscar dedes d'un albara.
	 */
	public function busca_albara_especial() {
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');
			$rg = $this->input->post('reg');
			$data = $this->client_model->get_busca_albara($rg,$id,$_SESSION['id_intern']);
			if (isset($data[0]['numero_albara'])) 
			    echo $data[0]['data_albara'].'_'.$data[0]['destinatari_nom'].'_'.$data[0]['destinatari_grup'].'_'.$data[0]['origen'].'_'.
			         $data[0]['origen_cp'].'_'.$data[0]['desti'].'_'.$data[0]['desti_cp'].'_'.$data[0]['quilometres'].'_'.
			         $data[0]['unitats'].'_'.$data[0]['import'].'_'.$data[0]['id_transportista'].'_'.$data[0]['id_tarifa'];
			//echo "hola";
		}
	}	

    /**
     * 
     * Pantalla principal facturació
     */
	public function estadistiques()	{
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['usuari'] = $_SESSION['nif_id'];
			$data['data'] = $_SESSION['data_id'];
			$this->load->view('five/plantillas/header');
			$this->load->view('five/estadistiques_view',$data);
		}	
	}
	
	/**
	 * Carrega fitxers del transportista
	 */
	public function carrega_transport()
	{
		if($this->_user_is_logged_in())
		{
			$config['upload_path'] = 'uploads/transport/';
			$config['allowed_types'] = 'xml';
			$config['max_size']	= '1000000';
			$config['max_width']  = '1024';
			$config['max_height']  = '768';
			$this->load->library('upload', $config);
			if ( ! $this->upload->do_upload())
			{
				$data['five'] = array();
				$error = array('error' => $this->upload->display_errors());
				$this->lang->load('five', $_SESSION['idioma']);			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/five_upload_transport', $data);
			}
			else
			{
				$data['upload_data'] = $this->upload->data();
				$dades = $this->transport_model->get_transport($_SESSION['id_intern'],1);			
				$email = $dades['transport_correo1'];
				$this->notify_changes($data,'CLIENT',$email);				
				$this->notify_changes($data,'TRANSPORT',$email);
				$this->lang->load('five', $_SESSION['idioma']);			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/five_success_transport',$data);
			}						
		}
	}

	/**
	 * 
	 * Entrada manuals d'expedicions
	 */
	public function validacio_transport()	
	{
		$id = $_SESSION['id_intern'];
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->five_model->new_confirm();			
			$data['client'] = $this->transport_model->get_transport_client($id);				
			//
           	$rules = $this->form_validation;
			$rules->set_rules('id_carrega', lang('five.error_validacio_albara'), 'required');
			$rules->set_rules('id_expedicio', lang('five.error_validacio_expedicio'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/validacio_transport',$data);				
			}
			else {
				$this->log_actions("INSERT", "Validacio Manual", $id);
				$this->transport_model->set_manual();			
				redirect('five/validacio_transport');
			}
		}
		
	}

	/**
	 * 
	 * Buscar dades d'un albara en expedicions
	 */
	public function search_albara() {
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');
			$rg = $this->input->post('reg');
			$data = $this->transport_model->get_busca_albara($rg,$id,$_SESSION['id_intern']);
			if (isset($data[0]['numero_albara'])) echo $data[0]['data_albara'].'_'.$data[0]['destinatari_nom'].'_'.
			                                           $data[0]['origen'].'_'.$data[0]['origen_cp'].'_'.
			                                           $data[0]['desti'].'_'.$data[0]['desti_cp'].'_'.$data[0]['quilometres'];
		}
	}	
	
	/**
	 * 
	 * Mirar numero d'expedicio
	 */
	public function search_expedicio() {
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');
			$rg = $this->input->post('reg');
			$data = $this->transport_model->get_busca_expedicio($rg,$id,$cl);
			if (isset($data[0]['numero_expedicio'])) echo $data[0]['numero_expedicio'];
		}
	}	

	
	/**
	 * 
	 * LListat de validacions pendents
	 */
	public function validacio_pendent()	
	{
		$di = $this->uri->segment(3);		
		$df = $this->uri->segment(4);		
		$id = $_SESSION['id_intern'];
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->five_model->new_pendent();
			if (isset($di))	$data['lista'] = $this->transport_model->get_pendent($di,$df);
			//
           	$rules = $this->form_validation;
			$rules->set_rules('data_inicial', lang('five.error_validacio_data1'), 'required');
			$rules->set_rules('data_final', lang('five.error_validacio_data2'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/validacio_pendent',$data);				
			}
			else {
				$this->log_actions("INSERT", "Lista_pendent", $id);			
				$di = $this->input->post('data_inicial');
				$df = $this->input->post('data_final');
				redirect('five/validacio_pendent/'.$di.'/'.$df);
			}
		}
	}
	
	/**
	 * 
	 * Pantalla validacons confirmades
	 */
	public function validacio_confirmada()	
	{
		$di = $this->uri->segment(3);		
		$df = $this->uri->segment(4);		
		$id = $_SESSION['id_intern'];
		$this->lang->load('five', $_SESSION['idioma']);			
		if($this->_user_is_logged_in())	{
			$data['five'] = $this->five_model->new_confirmada();
			if (isset($di))	$data['lista'] = $this->transport_model->get_confirmada($di,$df);
			//
           	$rules = $this->form_validation;
			$rules->set_rules('data_inicial', lang('five.error_validacio_data1'), 'required');
			$rules->set_rules('data_final', lang('five.error_validacio_data2'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/validacio_confirmada',$data);				
			}
			else {
				$this->log_actions("INSERT", "Lista_confirm", $id);			
				$di = $this->input->post('data_inicial');
				$df = $this->input->post('data_final');
				redirect('five/validacio_confirmada/'.$di.'/'.$df);
			}
		}
		
	}
	
	/**
	 * 
	 * Buscar codi automaticament.
	 */
	public function buscar_ultim()
	{
		if ($this->input->is_ajax_request()) {
			$ta = $this->input->post('taula');			
			$or = $this->input->post('ordre');			
			$lg = $this->input->post('long');			
			$dades = $this->five_model->get_buscar_ultim($ta,$or);
			$id2 = substr('00000' . ($dades[$or] + 1),-$lg);
			echo $id2;
		}				
	}
	
	/**
	 * 
	 * Calcular distancia entre dos punts.
	 */
	public function buscar_km()
	{
		if ($this->input->is_ajax_request()) {
			$or = $this->input->post('origen');			
			$de = $this->input->post('desti');		
			$dades = '0';
			if (($or <> '')&&($de<>'')) $dades = $this->five_model->get_buscar_km($or,$de);
			echo $dades;
		}				
	}

	/**
	 * 
	 * Buscar dades distribuidor
	 */
	public function buscar_nom()
	{
		if ($this->input->is_ajax_request()) {
			$cl = $this->input->post('id');
			$dades = $this->distribuidor_model->get_distribuidor_fitxer($_SESSION['id_intern'],$cl);
			$nom = $dades['distribuidor_nom'];
			$grup = $dades['distribuidor_grup'];
			$adr = $dades['distribuidor_adreca'];
			$pos = $dades['distribuidor_postal'];
			$pas = $dades['distribuidor_pais'];
			
			echo $nom.'_'.$grup.'_'.$adr.'_'.$pos.'_'.$pas;
		}				
	}
	
	/**
	 * 
	 * Buscar dades remitent
	 */
	public function buscar_remitent()
	{
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('id');
			$cl = $this->input->post('cl');
			$dades = $this->recollides_model->get_recollides_fitxer($cl,$id);
			$nom = $dades['recollides_nom'].'_'.$dades['recollides_adreca'].'_'.$dades['recollides_postal'].'_'.$dades['recollides_pais'];
			echo $nom;
		}				
	}
	
	
	/**
	 * 
	 * Carregar tipos de tarifes per transportista
	 */
	public function buscar_tarifas()
	{
		if ($this->input->is_ajax_request()) {
			$tr = $this->input->post('transport');		
			$dades = $this->tarifa_model->get_tarifa_transport($tr);
			$num_regs = count($dades);
			foreach ($dades as $key => $valors) {
				if (!($valors == "")) echo "<option value='".$valors['tarifa_codi']."'>".$valors['tarifa_nom']."</option>";			
			}	
		}				
	}
	
	/**
	 * Assignar simulacions
	 */
	public function simulacions()
	{
		$this->lang->load('five', $_SESSION['idioma']);	
		if($this->_user_is_logged_in())	{
			$data['km'] = $this->five_model->get_km();
			$data['five'] = $this->five_model->new_simulacio();			
			//	
			$this->load->view('five/plantillas/header');
			$this->load->view('five/simulacions',$data);
		}		
	}

	/**
	 * 
	 * Buscar dades transportista
	 */
	public function buscar_tarifa_transport()
	{
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');			
			$tr = $this->input->post('tra');			
			$dades = $this->tarifa_model->get_tarifa_transport($id,$tr);
			$id2 = '';
			if (isset($dades[0]['tarifa_nom'])) $id2 = $dades[0]['tarifa_nom'];			
			echo $id2;
		}				
	}

	/**
	 * 
	 * Buscar dades transportista
	 */
	public function buscar_tarifa_client()
	{
		if ($this->input->is_ajax_request()) {
			$ta = $this->input->post('tar');			
			$tr = $this->input->post('tra');			
			$cl = $this->input->post('cli');			
			$dades = $this->tarifa_model->get_tarifa_transport_client($ta,$tr,$cl);
			$id2 = '';
			if (isset($dades[0]['tarifa_nom'])) $id2 = $dades[0]['tarifa_nom'];			
			echo $id2;
		}				
	}
	
	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function empresa()	
	{
		if($this->_user_is_logged_in())	{
			$this->lang->load('five', $_SESSION['idioma']);					
			$data['five'] = $this->five_model->get_empresa();
           	$rules = $this->form_validation;
			$rules->set_rules('empresa_nom', lang('five.error_empresa_nom'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/empresa',$data);				
			}
			else {
				$this->log_actions("UPDATE", "Empresa");			
				$this->five_model->set_empresa();			
				redirect('five/menu');
			}
		}	
	}

	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function comptadors()	
	{
		if($this->_user_is_logged_in())	{
			$this->lang->load('five', $_SESSION['idioma']);					
			$avui = date("Y");		
			$data['list_any'] = $this->five_model->get_any();
			$data['five'] = $this->five_model->get_comptador($avui);
			if (!isset($data['five']['periode'])) {
				$this->log_actions("INSERT", "Comptadors");		
				$avui = date("Y");						
				$this->five_model->graba_comptador($avui,1);							
				$data['five'] = $this->five_model->get_comptador($avui);
			}
           	$rules = $this->form_validation;
			$rules->set_rules('periode', lang('five.error_comptador_any'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/comptador',$data);				
			}
			else {
				//				
				$this->log_actions("UPDATE", "Comptadors");			
				$this->five_model->set_comptador();			
				redirect('five/menu');
			}
		}	
	}

	/**
	 * 
	 * Buscar dades comptadors
	 */
	public function buscar_numero()
	{
		if ($this->input->is_ajax_request()) {
			$id = $this->input->post('idx');			
			$dades = $this->five_model->get_comptador($id);
			$id2 = $dades['numero'];			
			echo $id2;
		}				
	}

	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function client_flota()	
	{
		if($this->_user_is_logged_in())	{
			$this->lang->load('five', $_SESSION['idioma']);					
			$data['five'] = $this->five_model->get_fitxer_client('flota');		
			$this->load->view('five/plantillas/header');
			$this->load->view('five/view_flota_client', $data);
		}	
	}
	
	/**
	 * New o Edit d'un recollides
	 */
	public function edit_client_flota()
	{
		$id = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if ($id == 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->flota_model->get_new_flota();
				$data['list_tipus'] = $this->tipus_flota_model->get_tipus_flota();
				//
            	$rules = $this->form_validation;
				$rules->set_rules('flota_matricula', lang('five.error_flota_matricula'), 'required');
				$rules->set_rules('flota_nom', lang('five.error_flota_nom'), 'required');
				
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_flota');
					$this->load->view('five/edit_client_flota',$data);
				}
				else {
					$this->log_actions("INSERT", "Float Client", $id);
					$this->flota_model->set_flota_client(0,$rules->set_value('flota_codi'));			
					redirect('five/client_flota');
				}
			}
		}
		if ($id <> 0) {
			if($this->_user_is_logged_in())	{
				$data['five'] = $this->flota_model->get_flota($id);
				$data['list_tipus'] = $this->tipus_flota_model->get_tipus_flota();
				$codi = $data['five']['flota_matricula'];
				//	
				$this->form_validation->set_rules('flota_nom', lang('five.error_flota_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_flota');
					$this->load->view('five/edit_client_flota',$data);
				}
				else {
					$this->log_actions("UPDATE", "flota client", $id);
					$this->flota_model->set_flota_client($id,$codi);			
					redirect('five/client_flota');
				}
			}
		}
	}	

	/**
	 * 
	 * Pantalla principal de fitxers:
	 */
	public function client_tarifa()	
	{
		if($this->_user_is_logged_in())	{
			$this->lang->load('five', $_SESSION['idioma']);					
			$data['five'] = $this->five_model->get_fitxer_client('tarifa');		
			$this->load->view('five/plantillas/header');
			$this->load->view('five/view_tarifa_client', $data);
		}	
	}
	
	/**
	 * New una tarifa
	 */
	public function ver_tarifa()
	{
		$id1 = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
				$id = $_SESSION['id_intern'];
				$client = $_SESSION['id_intern'];
				$id = substr('00000' . $id,-5);	
				$data['titul'] = lang('five.titol_ver_tarifa');
				$data['only_client'] = '1';			
//				$data['five'] = $this->tarifa_model->get_new_asignar_tarifa('',$id,'',0);
//				$data['five_list'] = $this->five_model->get_fitxer('tarifa_client',$id,2);
//				$dades = $this->client_model->get_client($id,1);
//				$data['five']['client_nom'] = $dades['client_nom'];					
//				$data['five']['alta'] = '1';
				 	
				redirect('tarifas/asignar_tarifa/'.$client.'/1');
					
//				$this->load->view('five/plantillas/header');
//				$this->load->view('five/elegir_tarifa',$data);				
		}
	}	
	
}