<?php
class Tarifas extends CI_Controller {

	public function __construct() {
		parent::__construct();
		$_SESSION['cami'] = 'pdfs/';
		if ($this->uri->segment(1) == 'ca') $_SESSION['idioma'] = 'catalan';
		if ($this->uri->segment(1) == 'es') $_SESSION['idioma'] = 'spanish';
		if ($this->uri->segment(1) == 'en') $_SESSION['idioma'] = 'english';
		
	}

	/**
	 * 
	 * Enter description here ...
	 * @param varchar $action
	 * @param varchar $model
	 * @param date $day
	 * @param time $hour
	 */
	public function log_actions($action, $model){
		  $date = new DateTime();		
		  $day = $date->format('Y/m/d');		  		  				  
		  $hour = $date->format('H:m:s');		  		  				  		  
  		  $this->log_model->insert_row($action, $model, $day, $hour, $this->session->userdata['username']);		
	}
	
	/**
	 * 
	 * Acces a l'aplicacio
	 */
	protected function _user_is_logged_in()
	{
		if($this->session->userdata('logged_in')) {
			$data = $this->five_model->get_user($this->session->userdata('username'),$this->session->userdata('password'));
			if (empty($data)) {
				redirect(auth);
				return FALSE;				
			}
			else  {
				  $date = new DateTime();		
				  $_SESSION['nif_id'] = $data['codi'];
				  $_SESSION['perfil'] = $data['perfil'];				  
				  $_SESSION['data_id'] = $date->format('d/m/Y');				  				 
				  return TRUE;
			}
		}else{
			redirect(auth);
			return FALSE;
		}
	}
	
	/**
	 * 
	 * Desconexió
	 */
    function logout() {
        if($this->session->userdata('logged_in')) {
            $data['name'] = $this->session->userdata('cn');
            $data['username'] = $this->session->userdata('username');
            $data['logged_in'] = TRUE;
        } else {
            $data['logged_in'] = FALSE;
        }
            redirect('/');
    }

    
	/**
	 * New una tarifa
	 */
	public function asignar_tarifa()
	{
		$id1 = $this->uri->segment(3);		
		$alta = $this->uri->segment(4);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['insert'] = $id1;
			$data['five'] = $this->tarifa_model->get_new_asignar_tarifa('','','',0);
			$data['titul'] = lang('five.titol_crear_tarifa');
			if ($alta == '1') {
				$data['five'] = $this->tarifa_model->get_new_asignar_tarifa('',$id1,'',0);
				$data['five_list'] = $this->five_model->get_fitxer('tarifa_client',$id1,2);
				$dades = $this->client_model->get_client($id1,1);
				$data['five']['client_nom'] = $dades['client_nom'];					
				$data['five']['alta'] = '1'; 						
			}			
            $rules = $this->form_validation;
			$rules->set_rules('tarifa_client', lang('five.error_tarifa_client'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_tarifa',$data);
			}
			else {
				$id = $this->input->post('tarifa_client');
				$id = substr('00000' . $id,-5);	
				$data['five'] = $this->tarifa_model->get_new_asignar_tarifa('',$id,'',0);
				$data['five_list'] = $this->five_model->get_fitxer('tarifa_client',$id,2);
				$dades = $this->client_model->get_client($id,1);
				$data['five']['client_nom'] = $dades['client_nom'];					
				$data['five']['alta'] = '1'; 		
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_tarifa',$data);				
			}
		}
	}	
    
	/**
	 * New una tarifa
	 */
	public function new_edit_asignar_tarifa()
	{
		$id1 = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
			$data['insert'] = $id1;
			$data['five'] = $this->tarifa_model->get_new_asignar_tarifa('',$id1,'',0);
			$dades = $this->client_model->get_client($id1,1);
			$data['five']['client_nom'] = $dades['client_nom'];					
			$data['titul'] = lang('five.titol_crear_tarifa');			
            $rules = $this->form_validation;
			$rules->set_rules('tarifa_client', lang('five.error_tarifa_client'), 'required');
			if ($this->form_validation->run() === FALSE) {			
				$this->load->view('five/plantillas/header');
				$this->load->view('five/new_edit_asignar_tarifa',$data);
			}
			else {
				$client = $this->input->post('tarifa_client');
				$transport = $this->input->post('tarifa_transport');
				$codi = $this->input->post('tarifa_codi');
				$client = substr('00000' . $client,-5);	
				$transport = substr('00000' . $transport,-5);	
				$data = $this->tarifa_model->get_tarifa($codi,$transport,1,'_t_tarifa_client');
				if (isset($data['id'])) {
					$data = $this->tarifa_model->get_asignar($codi,$client,$transport,1);
					if (!(isset($data['id']))) {
						$this->tarifa_model->get_asignar_tarifa($codi,$client,$transport);
					}					
				}
				redirect('tarifas/asignar_tarifa/'.$client.'/1');
			}
		}
	}	
	
	/**
	 * 
	 * Esborrar un registre de tarifes
	 */
	public function delete_tarifa()
	{
		if($this->_user_is_logged_in())	{
			$id1 = $this->uri->segment(3);
			$id2 = $this->uri->segment(4);
			// Capcelera
			$nom_fitxer = $this->uri->segment(5);
			$fitxer = '_t_'.$nom_fitxer;			
			$this->db->delete($fitxer, array('tarifa_codi' => $id1, 'tarifa_transport' => $id2));
			$this->log_actions("DELETE", $nom_fitxer);
			// Linies
			$fitxer = '_t_tarifa_escalat';
			$this->db->delete($fitxer, array('tarifa_codi' => $id1, 'tarifa_transport' => $id2));
			$this->log_actions("DELETE", $nom_fitxer);
			// Tornem
			$torna = $this->uri->segment(5);
			if ($torna == 'yes') {
				redirect('five/client_tarifa');
			}
			else  redirect('five/view/'.$nom_fitxer);
		}
	}	

	/**
	 * 
	 * Esborrar un registre de tarifes
	 */
	public function delete_asignar_tarifa()
	{
		if($this->_user_is_logged_in())	{
			$tarifa_codi = $this->uri->segment(3);
			$tarifa_client = $this->uri->segment(4);
			$tarifa_transport = $this->uri->segment(5);
			// Capcelera
			$nom_fitxer = 'tarifa_client';
			$this->db->delete('_t_tarifa_client', array('tarifa_codi' => $tarifa_codi, 'tarifa_client' => $tarifa_client, 'tarifa_transport' => $tarifa_transport));
			$this->log_actions("DELETE", $nom_fitxer);
			// Linies
			$fitxer = '_t_tarifa_client_escalat';
			$this->db->delete('_t_tarifa_client_escalat', array('tarifa_codi' => $tarifa_codi, 'tarifa_client' => $tarifa_client, 'tarifa_transport' => $tarifa_transport));
			$this->log_actions("DELETE", $nom_fitxer);
			// Tornem
			$torna = $this->uri->segment(5);
			redirect('tarifas/asignar_tarifa/'.$tarifa_client.'/1');
		}
	}	
	
	/**
	 * New una tarifa
	 */
	public function new_edit_tarifa_completa()
	{
		$id1 = $this->uri->segment(3);		
		$cl = $this->uri->segment(4);		
		$this->lang->load('five', $_SESSION['idioma']);		
		$alta = $this->input->post('alta');
		// New
		if ($id1 == '0') {
			if($this->_user_is_logged_in())	{
				$data['insert'] = $id1;
				$data['five'] = $this->tarifa_model->get_new_tarifa('','',0);
				$data['five']['tarifa_client'] = $cl;
				// Carregem combos		
				$data['list_pais'] = $this->pais_model->get_pais();					
				$data['list_ccaa'] = array(); 
				$data['list_provincia'] = array();						
				$data['list_poblacio'] = array();				
				$icol = 10;
				for ($i=0; $i<$icol; $i++) {
					$data['list_ccaa'.$i] = $data['list_ccaa'];
					$data['list_provincia'.$i] = $data['list_provincia'];
					$data['list_poblacio'.$i] = $data['list_poblacio'];
				}					
				//				
				$rules = $this->form_validation;
				$rules->set_rules('tarifa_codi', lang('five.error_tarifa_codi'), 'required');
	           	$rules->set_rules('tarifa_transport', lang('five.error_tarifa_transport'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_tarifa');
					$this->load->view('five/new_edit_tarifa_completa',$data);
				}
				else {
					$alta = $this->input->post('alta');
					// New
					if ($alta == 1) {					
						$transport = $this->input->post('tarifa_transport');		
						$codi = $this->input->post('tarifa_codi');
						$cl = $this->input->post('tarifa_client');
						// Busco Tarifa	
						$data['five'] = $this->tarifa_model->get_tarifa_client($codi,$transport,$cl,1,'_t_tarifa_client');
						$data['five']['tarifa_client'] = $cl;																//
						if (isset($data['five']['id'])) {
							$data['titul'] = lang('five.titol_modificar_tarifa');						
							$data['five']['alta'] = 3;
							// Carregem combos		
							$data['list_pais'] = $this->pais_model->get_pais();					
							$data['list_ccaa'] = array(); 
							$data['list_provincia'] = array();						
							$data['list_poblacio'] = array();				
							//
							$icol = 10;
							for ($i=0; $i<$icol; $i++) {
								$data['list_ccaa'.$i] = $data['list_ccaa'];
								$data['list_provincia'.$i] = $data['list_provincia'];
								$data['list_poblacio'.$i] = $data['list_poblacio'];
							}					
							$icol = 10;
							$data['five']['resulta_origen'] = $data['five']['tarifa_origen_poblacio'];				
							for ($i=0; $i<$icol; $i++) {
								if ($data['five']['tarifa_desti_poblacio_'.$i]!=null) {
									// Busco	
									$data['list_ccaa'.$i] = $this->comunitat_model->get_comunitat_pais($data['five']['tarifa_desti_pais_'.$i]);
									$data['list_provincia'.$i] = $this->provincia_model->get_provincia_comunitat($data['five']['tarifa_desti_pais_'.$i],$data['five']['tarifa_desti_ccaa_'.$i]);						
									$data['list_poblacio'.$i] = $this->poblacio_model->get_poblacio_provincia($data['five']['tarifa_desti_pais_'.$i],$data['five']['tarifa_desti_ccaa_'.$i],$data['five']['tarifa_desti_provincia_'.$i]);						
								}
								$data['five']['resulta_desti'.$i] = $data['five']['tarifa_desti_poblacio_'.$i]; 
							}
							$data['five']['alta'] = 3;
							//	
							$pa = '';
							if (isset($data['five']['tarifa_origen_pais'])) $pa = $data['five']['tarifa_origen_pais'];
							$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($pa);
							$ca = '';						
							if (isset($data['five']['tarifa_origen_ccaa'])) $ca = $data['five']['tarifa_origen_ccaa'];
							$data['list_provincia'] = $this->provincia_model->get_provincia_comunitat($pa,$ca);						
							$po = '';						
							if (isset($data['five']['tarifa_origen_provincia'])) $po = $data['five']['tarifa_origen_provincia'];;
							$data['list_poblacio'] = $this->poblacio_model->get_poblacio_provincia($pa,$ca,$po);						
							//							
						}
						if (!(isset($data['five']['id']))) {
							$data['titul'] = lang('five.titol_crear_tarifa');
							$data['five'] = $this->tarifa_model->get_new_tarifa($transport,$codi,2);
							$data['five']['tarifa_client'] = $cl;						
							$dades = $this->transport_model->get_tarifa_transport($transport);
							$data['five']['transport_nom'] = $dades['transport_nom'];
							$data['five']['id'] = 0;
						}
						$this->load->view('five/plantillas/header');
						$this->load->view('five/new_edit_tarifa_completa',$data);						
					}
					if ($alta == 2) {	
						print_r($this->input->post());				
						$this->log_actions("INSERT", "Tarifa", $id1);
						$client = $this->input->post('tarifa_client');
						$this->tarifa_model->set_tarifa_completa(0,$rules->set_value('tarifa_codi'),$rules->set_value('tarifa_transport'),$rules->set_value('tarifa_client'));
						redirect('tarifas/asignar_tarifa/'.$client.'/1');					
					}
					if ($alta == 3) {	
						$transport = $this->input->post('tarifa_transport');		
						$codi = $this->input->post('tarifa_codi');
						$client = $this->input->post('tarifa_client');
						$this->log_actions("UPDATE", "Tarifa", $codi.' '.$transport);
						$this->tarifa_model->set_tarifa_completa($id1,$codi,$transport,$client);
						redirect('tarifas/asignar_tarifa/'.$client.'/1');
					}
				}				
			}
		}
		if ($id1 <> '0') {
			if($this->_user_is_logged_in())	{
				$data['insert'] = $id1;
				$cd1 = $this->uri->segment(4);
				$cd2 = $this->uri->segment(5);
				$data['five'] = $this->tarifa_model->get_tarifa_client($id1,'','',2,'_t_tarifa_client');
				// Carregem combos				
				$data['list_pais'] = $this->pais_model->get_pais();	
				$data['list_ccaa'] = array(); 
				$data['list_provincia'] = array();						
				$data['list_poblacio'] = array();				
				//
				$icol = 10;
				for ($i=0; $i<$icol; $i++) {
					$data['list_ccaa'.$i] = $data['list_ccaa'];
					$data['list_provincia'.$i] = $data['list_provincia'];
					$data['list_poblacio'.$i] = $data['list_poblacio'];
				}					
				$icol = 10;
				$data['five']['resulta_origen'] = $data['five']['tarifa_origen_poblacio'];				
				for ($i=0; $i<$icol; $i++) {
					if ($data['five']['tarifa_desti_poblacio_'.$i]!=null) {
						// Busco	
						$data['list_ccaa'.$i] = $this->comunitat_model->get_comunitat_pais($data['five']['tarifa_desti_pais_'.$i]);
						$data['list_provincia'.$i] = $this->provincia_model->get_provincia_comunitat($data['five']['tarifa_desti_pais_'.$i],$data['five']['tarifa_desti_ccaa_'.$i]);						
						$data['list_poblacio'.$i] = $this->poblacio_model->get_poblacio_provincia($data['five']['tarifa_desti_pais_'.$i],$data['five']['tarifa_desti_ccaa_'.$i],$data['five']['tarifa_desti_provincia_'.$i]);						
					}
					$data['five']['resulta_desti'.$i] = $data['five']['tarifa_desti_poblacio_'.$i]; 
				}
				$data['five']['alta'] = 3;
				//	
				$pa = '';
				if (isset($data['five']['tarifa_origen_pais'])) $pa = $data['five']['tarifa_origen_pais'];
				$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($pa);
				$ca = '';						
				if (isset($data['five']['tarifa_origen_ccaa'])) $ca = $data['five']['tarifa_origen_ccaa'];
				$data['list_provincia'] = $this->provincia_model->get_provincia_comunitat($pa,$ca);						
				$po = '';						
				if (isset($data['five']['tarifa_origen_provincia'])) $po = $data['five']['tarifa_origen_provincia'];;
				$data['list_poblacio'] = $this->poblacio_model->get_poblacio_provincia($pa,$ca,$po);						
				//
	           	$rules = $this->form_validation;
				$this->form_validation->set_rules('tarifa_nom', lang('five.error_tarifa_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_tarifa');
					$this->load->view('five/new_edit_tarifa_completa',$data);
				}
				else {
					$transport = $this->input->post('tarifa_transport');		
					$codi = $this->input->post('tarifa_codi');
					$client = $this->input->post('tarifa_client');
					$this->log_actions("UPDATE", "Tarifa", $codi1.' '.$codi2);
					$this->tarifa_model->set_tarifa_completa($id1,$codi,$transport,$client);
					redirect('tarifas/asignar_tarifa/'.$client.'/1');
				}
			}			
		}
	}	
	
	/**
	 * New o Edit d'un recollides
	 */
	public function edit_client_tarifa()
	{
		$id1 = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);	
		// New
		$data['only_client'] = '1'; 		
		if ($id1 == '0') {
			if($this->_user_is_logged_in())	{
				$data['insert'] = $id1;
				$data['five'] = $this->tarifa_model->get_new_tarifa($_SESSION['id_intern'],'',0);
				// Assignar combos.
				$data['list_pais'] = $this->pais_model->get_pais();	
				$data['list_ccaa'] = array(); 
				$data['list_provincia'] = array();						
				$data['list_poblacio'] = array();				
				//
				$icol = 10;
				for ($i=0; $i<$icol; $i++) {
					$data['list_ccaa'.$i] = $data['list_ccaa'];
					$data['list_provincia'.$i] = $data['list_provincia'];
					$data['list_poblacio'.$i] = $data['list_poblacio'];
				}					
				//
	           	$rules = $this->form_validation;
				$rules->set_rules('tarifa_codi', lang('five.error_tarifa_codi'), 'required');
	           	$rules->set_rules('tarifa_transport', lang('five.error_tarifa_transport'), 'required');	           	
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_crear_tarifa');
					$this->load->view('five/new_edit_tarifa',$data);
				}
				else {
					$alta = $this->input->post('alta');
					// New
					if ($alta == 1) {			
						$transport = $this->input->post('tarifa_transport');		
						$codi = $this->input->post('tarifa_codi');
						// Busco Tarifa	
						$data['five'] = $this->tarifa_model->get_tarifa($codi,$transport,1,'_t_tarifa');
						if (isset($data['five']['id'])) {
							$data['titul'] = lang('five.titol_modificar_tarifa');
							// Carrego Combos
							// Destins
							$icol = 10;
							for ($i=0; $i<$icol; $i++) {
								$pa = $data['five']['tarifa_desti_pais_'.$i];
								$ca = $data['five']['tarifa_desti_ccaa_'.$i];
								$pr = $data['five']['tarifa_desti_provincia_'.$i];					
								// CCAA
								$data['list_ccaa'.$i] = $this->comunitat_model->get_comunitat_pais($pa);
								if ($data['five']['tarifa_desti_ccaa_'.$i]!=null) {
									$data['list_provincia'.$i] = $this->provincia_model->get_provincia_comunitat($pa,$ca);
									if ($data['five']['tarifa_desti_provincia_'.$i]!=null) {
										$data['list_poblacio'.$i] = $this->poblacio_model->get_poblacio_provincia($pa,$ca,$pr);
									}
								}
							}
							// Origen
							$pa = '';
							if (isset($data['five']['tarifa_origen_pais'])) $pa = $data['five']['tarifa_origen_pais'];
							// CCAA
							$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($pa);				
							if ($data['five']['tarifa_origen_ccaa']!=null) {
								$ca = $data['five']['tarifa_origen_ccaa']; 
								$data['list_provincia'] = $this->provincia_model->get_provincia_comunitat($pa,$ca);
								if ($data['five']['tarifa_origen_provincia']!=null) {
									$pr = $data['five']['tarifa_origen_provincia'];
									$data['list_poblacio'] = $this->poblacio_model->get_poblacio_provincia($pa,$ca,$pr);						
								}					
							}
							//				
							$data['five']['alta'] = 3;													
						}
						if (!(isset($data['five']['id']))) {
							$data['titul'] = lang('five.titol_crear_tarifa');
							$data['five'] = $this->tarifa_model->get_new_tarifa($transport,$codi,2);
							$dades = $this->transport_model->get_tarifa_transport($transport);
							$data['five']['transport_nom'] = $dades['transport_nom'];
							$data['five']['id'] = 0;
						}
						$this->load->view('five/plantillas/header');
						$this->load->view('five/new_edit_tarifa',$data);						
					}
					if ($alta == 2) {					
						$data['only_client'] = '1'; 		
						$this->log_actions("INSERT", "Tarifa", $id1);
						$this->tarifa_model->set_tarifa(0,$rules->set_value('tarifa_codi'),$rules->set_value('tarifa_transport'));
						redirect('five/tarifa_lineas/'.$rules->set_value('tarifa_codi').'/'.$rules->set_value('tarifa_transport'));					
					
					}
					if ($alta == 3) {								
						$data['only_client'] = '1'; 		
						$codi = $this->input->post('tarifa_codi');
						$this->log_actions("UPDATE", "Tarifa", $codi.' '.$_SESSION['id_intern']);
						$this->tarifa_model->set_tarifa($id1,$codi,$_SESSION['id_intern']);
						if ($this->input->post('tarifa_tipo') == 'FRACCIONADA') redirect('five/tarifa_lineas/'.$codi.'/'.$_SESSION['id_intern']);
						if ($this->input->post('tarifa_tipo') == 'RETORNO') redirect('five/tarifa_lineas/'.$codi.'/'.$_SESSION['id_intern']);
						if ($this->input->post('tarifa_tipo') == 'COMPLETA') redirect('five/client_tarifa');
					}
				}				
			}
		}
		if ($id1 <> '0') {
			if($this->_user_is_logged_in())	{
				$cl = $this->uri->segment(4);		
				$tr = $this->uri->segment(5);
				if (isset($tr)) {
					$data['five'] = $this->tarifa_model->get_tarifa($cl,$tr,1,'_t_tarifa');					
					$data['insert'] = $id1;
				}
				else {								
				$data['insert'] = $id1;
				$data['five'] = $this->tarifa_model->get_tarifa($id1,'',0,'_t_tarifa');
				}
				$data['only_client'] = '1'; 		
				// Assignar combos.
				$data['list_pais'] = $this->pais_model->get_pais();	
				$data['list_ccaa'] = array(); 
				$data['list_provincia'] = array();						
				$data['list_poblacio'] = array();				
				//
				$icol = 10;
				for ($i=0; $i<$icol; $i++) {
					$data['list_ccaa'.$i] = $data['list_ccaa'];
					$data['list_provincia'.$i] = $data['list_provincia'];
					$data['list_poblacio'.$i] = $data['list_poblacio'];
				}					
				$icol = 10;
				for ($i=0; $i<$icol; $i++) {
					$pa = $data['five']['tarifa_desti_pais_'.$i];
					$ca = $data['five']['tarifa_desti_ccaa_'.$i];
					$pr = $data['five']['tarifa_desti_provincia_'.$i];					
					// CCAA
					$data['list_ccaa'.$i] = $this->comunitat_model->get_comunitat_pais($pa);
					if ($data['five']['tarifa_desti_ccaa_'.$i]!=null) {
						$data['list_provincia'.$i] = $this->provincia_model->get_provincia_comunitat($pa,$ca);
						if ($data['five']['tarifa_desti_provincia_'.$i]!=null) {
							$data['list_poblacio'.$i] = $this->poblacio_model->get_poblacio_provincia($pa,$ca,$pr);
						}
					}
				}
				$data['five']['alta'] = 3;
				//
				$pa = '';
				if (isset($data['five']['tarifa_origen_pais'])) $pa = $data['five']['tarifa_origen_pais'];
				// CCAA
				$data['list_ccaa'] = $this->comunitat_model->get_comunitat_pais($pa);				
				if ($data['five']['tarifa_origen_ccaa']!=null) {
					$ca = $data['five']['tarifa_origen_ccaa']; 
					$data['list_provincia'] = $this->provincia_model->get_provincia_comunitat($pa,$ca);
					if ($data['five']['tarifa_origen_provincia']!=null) {
						$pr = $data['five']['tarifa_origen_provincia'];
						$data['list_poblacio'] = $this->poblacio_model->get_poblacio_provincia($pa,$ca,$pr);						
					}					
				}
				//				
				$codi1 = $data['five']['tarifa_codi'];
				$codi2 = $data['five']['tarifa_transport'];
				//	
	           	$rules = $this->form_validation;
				$this->form_validation->set_rules('tarifa_nom', lang('five.error_tarifa_nom'), 'required');
				if ($this->form_validation->run() === FALSE) {			
					$this->load->view('five/plantillas/header');
					$data['titul'] = lang('five.titol_modificar_tarifa');
					$this->load->view('five/new_edit_tarifa',$data);
				}
				else {
					$transport = $this->input->post('tarifa_transport');		
					$codi = $this->input->post('tarifa_codi');
					$this->log_actions("UPDATE", "Tarifa", $codi.' '.$transport);
					$this->tarifa_model->set_tarifa($id1,$codi,$transport);
					redirect('five/tarifa_lineas/'.$codi1.'/'.$_SESSION['id_intern']);
				}
			}			
		}		
	}	



	/**
	 * New una tarifa
	 */
	public function ver_tarifa()
	{
		$id1 = $this->uri->segment(3);		
		$this->lang->load('five', $_SESSION['idioma']);			
		// New
		if($this->_user_is_logged_in())	{
				$id = $_SESSION['id_intern'];
				$id = substr('00000' . $id,-5);	
				$data['titul'] = lang('five.titol_ver_tarifa');
				$data['only_client'] = '1';			
				$data['five'] = $this->tarifa_model->get_new_asignar_tarifa('',$id,'',0);
				$data['five_list'] = $this->five_model->get_fitxer('tarifa_client',$id,2);
				$dades = $this->client_model->get_client($id,1);
				$data['five']['client_nom'] = $dades['client_nom'];					
				$data['five']['alta'] = '1'; 		
				$this->load->view('five/plantillas/header');
				$this->load->view('five/elegir_tarifa',$data);				
		}
	}	
	
}