<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
    // Incluimos el archivo fpdf   
    require_once APPPATH."external/fpdf/fpdf.php";
	 
    //Extendemos la clase Pdf de la clase fpdf para que herede todas sus variables y funciones
    class Pdf_header extends FPDF {
    	
    	var $angle = 0;
    	
        public function __construct() {
            parent::__construct();
        }

        public function Header(){
        	
        }

        function Rotate($angle, $x=-1, $y=-1) {
        	 if($x==-1)  $x=$this->x;
        	 if($y==-1)  $y=$this->y;
        	 if($this->angle!=0) $this->_out('Q');
        	 $this->angle=$angle;
        	 if($angle!=0)  {
        		$angle*=M_PI/180;
        		$c=cos($angle);
        		$s=sin($angle);
        		$cx=$x*$this->k;
        		$cy=($this->h-$y)*$this->k;
        		$this->_out(sprintf('q %.5F %.5F %.5F %.5F %.2F %.2F cm 1 0 0 1 %.2F %.2F cm', $c, $s, -$s, $c, $cx, $cy, -$cx, -$cy));
    		}
		}
		        
   	    function RotatedText($x, $y, $txt, $angle) {
		    //Text rotated around its origin
     		$this->Rotate($angle, $x, $y);
     		$this->Text($x, $y, $txt);
     		$this->Rotate(0);
	    }
		        
	    public function Header_factura($empresa,$dades){
    	   $fecha = date("d") . " - " . date("m") . " - " . date("Y");
    	   		
    	   $this->Image('assets/five/images/logos/five.png',5,5,25,25,'PNG');
    	   
    	   $this->SetFont('Arial','B',20);		
		   $this->Cell(90 ,5,' '      ,0,1,'L',0);
		   $this->Cell(20 ,8,' '      ,0,0,'L',0);
		   $this->Cell(90 ,8,utf8_decode($empresa['empresa_nom'])      ,0,1,'L',0);
		   $this->SetFont('Arial','B',10);
		   $this->Cell(20 ,5,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode($empresa['empresa_adreca'])      ,0,1,'L',0);
		   $this->Cell(20 ,5,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode($empresa['empresa_postal'].' '.$empresa['empresa_poblacio'])      ,0,1,'L',0);
		   $this->Cell(20 ,5,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode($empresa['empresa_provincia'])      ,0,1,'L',0);
		   
		   $this->SetFont('Arial','',10);
		   $this->Cell(100 ,5,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode($dades['client_nom'])      ,'TLR',1,'L',0);
		   $this->Cell(100 ,5,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode($dades['client_adreca'])      ,'LR',1,'L',0);
		   $this->Cell(100 ,5,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode($dades['client_postal'].' '.$dades['client_poblacio'])      ,'LR',1,'L',0);
		   $this->Cell(100 ,5,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode($dades['client_provincia'])      ,'BLR',1,'L',0);
		   
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   
		   $this->Cell(100 ,5,' '      ,0,0,'L',0);
		   $this->SetFont('Arial','B',10);
		   $this->Cell(20 ,5,utf8_decode(lang('five.factura_cif'))      ,'BTL',0,'L',0);
		   $this->SetFont('Arial','',10);
		   $this->Cell(70 ,5,utf8_decode($dades['client_cif'])          ,'BTR',1,'L',0);
		   
		   $this->SetFillColor(14,231,246);		   
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);
		   $this->Cell(30 ,5,utf8_decode(lang('five.factura_factura'))      ,'1',0,'C',1);
		   $this->Cell(30 ,5,utf8_decode(lang('five.factura_data'))         ,'1',0,'C',1);
		   $this->Cell(30 ,5,utf8_decode(lang('five.factura_client'))       ,'1',1,'C',1);
		   $this->Cell(5 ,10,' '      ,0,0,'L',0);
		   $this->Cell(30 ,10,utf8_decode($dades['numero'])               ,'1',0,'L',0);
		   $this->Cell(30 ,10,utf8_decode($dades['data_emissio'])         ,'1',0,'L',0);
		   $this->Cell(30 ,10,utf8_decode($dades['client_codi'])          ,'1',1,'L',0);
		   
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);
		   $this->Cell(95 ,5,utf8_decode(lang('five.factura_concepte'))        ,'1',0,'C',1);
		   $this->Cell(20 ,5,utf8_decode(lang('five.factura_unitats'))         ,'1',0,'C',1);
		   $this->Cell(25 ,5,utf8_decode(lang('five.factura_preu'))            ,'1',0,'C',1);
		   $this->Cell(10 ,5,' '                                               ,'1',0,'C',1);
		   $this->Cell(35 ,5,utf8_decode(lang('five.factura_total'))           ,'1',1,'C',1);
		   
		   $this->SetFont('Arial','',10);            
       }
        
       public function footer_factura($dades,$empresa){
     	   $this->SetY(210);
		   $this->SetFillColor(206,213,214);		   
		   $this->SetFont('Arial','B',10);
		   $this->Cell(45,8,' '      ,0,0,'L',0);
		   $this->Cell(30 ,8,utf8_decode(lang('five.factura_brut'))        ,'1',0,'C',1);
		   $this->Cell(30 ,8,utf8_decode(lang('five.factura_base'))        ,'1',0,'C',1);
		   $this->Cell(20 ,8,utf8_decode(lang('five.factura_iva'))         ,'1',0,'C',1);
		   $this->Cell(30 ,8,utf8_decode(lang('five.factura_iva_euros'))   ,'1',0,'C',1);
		   $this->Cell(35 ,8,utf8_decode(lang('five.factura_total'))       ,'1',1,'C',1);       	  
      	   $this->SetFont('Arial','',10);
           $c1 = number_format($dades['brut'],2,',','.');				
           $c2 = number_format($dades['base'],2,',','.');				
           $c3 = number_format($dades['iva'],2,',','.');				
           $c4 = number_format($dades['iva_euro'],2,',','.');				
           $c5 = number_format($dades['net'],2,',','.');				                      
		   $this->Cell(45,8,' '      ,0,0,'L',0);		   
		   $this->Cell(30 ,8,utf8_decode($c1)       ,'1',0,'R',0);
		   $this->Cell(30 ,8,utf8_decode($c2)       ,'1',0,'R',0);
		   $this->Cell(20 ,8,utf8_decode($c3)       ,'1',0,'C',0);
		   $this->Cell(30 ,8,utf8_decode($c4)       ,'1',0,'R',0);
		   $this->Cell(35 ,8,utf8_decode($c5)       ,'1',1,'R',0);       	  
      	   
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   
		   $this->SetFont('Arial','B',10);
		   $this->Cell(5 ,8,' '      ,0,0,'L',0);
		   $this->Cell(70 ,8,utf8_decode(lang('five.factura_banc'))        ,'1',0,'C',1);
		   $this->Cell(115 ,8,utf8_decode(lang('five.factura_forma'))       ,'1',1,'C',1);
		   $this->SetFont('Arial','',10);
		   
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);
		   $this->Cell(70 ,5,$dades['client_iban']        ,'LR',0,'L',0);
		   $this->Cell(115 ,5,$dades['pagos_nom']         ,'1',1,'L',0);
		   
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);
		   $this->Cell(70 ,5,$dades['client_bic']         ,'LR',0,'L',0);
		   $this->Cell(57 ,5,$dades['vto1']             ,'LR',0,'L',0);
           $c1 = number_format($dades['imp1'],2,',','.');				
		   $this->Cell(23 ,5,utf8_decode($c1)           ,'L',0,'R',0);
		   $this->Cell(35 ,5,' '                        ,'R',1,'R',0);
		   
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);
		   $this->Cell(70 ,5,$dades['client_banc']         ,'LR',0,'L',0);
		   $this->Cell(57 ,5,$dades['vto2']             ,'LR',0,'L',0);
		   $c1 = '';
		   if ($dades['imp2'] <> 0) $c1 = number_format($dades['imp2'],2,',','.');				
		   $this->Cell(23 ,5,utf8_decode($c1)           ,'L',0,'R',0);
		   $this->Cell(35 ,5,' '                        ,'R',1,'R',0);
		   		   
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);
		   $this->Cell(70 ,5,' '                        ,'LR',0,'L',0);
		   $this->Cell(57 ,5,$dades['vto3']             ,'LR',0,'L',0);
		   $c1 = '';
		   if ($dades['imp3'] <> 0) $c1 = number_format($dades['imp3'],2,',','.');				
		   $this->Cell(23 ,5,utf8_decode($c1)           ,'L',0,'R',0);
		   $this->Cell(35 ,5,' '                        ,'R',1,'R',0);
		   		   
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);
		   $this->Cell(70 ,5,' '                        ,'LR',0,'L',0);
		   $this->Cell(57 ,5,$dades['vto3']             ,'LR',0,'L',0);
		   $c1 = '';
		   if ($dades['imp4'] <> 0) $c1 = number_format($dades['imp4'],2,',','.');				
		   $this->Cell(23 ,5,utf8_decode($c1)           ,'L',0,'R',0);
		   $this->Cell(35 ,5,' '                        ,'R',1,'R',0);
		          
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);
		   $this->Cell(70 ,5,' '                        ,'LRB',0,'L',0);
		   $this->Cell(57 ,5,$dades['vto3']             ,'LRB',0,'L',0);
		   $c1 = '';
		   if ($dades['imp5'] <> 0) $c1 = number_format($dades['imp5'],2,',','.');				
		   $this->Cell(23 ,5,utf8_decode($c1)           ,'LB',0,'R',0);
		   $this->Cell(35 ,5,' '                        ,'RB',1,'R',0);
		   
		   $this->RotatedText(5, 200, utf8_decode($empresa['empresa_registre']) , 90);
       }
       
	    public function Header_resum($titul){
    	   $fecha = date("d") . " - " . date("m") . " - " . date("Y");
    	   		
		   $this->SetFont('Arial','',10);		
		   $this->Cell(0 ,5,'FIVE'          ,0,0,'L',0);
		   $this->Cell(0 ,5,$fecha ,0,1,'R',0);
		   $this->Cell(0 ,5,'',0,1,'C',0);
			// Color para el relleno
		   $this->SetFillColor(211,211,211);
			// Ultimo valor indica relleno o no
		   $this->Cell(0 ,5,utf8_decode($titul),1,1,'C',1);
		   $this->Cell(0 ,5,'',0,1,'C',0);
		   $this->SetFont('Arial','B',10);
		   $this->Cell(30,5,utf8_decode(lang('five.resum_factura')),'1',0,'C',0);
		   $this->Cell(30,5,utf8_decode(lang('five.resum_data')),'1',0,'C',0);
		   $this->Cell(40,5,utf8_decode(lang('five.resum_brut')),'1',0,'C',0);
		   $this->Cell(21,5,utf8_decode(lang('five.resum_dto')),'1',0,'C',0);
		   $this->Cell(25,5,utf8_decode(lang('five.resum_import_dto')),'1',0,'C',0);
		   $this->Cell(40,5,utf8_decode(lang('five.resum_base')),'1',0,'C',0);
		   $this->Cell(21,5,utf8_decode(lang('five.resum_iva')),'1',0,'C',0);
		   $this->Cell(25,5,utf8_decode(lang('five.resum_import_iva')),'1',0,'C',0);
		   $this->Cell(45,5,utf8_decode(lang('five.resum_total')),'1',1,'C',0);
		   $this->SetFont('Arial','',10);            
       }

	    public function Header_iva($titul){
    	   $fecha = date("d") . " - " . date("m") . " - " . date("Y");
    	   		
		   $this->SetFont('Arial','',10);		
		   $this->Cell(0 ,5,'FIVE'          ,0,0,'L',0);
		   $this->Cell(0 ,5,$fecha ,0,1,'R',0);
		   $this->Cell(0 ,5,'',0,1,'C',0);
			// Color para el relleno
		   $this->SetFillColor(211,211,211);
			// Ultimo valor indica relleno o no
		   $this->Cell(0 ,5,utf8_decode($titul),1,1,'C',1);
		   $this->Cell(0 ,5,'',0,1,'C',0);
		   $this->SetFont('Arial','B',10);
		   $this->Cell(20,5,utf8_decode(lang('five.iva_factura')),'1',0,'C',0);
		   $this->Cell(15,5,utf8_decode(lang('five.iva_client')),'1',0,'C',0);
		   $this->Cell(92,5,utf8_decode(lang('five.iva_nom')),'1',0,'C',0);
		   $this->Cell(40,5,utf8_decode(lang('five.iva_cif')),'1',0,'C',0);
		   $this->Cell(25,5,utf8_decode(lang('five.iva_data')),'1',0,'C',0);
		   $this->Cell(25,5,utf8_decode(lang('five.iva_base')),'1',0,'C',0);
		   $this->Cell(15,5,utf8_decode(lang('five.iva_iva')),'1',0,'C',0);
		   $this->Cell(20,5,utf8_decode(lang('five.iva_import_iva')),'1',0,'C',0);
		   $this->Cell(25,5,utf8_decode(lang('five.iva_total')),'1',1,'C',0);
		   $this->SetFont('Arial','',8);            
       }
       
	    public function Header_uno($titul){
    	   $fecha = date("d") . " - " . date("m") . " - " . date("Y");
    	   		
		   $this->SetFont('Arial','',10);		
		   $this->Cell(0 ,5,'FIVE'          ,0,0,'L',0);
		   $this->Cell(0 ,5,$fecha ,0,1,'R',0);
		   $this->Cell(0 ,5,'',0,1,'C',0);
			// Color para el relleno
		   $this->SetFillColor(211,211,211);
			// Ultimo valor indica relleno o no
		   $this->Cell(0 ,5,utf8_decode($titul),1,1,'C',1);
		   $this->Cell(0 ,5,'',0,1,'C',0);
		   $this->SetFont('Arial','B',10);
		   $this->Cell(80,5,utf8_decode(lang('five.validar_destinatari')),'1',0,'L',0);
		   $this->Cell(25,5,utf8_decode(lang('five.validar_albara'))     ,'1',0,'L',0);
		   $this->Cell(20,5,utf8_decode(lang('five.validar_unitats'))    ,'1',0,'L',0);
		   $this->Cell(20,5,utf8_decode(lang('five.validar_kg'))         ,'1',0,'L',0);
		   $this->Cell(20,5,utf8_decode(lang('five.validar_palets'))     ,'1',0,'L',0);
		   $this->Cell(25,5,utf8_decode(lang('five.validar_valor'))      ,'1',1,'L',0);
		   $this->SetFont('Arial','',8);            
       }
       
	    public function Header_resum_albarans($titul){
    	   $fecha = date("d") . " - " . date("m") . " - " . date("Y");
    	   		
		   $this->SetFont('Arial','',10);		
		   $this->Cell(0 ,5,'FIVE'          ,0,0,'L',0);
		   $this->Cell(0 ,5,$fecha ,0,1,'R',0);
		   $this->Cell(0 ,5,'',0,1,'C',0);
			// Color para el relleno
		   $this->SetFillColor(211,211,211);
			// Ultimo valor indica relleno o no
		   $this->Cell(0 ,5,utf8_decode($titul),1,1,'C',1);
		   $this->Cell(0 ,5,'',0,1,'C',0);
		   $this->SetFont('Arial','B',10);
		   $this->Cell(35,5,utf8_decode(lang('five.numero_albara')),'1',0,'C',0);
		   $this->Cell(25,5,utf8_decode(lang('five.data_albara')),'1',0,'C',0);
		   $this->Cell(27,5,utf8_decode(lang('five.unitats')),'1',0,'C',0);
		   $this->Cell(27,5,utf8_decode(lang('five.kg')),'1',0,'C',0);
		   $this->Cell(27,5,utf8_decode(lang('five.palets')),'1',0,'C',0);
		   $this->Cell(32,5,utf8_decode(lang('five.valor_mercaderia')),'1',0,'C',0);
		   $this->Cell(72,5,utf8_decode(lang('five.transport_nom')),'1',0,'C',0);
		   $this->Cell(32,5,utf8_decode(lang('five.valor_viatge')),'1',1,'C',0);
		   $this->SetFont('Arial','',10);            
       }
       
       	public function Header_full($empresa,$dades,$client){
    	   $fecha = date("d") . " - " . date("m") . " - " . date("Y");
    	   		
    	   $this->Image('assets/five/images/logos/five.png',5,5,25,25,'PNG');
    	   
    	   $this->SetFont('Arial','B',20);		
		   $this->Cell(90 ,5,' '      ,0,1,'L',0);
		   $this->Cell(20 ,8,' '      ,0,0,'L',0);
		   $this->Cell(90 ,8,utf8_decode($empresa['empresa_nom'])      ,0,1,'L',0);
		   $this->SetFont('Arial','B',10);
		   $this->Cell(20 ,5,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode($empresa['empresa_mail'])      ,0,1,'L',0);
		   
		   $this->SetFont('Arial','',10);
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);		   
		   $this->Cell(90 ,5,utf8_decode($client['client_nom'])      ,'TLR',0,'L',0);
		   $this->Cell(5 ,10,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode($dades['transport_nom'])      ,'TLR',1,'L',0);
		   
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);		   
		   $this->Cell(90 ,5,utf8_decode($client['client_adreca'])      ,'LR',0,'L',0);
		   $this->Cell(5 ,10,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode($dades['transport_adreca'])      ,'LR',1,'L',0);
		   
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);		   
		   $this->Cell(90 ,5,utf8_decode($client['client_postal'].' '.$client['client_poblacio'])      ,'LR',0,'L',0);
		   $this->Cell(5 ,10,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode($dades['transport_telefon_principal'])      ,'BLR',1,'L',0);
		   
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);		   
		   $this->Cell(90,5,utf8_decode($client['client_poblacio']) ,'BLR',1,'L',0);
		   
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   
		   
		   $this->SetFillColor(14,231,246);		   
		   $this->Cell(5 ,5,' '      ,0,0,'L',0);
		   $this->Cell(30 ,5,utf8_decode(lang('five.full_numero'))       ,'1',0,'C',1);
		   $this->Cell(30 ,5,utf8_decode(lang('five.full_data'))         ,'1',0,'C',1);
		   $this->Cell(30 ,5,utf8_decode(lang('five.full_hora'))         ,'1',0,'C',1);
		   
		   $this->Cell(5 ,10,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode(lang('five.full_matricula')).' '.utf8_decode($dades['transportista_matricula'])         ,'1',1,'L',0);
		   
		   $this->Cell(5 ,10,' '      ,0,0,'L',0);
		   $this->Cell(30 ,5,utf8_decode($dades['numero_ruta'])         ,'1',0,'C',0);
		   $this->Cell(30 ,5,utf8_decode($dades['data_ruta'])           ,'1',0,'C',0);
		   $this->Cell(30 ,5,utf8_decode($dades['hora_ruta'])           ,'1',0,'C',0);
		   
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   
		   $this->Cell(100 ,5,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode(lang('five.full_conductor'))         ,'TLR',1,'L',0);
		   $this->Cell(100 ,5,' '      ,0,0,'L',0);
		   $this->Cell(90 ,5,utf8_decode(lang('five.full_dni'))               ,'BLR',1,'L',0);
		   
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   $this->Cell(70 ,2,' '        ,'',1,'L',0);
		   
		   $this->SetFont('Arial','',9);            
		   $this->Cell(1 ,5,' '      ,0,0,'L',0);
		   $this->Cell(60 ,5,utf8_decode(lang('five.remitent'))      ,'1',0,'C',1);
		   $this->Cell(60 ,5,utf8_decode(lang('five.destinatari_nom'))   ,'1',0,'C',1);
		   $this->Cell(15 ,5,utf8_decode(lang('five.full_albara'))          ,'1',0,'C',1);
		   $this->Cell(16 ,5,utf8_decode(lang('five.full_data_albara'))     ,'1',0,'C',1);
		   $this->Cell(15 ,5,utf8_decode(lang('five.full_unitats'))         ,'1',0,'C',1);
		   $this->Cell(15 ,5,utf8_decode(lang('five.full_kg'))              ,'1',0,'C',1);
		   $this->Cell(15 ,5,utf8_decode(lang('five.full_palets'))          ,'1',1,'C',1);
		   
		   $this->SetFont('Arial','',8);            
       }

       public function footer_full($dades){
           $c1 = number_format($dades['0'],2,',','.');				
           $c2 = number_format($dades['1'],2,',','.');				
           $c3 = number_format($dades['2'],0,',','.');				
		   $this->Cell(152,8,' '      ,0,0,'L',0);		   
		   $this->Cell(15 ,6,utf8_decode($c1)       ,'1',0,'R',0);
		   $this->Cell(15 ,6,utf8_decode($c2)       ,'1',0,'R',0);
		   $this->Cell(15 ,6,utf8_decode($c3)       ,'1',1,'R',0);
		   
     	   $this->SetY(240);
		   $this->SetFillColor(206,213,214);		   
		   $this->SetFont('Arial','B',10);
		   $this->Cell(45,8,' '      ,0,0,'L',0);
		   $this->Cell(40 ,8,utf8_decode(lang('five.full_transportista'))  ,'1',0,'C',1);
		   $this->Cell(40 ,8,utf8_decode(lang('five.full_data'))           ,'1',0,'C',1);
		   $this->Cell(60 ,8,utf8_decode(lang('five.full_observa'))        ,'1',0,'C',1);
		   $this->Cell(45,8,' '      ,0,0,'L',0);
		   $this->Cell(40 ,8,''           ,'LR',0,'C',0);
		   $this->Cell(40 ,8,''           ,'LR',0,'C',0);
		   $this->Cell(60 ,8,''           ,'LR',1,'C',0);
		   $this->Cell(45,8,' '      ,0,0,'L',0);
		   $this->Cell(40 ,8,''           ,'LR',0,'C',0);
		   $this->Cell(40 ,8,''           ,'LR',0,'C',0);
		   $this->Cell(60 ,8,''           ,'LR',1,'C',0);
		   $this->Cell(45,8,' '      ,0,0,'L',0);		   
		   $this->Cell(40 ,8,''           ,'LR',0,'C',0);
		   $this->Cell(40 ,8,''           ,'LR',0,'C',0);
		   $this->Cell(60 ,8,''           ,'LR',1,'C',0);
		   $this->Cell(45,8,' '      ,0,0,'L',0);		   
		   $this->Cell(40 ,8,''           ,'BLR',0,'C',0);
		   $this->Cell(40 ,8,''           ,'BLR',0,'C',0);
		   $this->Cell(60 ,8,''           ,'BLR',1,'C',0);		   		   
       }
       
       // El pie del pdf
       public function Footer(){
       	  $this->SetY(-15);
       	  $this->SetFont('Arial','I',8);
       	  $this->Cell(0,10,utf8_decode('Pàgina ').$this->PageNo(),0,0,'R');
      }
      
 }
?>