<?php
class five_model extends CI_Model {

	public function __constuct(){
		$this->load->database();
	}

	/**
	 * 
	 * Llegir usuari
	 * @param varchar $user
	 * @param varchar $pass
	 */
	public function get_user($user = FALSE, $pass = FALSE)
	{
        $query = $this->db->get_where('_t_users', array('codi' => $user, 'password' => $pass));        
        return $query->row_array();
	}	

	/**
	 * 
	 * Enter description here ...
	 */
	public function get_km()
	{
		$query = $this->db->select('id,postal_descripcio');
		$query = $this->db->group_by('postal_descripcio','');
		$query = $this->db->order_by('postal_descripcio','');
		$query = $this->db->get_where('_t_km',array('pais'=>'ES'));
		return $query->result_array();
	}	

	/**
	 * 
	 * Enter description here ...
	 * @param unknown_type $lat1
	 * @param unknown_type $long1
	 * @param unknown_type $lat2
	 * @param unknown_type $long2
	 */
	public function harvestine($lat1, $long1, $lat2, $long2){ 
	    //Distancia en kilometros en 1 grado distancia.
    	//Distancia en millas nauticas en 1 grado distancia: $mn = 60.098;
    	//Distancia en millas en 1 grado distancia: 69.174;
	    //Solo aplicable a la tierra, es decir es una constante que cambiaria en la luna, marte... etc.
    	$km = 111.302;    
	    //1 Grado = 0.01745329 Radianes    
    	$degtorad = 0.01745329;    
	    //1 Radian = 57.29577951 Grados
    	$radtodeg = 57.29577951; 
	    //La formula que calcula la distancia en grados en una esfera, llamada formula de Harvestine. Para mas informacion hay que mirar en Wikipedia
	    //http://es.wikipedia.org/wiki/F%C3%B3rmula_del_Haversine
	    $dlong = ($long1 - $long2); 
    	$dvalue = (sin($lat1 * $degtorad) * sin($lat2 * $degtorad)) + (cos($lat1 * $degtorad) * cos($lat2 * $degtorad) * cos($dlong * $degtorad)); 
    	$dd = acos($dvalue) * $radtodeg; 
    	return round(($dd * $km), 2);
	}

	/**
	 * 
	 * Enter description here ...
	 */
	public function get_buscar_km($or,$de)
	{
		$query = $this->db->select('latitud,longitud,postal_code');
		$query = $this->db->order_by('id');
		$query = $this->db->get_where('_t_km',array('postal_descripcio' => $or));
		$dades = $query->row_array();
		$ori_lat = $dades['latitud'];
		$ori_lon = $dades['longitud'];
		$ori_pos = $dades['postal_code']; 
		$query = $this->db->select('latitud,longitud,postal_code');
		$query = $this->db->order_by('id');
		$query = $this->db->get_where('_t_km',array('postal_descripcio' => $de));
		$dades = $query->row_array();
		$des_lat = $dades['latitud'];
		$des_lon = $dades['longitud'];		
		$des_pos = $dades['postal_code']; 
		// harvestine		
		return $this->harvestine($ori_lat,$ori_lon,$des_lat,$des_lon).'_'.$ori_pos.'_'.$des_pos;		
	}	
	
	/**
	 * 
	 * Llegir un fitxer
	 * @param integer $id
	 * @param varchar $idx
	 */
	public function get_fitxer($fitxer = FAlSE, $id = FALSE, $idx = FALSE)
	{
		if ($id === FALSE)
		{
			if ($fitxer == 'comunitat') {
				$query = $this->db->select('_t_comunitat.id, comunitat_codi, comunitat_nom, pais_codi, pais_nom');
				$query = $this->db->join('_t_pais', '_t_pais.pais_codi = _t_comunitat.comunitat_pais','left');
			}		
			if ($fitxer == 'provincia') {
				$query = $this->db->select('_t_provincia.id, provincia_codi, provincia_nom, provincia_comunitat, comunitat_codi, comunitat_nom, pais_codi, pais_nom');
				$query = $this->db->join('_t_comunitat', '_t_comunitat.comunitat_codi = _t_provincia.provincia_comunitat','left');			
				$query = $this->db->join('_t_pais', '_t_pais.pais_codi = _t_comunitat.comunitat_pais','left');							
			}							
			if ($fitxer == 'poblacio') {
				$query = $this->db->select('_t_poblacio.id, poblacio_codi, poblacio_nom, provincia_nom, provincia_comunitat, comunitat_codi, comunitat_nom, pais_codi, pais_nom');
				$query = $this->db->join('_t_provincia', '_t_provincia.provincia_codi = _t_poblacio.poblacio_provincia','left');			
				$query = $this->db->join('_t_comunitat', '_t_comunitat.comunitat_codi = _t_provincia.provincia_comunitat','left');			
				$query = $this->db->join('_t_pais', '_t_pais.pais_codi = _t_comunitat.comunitat_pais','left');							
			}							
			if ($fitxer == 'zonas') {
				$query = $this->db->select('zonas_codi as id,zonas_codi, zonas_nom');
				$query = $this->db->group_by('zonas_codi, zonas_nom');
			}
			if ($fitxer == 'tarifa') {
				$query = $this->db->select('_t_tarifa.id,tarifa_codi, tarifa_nom, tarifa_transport, transport_nom, tarifa_tipo');
				$query = $this->db->join('_t_transport', '_t_transport.transport_codi = _t_tarifa.tarifa_transport','left');			
				$query = $this->db->group_by('tarifa_codi, tarifa_nom, tarifa_transport, transport_nom');
			}
			if ($fitxer == 'flota') {
				$query = $this->db->select('_t_flota.id, flota_matricula, flota_nom, transport_nom, tipus_flota_nom');
				$query = $this->db->join('_t_transport', '_t_transport.transport_codi = _t_flota.flota_transportista','left');			
				$query = $this->db->join('_t_tipus_flota', '_t_tipus_flota.tipus_flota_codi = _t_flota.flota_tipus','left');							
			}							
			if ($fitxer == 'tarifa_client') {
				$query = $this->db->select('_t_tarifa_client.id,tarifa_codi, tarifa_nom, tarifa_transport, transport_nom, tarifa_tipo,tarifa_facturacion');
				$query = $this->db->join('_t_transport', '_t_transport.transport_codi = _t_tarifa_client.tarifa_transport','left');			
			}
			$query = $this->db->order_by($fitxer.'_nom','');
			$query = $this->db->get('_t_'.$fitxer);
			return $query->result_array();
		}
		if ($idx == 2) {
			$query = $this->db->select('_t_tarifa_client.id,tarifa_codi, tarifa_nom, tarifa_transport, transport_nom, tarifa_tipo, tarifa_client,tarifa_facturacion');
			$query = $this->db->join('_t_transport', '_t_transport.transport_codi = _t_tarifa_client.tarifa_transport','left');			
			$query = $this->db->get_where('_t_'.$fitxer, array('tarifa_client' => $id));
			return $query->result_array();	
		}		
		if ($idx == 1) $query = $this->db->get_where('_t_'.$fitxer, array($fitxer.'_codi' => $id));		
		if ($idx == 0) $query = $this->db->get_where('_t_'.$fitxer, array('id' => $id));		
		return $query->row_array();
	}
	
	/**
	 * 
	 * Llegir un fitxer
	 * @param integer $id
	 * @param varchar $idx
	 */
	public function get_fitxer_client($fitxer = FAlSE, $id = FALSE, $idx = FALSE)
	{
		if ($id === FALSE)
		{
			if ($fitxer == 'recollides') {
				$query = $this->db->order_by($fitxer.'_nom','');
				$query = $this->db->get_where('_t_'.$fitxer,array('recollides_client' => $_SESSION['id_intern']));
			}
			if ($fitxer == 'distribuidor') {
				$query = $this->db->order_by($fitxer.'_nom','');
				$query = $this->db->get_where('_t_'.$fitxer,array('distribuidor_client' => $_SESSION['id_intern']));
			}
			if ($fitxer == 'flota') {
				$query = $this->db->select('_t_flota.id, flota_matricula, flota_nom, transport_nom, tipus_flota_nom');
				$query = $this->db->join('_t_transport', '_t_transport.transport_codi = _t_flota.flota_transportista','left');			
				$query = $this->db->join('_t_tipus_flota', '_t_tipus_flota.tipus_flota_codi = _t_flota.flota_tipus','left');							
				$query = $this->db->get_where('_t_'.$fitxer,array('flota_transportista' => $_SESSION['id_intern']));
			}			
			if ($fitxer == 'tarifa') {
				$query = $this->db->select('_t_tarifa.id,tarifa_codi, tarifa_nom, tarifa_transport, transport_nom, tarifa_tipo');
				$query = $this->db->join('_t_transport', '_t_transport.transport_codi = _t_tarifa.tarifa_transport','left');			
				$query = $this->db->get_where('_t_'.$fitxer,array('tarifa_transport' => $_SESSION['id_intern']));
			}
			
		}
		return $query->result_array();
	}
	
	
	/**
	 * 
	 * Crear variables new complement
	 */
	public function new_confirm()
	{	
		$avui = date("d-m-Y");
		$data = array(
		        'id' => 0,
				'id_carrega' => '', 
			    'id_client' =>0,
				'data_carrega' => '',
				'nom_envio' => '',
				'data_entrega' => $avui,
				'id_expedicio' => '',
				'origen' => '',
				'desti' => '',
				'origen_cp' => '',
				'desti_cp' => '',
				'quilometres' => '0',
				'unitats' => 0,
				'import' => 0,		        
				);		
		return $data;
	}
	
	/**
	 * 
	 * Crear variables carga manual albaranes
	 */
	public function new_especial($pre)
	{	
		$avui = date("d-m-Y");
		$data = array(
		        'id' => 0,
				'id_client' => $_SESSION['id_intern'], 
			    'numero_albara' =>'',
				'data_albara' => $avui,
				'matricula_albara' => '',
				'hora_recollida' => '08:00',
				'destinatari_nom' => '',
				'destinatari_grup' => '',
				'origen_cp' => '',
				'origen' => '',
				'desti' => '',
				'desti_cp' => '',
		        'unitats' => 1,
		        'import' => $pre,
		        'id_transport' => '',
				'quilometres' => 0,
		        'id_tarifa' => '',
		 		'id_tipus' => '1',
				'suma1' => 0,
				'suma2' => 0,
				'suma3' => 0
		);		
		return $data;
	}

	/**
	 * 
	 * Crear variables new complement
	 */
	public function new_pendent()
	{	
		$avui = date("d-m-Y");
		$ini = date("01-01-Y");
		$data = array(
				'data_inicial' => $ini,
			    'data_final' => $avui
				);		
		return $data;
	}
	
	/**
	 * 
	 * Crear variables new complement
	 */
	public function new_confirmada()
	{	
		$avui = date("d-m-Y");
		$ini = date("01-01-Y");
		$data = array(
				'data_inicial' => $ini,
			    'data_final' => $avui
				);		
		return $data;
	}
	
	/**
	 * 
	 * Llegir un complement
	 * @param integer $id
	 * @param varchar $idx
	 */
	public function get_tipus($id = FALSE, $idx = FALSE)
	{
		if ($id === FALSE)
		{
			$query = $this->db->order_by('tipus_nom','');
			$query = $this->db->get('_t_tipus');
			return $query->result_array();
		}
		if ($idx == 1) $query = $this->db->get_where('_t_tipus', array('tipus_codi' => $id));		
		if ($idx == 0) $query = $this->db->get_where('_t_tipus', array('id' => $id));		
		return $query->row_array();
	}

	/**
	 * 
	 * Llegir usuari
	 * @param varchar $user
	 * @param varchar $pass
	 */
	public function get_buscar_ultim($taula = FALSE,$ordre = FALSE)
	{
		$query = $this->db->order_by($ordre,'desc');
		$query = $this->db->get($taula);        
        return $query->row_array();
	}	

	/**
	 * 
	 * Crear variables new complement
	 */
	public function new_assing($id)
	{		
		$data = array(
				'id_transport' => $id, 
				'client_tria' => ''
				);		
		return $data;
	}

	/**
	 * 
	 * Crear variables new complement
	 */
	public function new_escalat($id)
	{		
		$data = array(
				'id_escalat' => $id, 
				);		
		return $data;
	}

	/**
	 * 
	 * Crear variables new complement
	 */
	public function get_escalat($id)
	{		
		$query = $this->db->order_by('id');
		$query = $this->db->get_where('_t_escalat', array('escalat_codi' => $id));
		return $query->result_array();
	}

	/**
	 * 
	 * Crear variables new complement
	 */
	public function grabar_escalat($id)
	{
		// Miro si hi es
		$this->db->delete('_t_escalat', array('escalat_codi' => $id));		
		for ($lin=0;$lin<50;$lin++) {
			$min = $this->input->post('row_'.$lin.'_min');
			$max = $this->input->post('row_'.$lin.'_max');			
			if (($min <> 0)||($max<>0)) {
				$data = array(
					'escalat_codi' => $id,
					'escalat_minim' => $min,
					'escalat_maxim' => $max
			);					
			$this->db->insert('_t_escalat', $data);							
			}
		}		
	}
	
	/**
	 * 
	 * Crear variables new complement
	 */
	public function new_albara($id)
	{		
		$data = array(
				'id_client' => $id 
				);		
		return $data;
	}
	
	/**
	 * 
	 * Crear variables insert albarans
	 */
	public function grabar_albarans_five($id)
	{
		// Miro si hi es
		$this->db->delete('_t_albarans_five', array('albara_client' => $id));		
		for ($lin=0;$lin<16;$lin++) {
			$con = $this->input->post('row_'.$lin.'_con');		
			$nom = $this->input->post('row_'.$lin.'_des');
			$uni = $this->input->post('row_'.$lin.'_uni');		
			$pre = $this->input->post('row_'.$lin.'_imp');		
			$tot = $this->input->post('row_'.$lin.'_tot');					
			if (($con <> "")&&($con <> "00")) {
				$data = array(
					'albara_client' => $id,
					'albara_concepte' => $con,
					'albara_concepte_nom' => $nom,
					'albara_unitats' => $uni,
					'albara_preu' => $pre,
				    'albara_dto' => 0,
				    'albara_import' => $tot
				
			);					
			$this->db->insert('_t_albarans_five', $data);							
			}
		}		
	}

	/**
	 * 
	 * Crear variables new albarans
	 */
	public function get_albarans_five($id)
	{		
			$query = $this->db->order_by('_t_albarans_five.id');
			$query = $this->db->select('albara_client,albara_concepte,albara_concepte_nom,albara_preu,albara_unitats,albara_import,albara_dto');
			$query = $this->db->get_where('_t_albarans_five', array('albara_client' => $id));
			return $query->result_array();
	}

	/**
	 * 
	 * Crear variables new complement
	 */
	public function new_simulacio()
	{	
		$avui = date("d-m-Y");
		$data = array(
			    'client_codi' => '',
			    'client_nom' =>'',
				'simulacio_data' => $avui,
				'simulacio_unitats' => '0',
				'simulacio_import' => '0',
				'simulacio_desti' => '',
				'simulacio_origen' => '',
				'simulacio_km' => '0',
				'transport_codi' => '',
				'tarifa_codi' => '',
				'simulacio_result' => '0',
				'simulacio_estalvi' => '0'
				);		
		return $data;
	}

	/**
	 * 
	 * Llegir dades empresa
	 * @param varchar $user
	 * @param varchar $pass
	 */
	public function get_empresa()
	{
        $query = $this->db->get('_t_empresa');        
        return $query->row_array();
	}	
	
	
	/**
	 * 
	 * Edit empresa
	 */
	public function set_empresa()
	{
		$data = array(
				'empresa_nom' => $this->input->post('empresa_nom'),
				'empresa_adreca' => $this->input->post('empresa_adreca'),
				'empresa_postal' => $this->input->post('empresa_postal'),
				'empresa_poblacio' => $this->input->post('empresa_poblacio'),
				'empresa_provincia' => $this->input->post('empresa_provincia'),
				'empresa_telefon' => $this->input->post('empresa_telefon'),
				'empresa_mobil1' => $this->input->post('empresa_mobil1'),
				'empresa_mobil2' => $this->input->post('empresa_mobil2'),
				'empresa_mail' => $this->input->post('empresa_mail'),
				'empresa_cif' => $this->input->post('empresa_cif'),
				'empresa_registre' => $this->input->post('empresa_registre')
		);					
		return $this->db->update('_t_empresa', $data);
	}

	/**
	 * 
	 * Llegir anys
	 */
	public function get_any()
	{
		$avui = date("Y");
		$dades = array();
		for ($reg=0; $reg<10; $reg++) {
			$dades[$reg]["any"] = $avui;
			$avui += 1;
		}
        return $dades;
	}	
	
	/**
	 * 
	 * Llegir dades comptadors
	 */
	public function get_comptador($any)
	{
		$query = $this->db->get_where('_t_comptador',array('periode'=>$any));
        return $query->row_array();
	}	
	
	/**
	 * 
	 * Graba comptadors
	 */
	public function graba_comptador($fec,$num)
	{
		$data = array(
				'periode' => $fec,
				'numero' => $num
		);					
		return $this->db->insert('_t_comptador', $data);
	}
		
	/**
	 * 
	 * Edit comptadors
	 */
	public function set_comptador()
	{		
		$data = $this->five_model->get_comptador($this->input->post('periode'));
		if (!isset($data['periode'])) {
			$this->five_model->graba_comptador($this->input->post('periode'),$this->input->post('numero'));							
		}
        else {		
			$data = array(
					'periode' => $this->input->post('periode'),
					'numero' => $this->input->post('numero')
			);					
			$this->db->where('periode',$this->input->post('periode'));
			return $this->db->update('_t_comptador', $data);
		}
	}

	/**
	 * 
	 * Enter description here ...
	 * @param array $dades
	 */
	public function graba_linea_carrega($dades) {
		// 0 -> remitent_id
		// 1 -> remitent_nom
		// 2 -> remitent_adreca
		// 3 -> remitent_postal
		// 4 -> client_id
		// 5 -> client_nom
		// 6 -> client_adreca
		// 7 -> client_postal
		// 8 -> quantitat
		// 9 -> kg
		// 10 -> palets
		// 11 -> valor
		// 12 -> data albara
		// 13 -> numero albara
		// 14 -> ports
		// 15 -> reembols
		$num_regs = count($dades);
		$result = 'Ok';
		if ($num_regs <= 15) $result = 'Error <> Registres';
		if ($result == 'Ok') {
			if ($dades[0] == NULL) $result = 'Error id remitent'; 
			if ($dades[3] == NULL) $result = 'Error postal remitent'; 
			if ($dades[4] == NULL) $result = 'Error id client'; 
			if ($dades[7] == NULL) $result = 'Error postal client'; 
			if ($dades[12] == NULL) $result = 'Error data albarà'; 
			if ($dades[13] == NULL) $result = 'Error numero albarà';
			if ($result == 'Ok') {
				// Miro si hi es remitent
				$remitent = $this->recollides_model->get_recollides_fitxer($_SESSION['id_intern'],$dades[0]);
				if (!(isset($remitent['recollides_codi']))) {
					$camps = $this->get_buscar_ultim('_t_recollides','recollides_codi');
					$poblacio = $this->provincia_model->get_provincia($dades[3],1);
					$provincia = $this->provincia_model->get_provincia(substr($dades[3],0,2).'000',1);
					$ultim = $camps['recollides_codi'] + 1;
					$ultim = substr('00000' . $ultim,-5);
					$fec = explode("-",date("d-m-Y"));
					$d = $fec[0];
					$m = $fec[1];
					$y = $fec[2];
					$data = array(
							'recollides_codi' => $ultim,
							'recollides_codi_extern' => $dades[0],
							'recollides_nom' => $dades[1],
							'recollides_adreca' => $dades[2],
							'recollides_postal' => $dades[3],
					        'recollides_poblacio' => $poblacio['provincia_nom'],
					        'recollides_provincia' => $provincia['provincia_nom'],
							'recollides_client' => $_SESSION['id_intern'],
							'recollides_alta' => $y.'-'.$m.'-'.$d
					);					
					return $this->db->insert('_t_recollides', $data);
				}
				// Miro si hi es destinatari
				$destinatari = $this->distribuidor_model->get_distribuidor_fitxer($_SESSION['id_intern'],$dades[4],1);		
				$zona = '';
				$transport = '';
				$matricula = '';	
				$tarifa = '';	
				$import = '0';
				$full = 0;
				if (!(isset($destinatari['distribuidor_codi']))) {
					$camps = $this->get_buscar_ultim('_t_distribuidor','distribuidor_codi');
					$poblacio = $this->provincia_model->get_provincia($dades[7],1);
					$provincia = $this->provincia_model->get_provincia(substr($dades[7],0,2).'000',1);
					$ultim = $camps['distribuidor_codi'] + 1;
					$ultim = substr('00000' . $ultim,-5);
					$fec = explode("-",date("d-m-Y"));
					$d = $fec[0];
					$m = $fec[1];
					$y = $fec[2];
					$data = array(
							'distribuidor_codi' => $ultim,
							'distribuidor_codi_extern' => $dades[4],
							'distribuidor_nom' => $dades[5],
							'distribuidor_adreca' => $dades[6],
							'distribuidor_postal' => $dades[7],
					        'distribuidor_poblacio' => $poblacio['provincia_nom'],
					        'distribuidor_provincia' => $provincia['provincia_nom'],
							'distribuidor_client' => $_SESSION['id_intern'],
							'distribuidor_alta' => $y.'-'.$m.'-'.$d
					);					
					return $this->db->insert('_t_distribuidor', $data);
				}	
				else {
					$zona = $destinatari['distribuidor_zona'];
					$transport = $destinatari['distribuidor_transport'];
					$matricula = $destinatari['distribuidor_matricula'];
					// Buscar Tarifa
					$tarifa = '';
					if ($transport != NULL) {
						$camps = $this->client_model->get_client_tarifa($_SESSION['id_intern'],$transport,"'FRACCIONADA'");
						$full = 1;
						if (isset($camps[0]['client_tarifes_tarifes'])) {
							$full = 2;							
							$tarifa = $camps[0]['client_tarifes_tarifes'];
							$import = '0';	
							$unitats = $dades[8];
							if ($unitats == 0) $unitats = $dades[9];
							if ($unitats == 0) $unitats = $dades[10];
							$camps = $this->tarifa_model->get_busca_tarifa($tarifa,$transport,$unitats,$dades[7],'FRACCIONADA');
							$import = $unitats * $camps['tarifa_import'];
							if ($import < $camps['tarifa_facturable']) $import = $camps['tarifa_facturable'];
						}
					} 	
				}			
				// Miro si hi es albara
				$albara = $this->transport_model->get_busca_albara(0,$dades[13],$_SESSION['id_intern']);
				//
				if (!(isset($albara[0]['id_transportista']))) {
					$fec = explode("-",date("d-m-Y"));
					$d = $fec[0];
					$m = $fec[1];
					$y = $fec[2];
					$fec = explode("-",$dades[12]);
					if (isset($fec[1])) {
						$d = $fec[0];
						$m = $fec[1];
						$y = $fec[2];						
					}
					$fec = explode("/",$dades[12]);
					if (isset($fec[1])) {
						$d = $fec[0];
						$m = $fec[1];
						$y = $fec[2];						
					}
					$data = array(
							'id_client' => $_SESSION['id_intern'],
							'remitent_id' => $dades[0],
							'remitent_nom' => $dades[1],
							'remitent_adreca' => $dades[2],
							'remitent_postal' => $dades[3],
							'destinatari_id' => $dades[4],
							'destinatari_nom' => $dades[5],
							'destinatari_adreca' => $dades[6],
							'destinatari_postal' => $dades[7],
							'unitats' => $dades[8],
						    'kg' => $dades[9],
							'palets' => $dades[10],
							'valor_mercaderia' => $dades[11],
							'numero_albara' => $dades[13],
							'data_albara' => $y.'-'.$m.'-'.$d,
							'ports' => $dades[14],
							'reembols' => $dades[15],
					        'id_transportista' => $transport,
					        'transportista_matricula' => $matricula,
					        'id_tarifa' => $tarifa,
					        'valor_viatge' => $import,
							'id_full' => $full
					);	
					if (!(isset($albara[0]['numero_albara']))) $this->db->insert('_t_albarans', $data);
					if (isset($albara[0]['numero_albara'])) {
						if ($albara[0]['id_transportista'] == NULL) {
							$this->db->where('numero_albara',$dades[13]);
							$this->db->where('id_client',$_SESSION['id_intern']);
							$this->db->update('_t_albarans', $data);
						}	
						if ($albara[0]['id_transportista'] == NULL) $result = 'Error transportista assignat albarà';						
					}
				}
			}
		}							
		return $result;
	}
	
	/**
	 * 
	 * Crear variables new complement
	 */
	public function new_manual($alta)
	{	
		$avui = date("d-m-Y");
		$data = array(
				'data_albara' => $avui,
				'alta' => $alta,
				'remitent_id' => '',
				'remitent_nom' => '',
				'remitent_adreca' => '',
				'remitent_postal' => '',
				'remitent_pais' => 'ESP',
				'destinatari_id' => '',
				'destinatari_nom' => '',
				'destinatari_adreca' => '',
				'destinatari_postal' => '',
				'destinatari_pais' => 'ESP',
				'numero_albara' => '',
				'unitats' => 0,
				'kg' => 0,
				'palets' => 0,
				'ports' => 'PAGATS',
				'reembols' => 0,
				'id_client' => $_SESSION['id_intern'],
				'client_nom' => '',
				'numero_ruta' => 0,
				'data_ruta' => '',	
				'hora_ruta' => '',	
				'id_client' => '',
				'id_tarifa' => '',
				'tarifa_nom' => '',
				'transport_nom' => '',
				'id_transportista' => '',
				'transportista_matricula' => '' 
				);		
		return $data;
	}
		
}