<?php
class poblacio_model extends CI_Model {

	public function __constuct(){
		$this->load->database();
	}

	/**
	 * 
	 * Llegir comunitat
	 * @param varchar $id
	 */
	public function get_poblacio_provincia($pais = FALSE, $ccaa = FALSE, $provi = FALSE)
	{
		$query = $this->db->select('_t_poblacio.id, poblacio_codi, poblacio_nom, poblacio_pais, poblacio_ccaa, poblacio_provincia');
		$query = $this->db->order_by('poblacio_nom','');
		$query = $this->db->get_where('_t_poblacio', array('poblacio_pais' => $pais, 'poblacio_ccaa' => $ccaa, 'poblacio_provincia' => $provi));		
		return $query->result_array();
	}

	/**
	 * 
	 * Llegir comunitat
	 * @param varchar $id
	 */
	public function get_ver_poblacio($id = FALSE)
	{
		$query = $this->db->select('_t_poblacio.id, poblacio_codi, poblacio_nom, poblacio_pais, poblacio_ccaa, poblacio_provincia,latitud,longitud,provincia_nom,provincia_codi,comunitat_nom,comunitat_codi,pais_nom,pais_codi');
		$query = $this->db->join('_t_provincia', '_t_provincia.provincia_codi = _t_poblacio.poblacio_provincia','left');			
		$query = $this->db->join('_t_comunitat', '_t_comunitat.comunitat_codi = _t_poblacio.poblacio_ccaa','left');			
		$query = $this->db->join('_t_pais', '_t_pais.pais_codi = _t_poblacio.poblacio_pais','left');					
		$query = $this->db->order_by('poblacio_nom','');
		$query = $this->db->get_where('_t_poblacio', array('poblacio_codi' => $id));		
		return $query->result_array();
	}
	
	/**
	 * 
	 * Llegir comunitat
	 * @param varchar $id
	 */
	public function get_poblacio_provincia_fraccionda($pais = FALSE, $ccaa = FALSE, $provi = FALSE)
	{
		$dades = explode('_',$provi);
		$clau = '';
		$k = '';
		$num_regs = count($dades);
		for ($reg=0; $reg<$num_regs; $reg++) {
			$clau .= $k . "'" . $dades[$reg] . "'";
			$k = ',';
		}		
//		           AND poblacio_ccaa = '%s' 
		$sql = sprintf("SELECT poblacio_codi, poblacio_nom, poblacio_pais, poblacio_ccaa, poblacio_provincia
                  FROM _t_poblacio
		          WHERE poblacio_pais = '%s'
                   AND poblacio_provincia in (%s)
                  ORDER BY poblacio_ccaa,poblacio_provincia,poblacio_nom",$pais, $clau);
//		return $sql;
		$query = $this->db->query($sql);
		return $query->result_array();
	}
	
	/**
	 * 
	 * Crear variables new poblacio
	 */
	public function get_new_poblacio()
	{		
		$data = array(
				'id' => 0, 
				'alta' => 0,
				'poblacio_codi' => '',
				'poblacio_nom' => '',
				'poblacio_provincia' => '',
				'poblacio_ccaa' => '',
				'poblacio_pais' => '',
				'alta' => 0,
				'latitud' => 0,
				'longitud' => 0,
				);		
		return $data;
	}
	
	/**
	 * 
	 * Esborrar un registres
	 */
	public function delete($id)
	{
		$dades = $this->get_poblacio($id,'','','','');
		$this->db->delete('_t_poblacio', array('id' => $id));
		return $dades;
	}	
	
	/**
	 * 
	 * Llegir les provincies d'una comunitats d'un pais
	 * @param varchar $clau
	 */
	public function get_fitxer($pais = FAlSE, $ccaa = FAlSE, $provi = FALSE)
	{
		$query = $this->db->select('_t_poblacio.id, poblacio_codi, poblacio_nom, poblacio_pais, poblacio_ccaa, poblacio_provincia,latitud,longitud');
		$query = $this->db->order_by('poblacio_nom','');
		$query = $this->db->get_where('_t_poblacio', array('poblacio_pais' => $pais, 'poblacio_ccaa' => $ccaa, 'poblacio_provincia' => $provi));
		return $query->result_array();
	}
	
	/**
	 * 
	 * Llegir una poblacio
	 * @param integer $id
	 * @param varchar(5) $idx
	 */
	public function get_poblacio($id,$cd,$pa,$ca,$pr)	
	{
		$query = $this->db->select('_t_poblacio.id, poblacio_codi, poblacio_nom, poblacio_pais, poblacio_ccaa, poblacio_provincia,latitud,longitud');
		if ($id == 0) $query = $query = $this->db->get_where('_t_poblacio', array('poblacio_codi' => $cd, 'poblacio_pais' => $pa, 'poblacio_ccaa' => $ca, 'poblacio_provincia' => $pr));
		if ($id <> 0) $query = $query = $this->db->get_where('_t_poblacio', array('id' => $id));
		return $query->row_array();
	}
	
	/**
	 * 
	 * Llegir una provincia
	 * @param integer $id
	 * @param varchar(5) $idx
	 */
	public function get_poblacio_todas($lee, $id)
	{
		$camps = explode('_',$id);
		$max_lin = count($camps);
		$clau = '';
		$suma = '';
		for ($lin=0;$lin<$max_lin;$lin++) {
			$clau .= $suma . '"' . $camps[$lin] .'"';
			$suma = ',';
		}		
		if ($lee == 0) $cd = sprintf("WHERE poblacio_codi not in (%s)",$clau);
		if ($lee == 1) $cd = sprintf("WHERE poblacio_codi in (%s)",$clau);
		if ($lee == 2) $cd = '';
		$sql = sprintf("SELECT poblacio_codi,poblacio_nom
						  FROM _t_poblacio
						  %s
						  ORDER BY poblacio_nom",$cd);
		$query = $this->db->query($sql);
		return $query->result_array();
	}
	
	/**
	 * 
	 * Mira si es New o Edit una poblacio
	 * @param integer $id
	 * @param varchar(5) $codi
	 */
	public function set_poblacio($id)
	{
		// Miro si hi es
		$cl = $this->input->post('poblacio_codi');
		$pa = $this->input->post('poblacio_pais');
		$ca = $this->input->post('poblacio_ccaa');		
		$pr = $this->input->post('poblacio_provincia');				
		if ($id == 0) {
			$dades = $this->poblacio_model->get_poblacio(0,$cl,$pa,$ca,$pr);
			if (isset($dades['id'])) $id = $dades['id'];			
		}
		if ($id <> 0) $dades = $this->poblacio_model->get_poblacio($id,0);
		$data = array(
				'poblacio_codi' => $this->input->post('poblacio_codi'),
				'poblacio_nom' => $this->input->post('poblacio_nom'),
				'poblacio_provincia' => $this->input->post('poblacio_provincia'),
				'poblacio_pais' => $this->input->post('poblacio_pais'),
				'poblacio_ccaa' => $this->input->post('poblacio_ccaa'),
				'latitud' => $this->input->post('latitud'),
				'longitud' => $this->input->post('longitud')
		);	
		if (empty($dades)) return $this->db->insert('_t_poblacio', $data);
		else {
			$this->db->where('id',$id);
  			$this->db->update('_t_poblacio',$data); 	
		}	
	}
	
	/**
	 * 
	 * Upadate una poblacio
	 * @param integer $id
	 */
	public function edit_poblacio($id)
	{			
		$data = array(
				'poblacio_nom' => $this->input->post('poblacio_nom'),
				'poblacio_provincia' => $this->input->post('poblacio_provincia')
		);
		$this->db->where('id',$id);
  		$this->db->update('_t_poblacio',$data); 	
	}	
	
}