<?php
class provincia_model extends CI_Model {

	public function __constuct(){
		$this->load->database();
	}

	
	/**
	 * 
	 * Crear variables new provincia
	 */
	public function get_new_provincia()
	{		
		$data = array(
				'id' => 0, 
				'alta' => 0,
				'provincia_codi' => '',
				'provincia_nom' => '',
				'provincia_ccaa' => '',
				'provincia_pais' => ''
				);		
		return $data;
	}
		
	/**
	 * 
	 * Esborrar un registres
	 */
	public function delete($id)
	{
		$dades = $this->get_provincia($id,'','','');
		$this->db->delete('_t_provincia', array('id' => $id));
		return $dades;
	}	
	
	/**
	 * 
	 * Llegir les provincies d'una comunitats d'un pais
	 * @param varchar $clau
	 */
	public function get_fitxer($pais = FAlSE, $ccaa = FAlSE)
	{
		$query = $this->db->select('_t_provincia.id, provincia_codi, provincia_nom, provincia_pais, provincia_ccaa');
		$query = $this->db->order_by('provincia_nom','');
		$query = $this->db->get_where('_t_provincia', array('provincia_pais' => $pais, 'provincia_ccaa' => $ccaa));
		return $query->result_array();
	}
	
	/**
	 * 
	 * Llegir una provincia
	 * @param integer $id
	 * @param varchar(5) $idx
	 */
	public function get_provincia($id,$cd,$pa,$ca)	
	{
		$query = $this->db->select('_t_provincia.id, provincia_codi, provincia_nom, provincia_pais, provincia_ccaa');
		if ($id == 0) $query = $query = $this->db->get_where('_t_provincia', array('provincia_codi' => $cd, 'provincia_pais' => $pa, 'provincia_ccaa' => $ca));
		if ($id <> 0) $query = $query = $this->db->get_where('_t_provincia', array('id' => $id));
		return $query->row_array();
	}
	
	/**
	 * 
	 * Llegir comunitat
	 * @param varchar $id
	 */
	public function get_provincia_comunitat($pais = FALSE, $ccaa = FALSE)
	{
		$query = $this->db->select('_t_provincia.id, provincia_codi, provincia_nom, provincia_pais, provincia_ccaa');
		$query = $this->db->get_where('_t_provincia', array('provincia_pais' => $pais, 'provincia_ccaa' => $ccaa));		
		return $query->result_array();
	}

	/**
	 * 
	 * Llegir comunitat
	 * @param varchar $id
	 */
	public function get_provincia_comunitat_fraccionada($pais = FALSE, $ccaa = FALSE)
	{
		$dades = explode('_',$ccaa);
		$clau = '';
		$k = '';
		$num_regs = count($dades);
		for ($reg=0; $reg<$num_regs; $reg++) {
			$clau .= $k . "'" . $dades[$reg] . "'";
			$k = ',';
		}		
		$sql = sprintf("SELECT provincia_codi,provincia_nom,provincia_pais,provincia_ccaa
                  FROM _t_provincia
		          WHERE provincia_pais = '%s' 
                   AND provincia_ccaa in (%s)
                  ORDER BY provincia_ccaa,provincia_nom",$pais,$clau);
		$query = $this->db->query($sql);
		return $query->result_array();
	}
	
	/**
	 * 
	 * Mira si es New o Edit una provincia
	 * @param integer $id
	 * @param varchar(5) $codi
	 */
	public function set_provincia($id)
	{
		// Miro si hi es
		$cl = $this->input->post('comunitat_codi');
		$pa = $this->input->post('comunitat_pais');
		$ca = $this->input->post('comunitat_ccaa');		
		if ($id == 0) {
			$dades = $this->provincia_model->get_provincia(0,$cl,$pa,$ca);
			if (isset($dades['id'])) $id = $dades['id'];			
		}
		if ($id <> 0) $dades = $this->provincia_model->get_provincia($id,'','','');
		$data = array(
				'provincia_codi' => $this->input->post('provincia_codi'),
				'provincia_nom' => $this->input->post('provincia_nom'),
				'provincia_ccaa' => $this->input->post('provincia_ccaa'),
				'provincia_pais' => $this->input->post('provincia_pais')			
		);		
		if (empty($dades)) return $this->db->insert('_t_provincia', $data);
		else {
			$this->db->where('id',$id);
  			$this->db->update('_t_provincia',$data); 	
		}	
	}
	
	/**
	 * 
	 * Llegir una provincia
	 * @param integer $id
	 * @param varchar(5) $idx
	 */
	public function get_provincia_zonas($id = FALSE)
	{
		
		$sql = sprintf("SELECT provincia_codi,provincia_nom
						  FROM _t_provincia
						  WHERE provincia_codi in (SELECT zonas_provincia FROM _t_zonas WHERE zonas_codi = '%s')",$id);
		$query = $this->db->query($sql);
		return $query->result_array();
	}

	/**
	 * 
	 * Llegir una provincia
	 * @param integer $id
	 * @param varchar(5) $idx
	 */	
	public function get_provincia_todas($lee, $id)
	{
		$camps = explode('_',$id);
		$max_lin = count($camps);
		$clau = '';
		$suma = '';
		for ($lin=0;$lin<$max_lin;$lin++) {
			$clau .= $suma . '"' . $camps[$lin] .'"';
			$suma = ',';
		}		
		if ($lee == 0) $cd = sprintf("WHERE provincia_codi not in (%s)",$clau);
		if ($lee == 1) $cd = sprintf("WHERE provincia_codi in (%s)",$clau);
		if ($lee == 2) $cd = '';
		$sql = sprintf("SELECT provincia_codi,provincia_nom
						  FROM _t_provincia
						  %s
						  ORDER BY provincia_nom",$cd);
		$query = $this->db->query($sql);
		return $query->result_array();
	}
	
	/**
	 * 
	 * Llegir provincia
	 * @param unknown_type $id
	 */
	public function get_provincia_zona($id = FALSE)
	{
		$query = $this->db->select('_t_provincia.id, provincia_codi, provincia_nom, provincia_comunitat, comunitat_codi, comunitat_nom, pais_codi, pais_nom');
		$query = $this->db->join('_t_comunitat', '_t_comunitat.comunitat_codi = _t_provincia.provincia_comunitat','left');			
		$query = $this->db->join('_t_pais', '_t_pais.pais_codi = _t_comunitat.comunitat_pais','left');			
		$query = $this->db->get_where('_t_provincia', array('provincia_codi' => $id));		
		return $query->row_array();
	}
	
	
}