<?php
class transport_model extends CI_Model {

	public function __constuct(){
		$this->load->database();
	}

	/**
	 * 
	 * Llegir un transport
	 * @param integer $id
	 * @param varchar $idx
	 */
	public function get_transport($id = FALSE, $idx = FALSE)
	{
		if ($id === FALSE)
		{
			$query = $this->db->order_by('transport_nom','');
			$query = $this->db->get('_t_transport');
			return $query->result_array();
		}
		if ($idx == 1) $query = $this->db->get_where('_t_transport', array('transport_codi' => $id));		
		if ($idx == 0) $query = $this->db->get_where('_t_transport', array('id' => $id));		
		return $query->row_array();
	}
	
	
	/**
	 * 
	 * Llegir float d'un transportista
	 * @param varchar $id
	 */
	public function get_flota($id = FALSE)
	{
		$query = $this->db->select('_t_flota.id, flota_matricula, flota_nom, flota_carga, transport_nom, tipus_flota_nom');
		$query = $this->db->join('_t_transport', '_t_transport.transport_codi = _t_flota.flota_transportista','left');			
		$query = $this->db->join('_t_tipus_flota', '_t_tipus_flota.tipus_flota_codi = _t_flota.flota_tipus','left');
		$query = $this->db->order_by('transport_nom','');
		$query = $this->db->get_where('_t_flota', array('flota_transportista' => $id));
		return $query->result_array();
	}							
	
	/**
	 * 
	 * Llegir transport
	 * @param varchar $id
	 */
	public function get_tarifa_transport($id = FALSE)
	{
		$query = $this->db->get_where('_t_transport', array('transport_codi' => $id));		
		return $query->row_array();
	}
		
	/**
	 * 
	 * Crear variables new transportista
	 */
	public function get_new_transport()
	{		
		$data = array(
				'id' => 0, 
				'transport_codi' => '',
				'transport_nom' => '',
				'transport_adreca' => '',
				'transport_postal' => '',
				'transport_poblacio' => '',
				'transport_provincia' => '',
				'transport_pais' => '',
				'transport_cif' => '',
				'transport_telefon1' => '',
				'transport_telefon2' => '',
				'transport_telefon_principal' => '',
				'transport_fax' => '',
				'transport_mobil' => '',
				'transport_persona1' => '',
				'transport_persona2' => '',
				'transport_correo1' => '',
				'transport_correo2' => ''
		);		
		return $data;
	}
	
	/**
	 * 
	 * Mira si es New o Edit un transport
	 * @param integer $id
	 * @param varchar) $codi
	 */
	public function set_transport($id,$codi)
	{
		// Miro si hi es
		if ($id == 0) {
			$dades = $this->transport_model->get_transport($codi,1);
			$id = $dades['id'];	
		}
		if ($id <> 0) $dades = $this->transport_model->get_transport($id,0);
		if (empty($dades)) {				
			$data = array(
					'transport_codi' => $this->input->post('transport_codi'),
					'transport_nom' => $this->input->post('transport_nom'),
					'transport_adreca' => $this->input->post('transport_adreca'),
					'transport_postal' => $this->input->post('transport_postal'),
					'transport_poblacio' => $this->input->post('transport_poblacio'),
					'transport_provincia' => $this->input->post('transport_provincia'),
					'transport_pais' => $this->input->post('transport_pais'),
					'transport_cif' => $this->input->post('transport_cif'),
					'transport_telefon_principal' => $this->input->post('transport_telefon_principal'),
					'transport_fax' => $this->input->post('transport_fax'),
					'transport_mobil' => $this->input->post('transport_mobil'),
					'transport_persona1' => $this->input->post('transport_persona1'),
					'transport_correo1' => $this->input->post('transport_correol'),
					'transport_telefon1' => $this->input->post('transport_telefon1'),
					'transport_persona2' => $this->input->post('transport_persona2'),
					'transport_correo2' => $this->input->post('transport_correo2'),
					'transport_telefon2' => $this->input->post('transport_telefon2')		
					);					
			return $this->db->insert('_t_transport', $data);
		}	
		else {
			$this ->edit_transport($id);
		}	
	}
	
	/**
	 * 
	 * Upadate un transport
	 * @param integer $id
	 */
	public function edit_transport($id)
	{			
		$data = array(
				'transport_nom' => $this->input->post('transport_nom'),
				'transport_adreca' => $this->input->post('transport_adreca'),
				'transport_postal' => $this->input->post('transport_postal'),
				'transport_poblacio' => $this->input->post('transport_poblacio'),
				'transport_provincia' => $this->input->post('transport_provincia'),
				'transport_pais' => $this->input->post('transport_pais'),
				'transport_cif' => $this->input->post('transport_cif'),
				'transport_telefon_principal' => $this->input->post('transport_telefon_principal'),
				'transport_fax' => $this->input->post('transport_fax'),
				'transport_mobil' => $this->input->post('transport_mobil'),
				'transport_persona1' => $this->input->post('transport_persona1'),
				'transport_telefon1' => $this->input->post('transport_telefon1'),
				'transport_persona2' => $this->input->post('transport_persona2'),
				'transport_correo1' => $this->input->post('transport_correo1'),
				'transport_correo2' => $this->input->post('transport_correo2'),
				'transport_telefon2' => $this->input->post('transport_telefon2')		
		);
		$this->db->where('id',$id);
  		$this->db->update('_t_transport',$data); 	
	}

	/**
	 * 
	 * Llegir un clients per assignar transport
	 * @param integer $id
	 * @param varchar $idx
	 */
	public function get_transport_client($id = FALSE)
	{
		$sql = sprintf("SELECT t1.id_client,t2.client_codi,t2.client_nom
		                  FROM _t_transport_clients t1
		                  LEFT JOIN _t_client t2 ON (t1.id_client = t2.id)
		                 WHERE t1.id_transport = '%s'
		              ORDER BY t2.client_nom",$id);		
		$query = $this->db->query($sql);		
		return $query->result_array();		
	}

    /**
	 * 
	 * Llegir un clients per assignar transport
	 * @param integer $id
	 * @param varchar $idx
	 */
	public function grabar_clients_transport($data,$clau)
	{
		// Miro si hi es
		$this->db->delete('_t_transport_clients', array('id_transport' => $clau));
		//
		$clients = explode("_",$data);		
		foreach ($clients as $cli) {
			$data = array(
					'id_transport' => $clau,
					'id_client' => $cli
			);					
			$this->db->insert('_t_transport_clients', $data);
		}
	}

	/**
	 * 
	 * Entrades manuals transportista
	 * @param integer $id
	 * @param varchar) $codi
	 */
	public function set_manual()
	{
		$fec = explode("-",$this->input->post('data_entrega'));
		$d2 = $fec[0];
		$m2 = $fec[1];
		$y2 = $fec[2];
		$data = array(
				'id_transportista' => $_SESSION['id_intern'],
				'numero_expedicio' => $this->input->post('id_expedicio'),
				'data_expedicio' => $y2.'-'.$m2.'-'.$d2,
				'numero_albara' => $this->input->post('id_carrega'),
				'origen' => $this->input->post('origen'),
				'desti' => $this->input->post('desti'),
				'origen_cp' => $this->input->post('origen_cp'),
				'desti_cp' => $this->input->post('desti_cp'),
				'id_client' => $this->input->post('id_client'),
				'unitats' => $this->input->post('unitats'),
		);					
		return $this->db->insert('_t_expedicions', $data);
	}

	/**
	 * 
	 * Enter description here ...
	 * @param unknown_type $id
	 * @param unknown_type $serie
	 */
	public function get_busca_albara($id = FALSE, $serie = FALSE, $client = FALSE)
	{
		$t = '';
		$sql = sprintf("SELECT numero_albara,id,date_format(data_albara,%s) as data_albara,id_transportista 
                  FROM _t_albarans
                 WHERE id_client = '%s'
                   AND numero_albara = '%s'",'"%d-%m-%Y"',$client,$serie);
		$query = $this->db->query($sql);
		return $query->result_array();
	}

	/**
	 * 
	 * Enter description here ...
	 * @param unknown_type $id
	 * @param unknown_type $serie
	 */
	public function get_busca_expedicio($id = FALSE, $serie = FALSE)
	{
		$sql = sprintf("SELECT numero_expedicio,id
                  FROM _t_expedicions
                 WHERE numero_expedicio = '%s'
                   AND id <> %s",$serie,$id);
		$query = $this->db->query($sql);
		return $query->result_array();
	}

	/**
	 * 
	 * Enter description here ...
	 * @param unknown_type $di
	 * @param unknown_type $df
	 */
	public function get_pendent($di,$df)
	{
		$d1 = substr($di, 0,2);
		$m1 = substr($di, 3,2);
		$y1 = substr($di, 6,4);
		$d2 = substr($df, 0,2);
		$m2 = substr($df, 3,2);
		$y2 = substr($df, 6,4);
		$sql = sprintf("SELECT *
                  FROM _t_albarans
                 WHERE data_albara >= '%s'
                   AND data_albara <= '%s'
                   AND id_transportista = '%s'                   
                ORDER BY destinatari_nom,data_albara",$y1.'-'.$m1.'-'.$d1,$y2.'-'.$m2.'-'.$d2,$_SESSION['id_intern']);
		$query = $this->db->query($sql);
		return $query->result_array();
	}

		/**
	 * 
	 * Enter description here ...
	 * @param unknown_type $di
	 * @param unknown_type $df
	 */
	public function get_confirmada($di,$df)
	{
		$d1 = substr($di, 0,2);
		$m1 = substr($di, 3,2);
		$y1 = substr($di, 6,4);
		$d2 = substr($df, 0,2);
		$m2 = substr($df, 3,2);
		$y2 = substr($df, 6,4);
		$sql = sprintf("SELECT *
                  FROM _t_expedicions
                 WHERE data_expedicio >= %s
                   AND data_expedicio <= %s",$y1.'-'.$m1.'-'.$d1,$y2.'-'.$m2.'-'.$d2);
		$query = $this->db->query($sql);
		return $query->result_array();
	}

	/**
	 * 
	 * Enter description here ...
	 * @param unknown_type $id
	 * @param unknown_type $serie
	 */
	public function get_client_albara($id = FALSE)
	{
		$sql = sprintf("SELECT numero_albara,id,date_format(data_albara,%s) as data_albara,id_transportista,destinatari_nom,unitats,kg,palets 
                  FROM _t_albarans
                 WHERE id_client = '%s'
                   AND id_full = 0
                   ORDER BY numero_albara",'"%d-%m-%Y"',$id);
		$query = $this->db->query($sql);
		return $query->result_array();
	}

	/**
	 * 
	 * Enter description here ...
	 * @param unknown_type $id
	 * @param unknown_type $serie
	 */
	public function get_data_albara($id = FALSE, $client = FALSE)
	{
		$clau = 'AND id_full = 0';
		if ($_SESSION['perfil'] == 'administrador') $clau = 'AND id_full >= 0';
		$fec = explode("-",$id);
		$d = $fec[0];
		$m = $fec[1];
		$y = $fec[2];
		$sql = sprintf("SELECT id,id_client,remitent_id,destinatari_id,unitats,kg,palets,numero_albara,date_format(data_albara,%s) as data_albara,ports,reembols,
		                       remitent_nom,remitent_adreca,remitent_postal,remitent_pais,
		                       destinatari_nom,destinatari_adreca,destinatari_postal,destinatari_pais,
		                       id_transportista,id_tarifa,transportista_matricula,numero_ruta,date_format(data_ruta,%s) as data_ruta
                  FROM _t_albarans
                 WHERE data_albara = '%s'
                   AND  id_client = '%s'
                   %s
                   ORDER BY numero_albara",'"%d-%m-%Y"','"%d-%m-%Y"',$y.'-'.$m.'-'.$d,$client,$clau);
		$query = $this->db->query($sql);
		return $query->result_array();
	}

	/**
	 * 
	 * Enter description here ...
	 * @param unknown_type $id
	 * @param unknown_type $serie
	 */
	public function get_graba_manual_albara($id = FALSE, $cli = false)
	{
		$d = '01';
		$m = '01';
		$y = '1900';
		$fec = explode("-",$id);
		if (isset($fec[0])) $d = $fec[0];
		if (isset($fec[1])) $m = $fec[1];
		if (isset($fec[2])) $y = $fec[2];		
		// Miro si hi es		
		$remitent_id = $this->input->post('remitent_id');
		$remitent_nom = $this->input->post('remitent_nom');
		$remitent_adreca = $this->input->post('remitent_adreca');
		$remitent_postal = $this->input->post('remitent_postal');
		$remitent_pais = $this->input->post('remitent_pais');
		$destinatari_id = $this->input->post('destinatari_id');			
		$destinatari_nom = $this->input->post('destinatari_nom');			
		$destinatari_adreca = $this->input->post('destinatari_adreca');			
		$destinatari_postal = $this->input->post('destinatari_postal');			
		$destinatari_pais = $this->input->post('destinatari_pais');			
		$unitats = $this->input->post('unitats');
		$kg = $this->input->post('kg');			
		$palets = $this->input->post('palets');
		$albara = $this->input->post('numero_albara');			
		$ports = $this->input->post('ports');
		$reembols = $this->input->post('reembols');
		$data = array(
					'id_client' => $cli,
					'remitent_id' => $remitent_id,
					'remitent_nom' => $remitent_nom,
					'remitent_adreca' => $remitent_adreca,
					'remitent_postal' => $remitent_postal,
					'remitent_pais' => $remitent_pais,
					'destinatari_id' => $destinatari_id,
					'destinatari_nom' => $destinatari_nom,
					'destinatari_adreca' => $destinatari_adreca,
					'destinatari_postal' => $destinatari_postal,
					'destinatari_pais' => $destinatari_pais,
					'unitats' => $unitats,
				    'kg' => $kg,
					'palets' => $palets,
					'numero_albara' => $albara,
					'data_albara' => $y.'-'.$m.'-'.$d,
					'ports' => $ports,
					'reembols' => $reembols
				);							
		// Busca a ver si hi es
		$dades = $this->client_model->get_busca_albara($albara,$cli);
		if (isset($dades['numero_albara'])) {
			$id = $dades['id'];
			// UPDATE
			$data['numero_ruta'] = $this->input->post('numero_ruta');
			$data['id_full'] = 0;
			if ($data['numero_ruta'] <> 0) $data['id_full'] = 2;
			$fec = explode("-",$this->input->post('data_ruta'));
			$d = '01';
			$m = '01';
			$y = '1900';
			if (isset($fec[0])) $d = $fec[0];
			if (isset($fec[1])) $m = $fec[1];
			if (isset($fec[2])) $y = $fec[2];		
			$data['data_ruta'] = $y.'-'.$m.'-'.$d;
			$data['hora_ruta'] = $this->input->post('hora_ruta');
			$data['id_transportista'] = $this->input->post('id_transportista');
			$data['id_tarifa'] = $this->input->post('id_tarifa');
			$this->db->where('id',$id);
			$this->db->update('_t_albarans', $data);							
		}
		else {
			// INSERT
			$data['id_full'] = 0;			
			$this->db->insert('_t_albarans', $data);							
		}		
	}

	/**
	 * 
	 * Enter description here ...
	 * @param unknown_type $id
	 */
	public function busca_ultim_serie($id)
	{
		$query = $this->db->order_by('numero_ruta','desc');
		$query = $this->db->where(array('id_client' => $id));
		$query = $this->db->get('_t_albarans');        
        return $query->row_array();
	}	
	
	/**
	 * 
	 * Mira si es New o Edit un transport
	 * @param integer $id
	 * @param varchar) $codi
	 */
	public function set_full_ruta()
	{
		// Miro si hi es
		$result = array();
		$id_client = $_SESSION['id_intern'];
		for($div=1;$div<7;$div++) {
			$nums = '';
			$albara = $this->input->post('numero_albara_'.$div);
			$nums = explode("_", $albara);
			if ((count($nums)-1) > 0) {
				$tipo = 'FRACCIONADA';
				if ($div == 2) $tipo = 'COMPLETA';
				if ($div == 4) $tipo = 'COMPLETA';
				if ($div == 6) $tipo = 'COMPLETA';
				$tra = $this->input->post('id_transport_'.$div);
				//$tar = $this->input->post('id_tarifa_'.$div); 
				$fec = explode("-",$this->input->post('data_albara_'.$div));
				$d = $fec[0];
				$m = $fec[1];
				$y = $fec[2];
				$dat = $y.'-'.$m.'-'.$d;				
				$hor = $this->input->post('hora_recollida_'.$div); 
				$mat = $this->input->post('matricula_albara_'.$div); 
				$uni = $this->input->post('unitats_'.$div); 
				$imp = $this->input->post('import_'.$div); 
				$serie = $this->busca_ultim_serie($id_client);	
				$contador = $serie['numero_ruta']+1; 			
				$vez = 0;
				if ((count($nums)-1) > 0) {					
					for($i=0;$i<count($nums);$i++) {
						if ($vez == 0) $result[] = $contador;
						$vez += 1;
						$alb = $nums[$i];
						$data = array(
							'id_transportista' => $tra,
							'transportista_matricula' => $mat, 
							'tipo_ruta' => $tipo,
							'numero_ruta' => $contador,
							'data_ruta' => $dat,
							'hora_ruta' => $hor,
							'unitats_viatge' => $uni,
							'valor_viatge' => $imp,
							'id_full' => 2
							);					
						$this->db->where(array('id_client' => $id_client, 'numero_albara' => $alb));
						$this->db->update('_t_albarans', $data);
					}
				}
			}
		}		
		return $result;
	}
	
	/**
	 * 
	 * Mira si es New o Edit un transport
	 * @param integer $id
	 * @param varchar) $codi
	 */
	public function get_repetir_linies_full($numero)
	{
		$num = '';
		$sum = '';
		$numero = array_unique($numero);
		for($i=0;$i<count($numero);$i++) {
			$num .= $sum . $numero[$i];
			$sum = ',';
		}		
		if ($num == '') $num = '-2';		
		$sql = sprintf("SELECT _t_albarans.id,remitent_id,destinatari_id,unitats,kg,palets,numero_albara,date_format(data_albara,%s) as data_albara,
							   date_format(data_ruta,%s) as data_ruta,numero_ruta,hora_ruta,valor_viatge,unitats_viatge,
		                       ports,reembols,remitent_nom,remitent_adreca,remitent_postal,destinatari_nom,destinatari_adreca,destinatari_postal,T2.provincia_nom as provincia_destinatari,
		                       transportista_matricula,transport_nom,transport_adreca,transport_telefon_principal,T1.poblacio_nom as poblacio_destinatari,
		                       T22.pais_nom as remitent_pais,T44.pais_nom as destinatari_pais,
		                       T3.poblacio_nom as poblacio_remitent,T4.provincia_nom as provincia_remitent 
                  FROM _t_albarans
                  LEFT JOIN _t_transport ON (id_transportista = transport_codi)
                  LEFT JOIN _t_poblacio T1 ON (destinatari_postal = T1.poblacio_codi and destinatari_pais = T1.poblacio_pais)
                  LEFT JOIN _t_provincia T2 ON (T1.poblacio_provincia = T2.provincia_codi and T1.poblacio_pais = T2.provincia_pais)
                  LEFT JOIN _t_pais T22 ON (T1.poblacio_pais = T22.pais_codi)
                  LEFT JOIN _t_poblacio T3 ON (remitent_postal = T3.poblacio_codi and remitent_pais = T3.poblacio_pais)
                  LEFT JOIN _t_provincia T4 ON (T3.poblacio_provincia = T4.provincia_codi and T3.poblacio_pais = T3.poblacio_pais)
                  LEFT JOIN _t_pais T44 ON (T3.poblacio_pais = T44.pais_codi)
                  WHERE numero_ruta in (%s)
                   AND id_full = 2
                   ORDER BY numero_ruta",'"%d-%m-%Y"','"%d-%m-%Y"',$num);
		$query = $this->db->query($sql);
		return $query->result_array();
		
	}
		
}