<?php
class zona_model extends CI_Model {

	public function __constuct(){
		$this->load->database();
	}

	/**
	 * 
	 * Llegir una zona
	 * @param integer $id
	 * @param varchar(5) $idx
	 */
	public function get_zona($id = FALSE, $idx = FALSE)
	{
		if ($id === FALSE)
		{
			$query = $this->db->select('_t_zonas.id, zonas_codi, zonas_nom, zonas_provincia, provincia_codi, provincia_nom, comunitat_codi, comunitat_nom, pais_codi, pais_nom');
			$query = $this->db->join('_t_provincia', '_t_provincia.provincia_codi = _t_zonas.zonas_provincia','left');			
			$query = $this->db->join('_t_comunitat', '_t_comunitat.comunitat_codi = _t_provincia.provincia_comunitat','left');			
			$query = $this->db->join('_t_pais', '_t_pais.pais_codi = _t_comunitat.comunitat_pais','left');			
			$query = $this->db->order_by('zonas_nom','');
			$query = $this->db->get('_t_zonas');
			return $query->result_array();
		}
		if ($idx == 1) $query = $this->db->get_where('_t_zonas', array('zonas_codi' => $id));		
		if ($idx == 0) {
			$query = $this->db->select('id, zonas_codi, zonas_nom, zonas_provincia');
			$query = $this->db->get_where('_t_zonas', array('zonas_codi' => $id));	
		}		
		return $query->row_array();
	}
	
	public function get_llegeix_zona($id = FALSE, $zones = FALSE)
	{
		$query = $this->db->get_where('_t_zonas', array('zonas_codi' => $id));
						$dades = $query->row_array();
		$zonas_tria = '';
		$separator = '';
		foreach ($zones as $value) {
			$zonas_tria .= $separator . $value['provincia_codi'];
			$separator = '_'; 
		}
		$dades['zonas_tria'] = $zonas_tria;
		return $dades;
	}
	
	/**
	 * 
	 * Llegir comunitat
	 * @param varchar $id
	 */
	public function get_tarifa_zonas($id = FALSE)
	{
		$query = $this->db->get_where('_t_zonas', array('zonas_codi' => $id));
		
		return $query->row_array();
	}	
	
	/**
	 * 
	 * Crear variables new zona
	 */
	public function get_new_zona()
	{		
		$data = array(
				'id' => 0, 
				'zonas_codi' => '',
				'zonas_nom' => '',
				'zonas_tria' => ''
				);		
		return $data;
	}
	
	/**
	 * 
	 * Mira si es New o Edit una zona
	 * @param integer $id
	 * @param varchar(5) $codi
	 */
	public function set_zona($clau)
	{
		// Miro si hi es
		$this->db->delete('_t_zonas', array('zonas_codi' => $clau));
		//
		$desc = $this->input->post('zonas_nom');
		
		$provincies = explode("_",$this->input->post('zonas_tria'));
		
		foreach ($provincies as $pro) {
			$data = array(
					'zonas_codi' => $clau,
					'zonas_nom' => $desc,
					'zonas_provincia' => $pro
			);					
			$this->db->insert('_t_zonas', $data);			
		}
		
	}
	
	/**
	 * 
	 * Upadate una zona
	 * @param integer $id
	 */
	public function edit_zona($id)
	{			
		$data = array(
				'zonas_nom' => $this->input->post('zonas_nom'),
				'zonas_provincia' => $this->input->post('zonas_provincia')
		);
		$this->db->where('id',$id);
  		$this->db->update('_t_zonas',$data); 	
	}	
	
}